commit a9200b770f973d4652699c01bd68d773e1ded447
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 31 21:29:40 2008 +0100

    goom: disabled the MMX patch for llvm-gcc, as it breaks the compilation it tries to fix

commit c49ce826c1edcd10dbce441dd4472100095645f6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 31 20:44:06 2008 +0100

    libdca: work-around a compiler bug

commit bdbc5fa0da83a16bc76c786999c23ac87e079558
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 31 15:59:59 2008 +0100

    Fixed the configure script of the latest revision
    
    yes, if you hard-code a path and you change it, you'll need to adapt the path manually...

commit 0a55d7f0ac8d9407364f79c0ee156e203c53d7c1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 31 15:52:15 2008 +0100

    contribs/osx: compilation fixes for libtool on PPC and FFmpeg in general

commit afc47e4415e946db9c209de3992f9752d3046db8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 31 15:37:37 2008 +0100

    contribs/darwin: added support for llvm-gcc-4.2 (both binary and src)
    
    this looks a bit ugly in bootstrap now and will need to be cleaned up once we dropped support for 10.4
    
    This is also a first step to be able to compile a 64bit VLC on OS X.

commit 950a8cc26193f2512f5d1b5efd0a0ca49f5ca23d
Author: Joseph Tulou <brezhoneg1@yahoo.fr>
Date:   Tue Dec 30 15:34:00 2008 +0100

    test if access dc1394 is right earlier in the probing process to avoid side effect (irrelevant errors) for others.
    
    Signed-off-by: Jean-Paul Saman <jpsaman@videolan.org>

commit 0eb6f1bfe7a9303e889c851d71db6589a3ff027f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 31 13:34:37 2008 +0100

    Add an accelerator for clearing MRL recents.

commit 521fdd92095067b3087444325db9c6f497732755
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 31 13:33:33 2008 +0100

    Qt: add an accelerator and respect the Naming conventions for the menus.

commit 969e7a010d45430be7e6f21ab266a24017b268d6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 31 13:32:30 2008 +0100

    Qt: release input sooner

commit fbae04405ecd7adee5d3f5b92510c509da91c93c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 31 13:29:36 2008 +0100

    Qt: Warn=>Dbg

commit 78b10890299800842a9c6baab1e15b0f3dbc1ab6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 31 13:28:44 2008 +0100

    Qt: don't display msg in release that only ILEoo and I can understand.

commit 0ed592d6ef1d6f15a6f9baec4cf64caff32fe1a1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 31 13:27:35 2008 +0100

    Qt: fix some issues about displaying the media information.

commit 601ac54e321b6e18235b4e6eeb7a658ac44b423c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 31 13:11:47 2008 +0100

    Better msg.

commit 917f5cc03cf2b770abdf96ac5e4a53c2ca7c7821
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 31 13:10:40 2008 +0100

    Qt: reset A->B between songs.

commit fab94892f2c53eddcd293fb6405c4595ef197452
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 31 13:03:47 2008 +0100

    Qt: input manager and media info cleanup continues.
    
    The code seems to be in a better shape now, and removes duplicates calls.
    However: there seems to be a few issues left:
     - If you open the MediaInfo Dialog before an input, it doesn't fill after
     - If you stop, the MediaInfo doesn't clean itself.

commit 4792d5665b894cb162a905cf3ab6182bc3435539
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 31 12:27:52 2008 +0100

    Qt: cleaning of the MediaInfo Dialog mess.
    
    First, assume that the core is correct now (not sure)
    Then, rename a few functions and simplify the cases.
    
    NOTA BENE, any commit on MediaInfo or Art needs to be reviewed before commiting.
    NB2: any function named update() is forbidden in new commits in Qt code, thanks.

commit 7b001a2b3e689c186d329f308446ff467a0a10b9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 30 23:29:45 2008 +0100

    Qt: input manager updates. Remove some events with the core changes.
    
    This is unfinished work.

commit 05d3d3a12fb5023fc421fd3e6344ec0b209909bc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 30 21:15:20 2008 +0100

    Qt: short simplification

commit 72852e3b9fcc8a5222797014072157e46ceea2cd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 30 21:12:43 2008 +0100

    Qt: fix a misconception and a leak.

commit a78e7a5cf40455f88e664d4f42427196fa27d427
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 30 18:59:47 2008 +0100

    taglib: read meta from xiph.

commit dfbb9b5e4a754f42e686153c0d82291efb01324a
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 30 17:16:02 2008 +0200

    PS mux implements MPEG1 as "mpeg1", not "mpeg" - fixes #2380

commit fa3433dda4d89c8befacba9fb3cfffc5ab6990de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 30 13:16:50 2008 +0100

    Qt: missing assert include.

commit f91e9862e2b5d0c2305ac38e5f624ab2399de5cb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 21:45:04 2008 +0100

    Qt: bigger help dialog.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 610eb0373a33bf0de40bbf14c2835c0a0dc27311
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 21:35:46 2008 +0100

    Qt: no need to go through the MainInterface to forward the signals about recentItems.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c7fb55ac5ee1dac3335dc58d237a7acd8cedb00a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 20:21:15 2008 +0100

    Qt: correctly hide everything on MinimalView
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 62dc9260f91522c2d478fc44d9100997d7cc85f4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 20:17:47 2008 +0100

    Qt: cosmetic on Main_Interface.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 212ac2d4bbf05dda77d26b6d380b3f92b6a76216
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 20:05:45 2008 +0100

    Qt: avoid slots duplication. Remove one connects too.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f7a97201e9497e6f530b0c0a7a091bc8bb14afe9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 20:03:21 2008 +0100

    Qt: separate speedLabel code from interface code
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0ac6bc134050244ab3184f065a72816a8a270c6f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 18:40:21 2008 +0100

    Qt: Remove unneeded stuffs from qt4.hpp
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f86dd94166aee32784086e899acf489194f6aadc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 18:27:54 2008 +0100

    Qt: Simplify includes.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 63631cbac17e547d7654d79a0debc09c0a354432
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 17:18:10 2008 +0100

    Qt: Remove some dialogs_provider.hpp and input_manager.hpp dependencies.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dcaffea5cd8f45c8a1e4cf5b23d5638a6b77c0e8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 12:54:58 2008 +0100

    Qt: Change the rate scale in order to have 0.96x in the slider in order to help people who want to fix NTSC/PAL issues.
    
    Also remove lots of includes.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4cca7c8a94cc80a9b9abd5fe80b4bb40e6da9dcb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 28 23:04:25 2008 +0100

    Qt controller: update copyrights.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f2851a7b132ecc92fad01f5d89418fd912f62cd5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 28 23:00:59 2008 +0100

    Qt: Move code around and simplify the inclusion of headers.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d525a3531364577c561e6fbb33e9319326dbb0be
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 28 22:24:05 2008 +0100

    Qt: First step of splitting the controller widgets from the controller layout code.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e14417af4822ffd174ca91b642d704b650763daf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 28 22:23:19 2008 +0100

    Qt: add a separator in the menus before recent Items.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 97eb259753378737d99323c074b81f9a4d52a067
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 28 21:00:31 2008 +0100

    Qt: New dialog for plugins listing.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7355193f45ccc97416a60d76f19a002f91579e77
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 28 20:59:32 2008 +0100

    Helper to get the capability of a module and its score.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4dd6f9372922520607b54faea2bdd8bbe3a3d4af
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 28 20:08:29 2008 +0100

    Qt: correctly save the message dialog size.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1caec50b08d4cae58efb7cd76f937e3e780e523b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 25 18:36:23 2008 +0100

    Qt: hasInput() now checks for EOF of input
    
    Are vlc_object_alive( p_input ) and !p_input->b_dead redundant?
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d1b3841be789cf54ffd2b72c8cc6c860f70844cb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 25 18:32:13 2008 +0100

    Qt4: Comment main members
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3a64ba7eb65f426c5d2666a03f4ab3bc90272bbe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 25 17:55:06 2008 +0100

    Qt: input slider and other widgets cleaning.
    
    Code comments, remove useless include, document and rename a few variables.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c142e6ec4380e97c20b76888fd70a04a0304e410
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 25 17:35:35 2008 +0100

    Qt4: input manager, reorder the event to match the core vlc_input.h order
    
    No functionnal change.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 09893d6231701581138068f3730d75b76a467bef
Author: basOS G <noxelia 4t gmail , com>
Date:   Mon Dec 29 23:55:14 2008 +0200

    Snapshot naming: fix thread safety
    
    Make snapshot date convertion thread safe
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 06147c8297af7637289690e915cae81ae963fe1f
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Dec 30 12:24:54 2008 +0200

    encode \ in xspf location uri also (rfc 3986 has set of characters
    that can be in url without encoding, \ doesnt seem to be one of them)
    
    relates to ticket #2218

commit f5d47205129eadf13000f2e16ac8008dafdfc23d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 30 12:10:44 2008 +0100

    Missing include assert.

commit 486f9d823c3a8472a82ac6afd85f17da7b44b3f5
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Dec 29 23:47:59 2008 +0200

    Missing <assert.h>

commit 89dbe148f1592c5e6beff61753dbe48da6cea8d0
Author: basOS G <noxelia 4t gmail , com>
Date:   Mon Dec 29 23:18:09 2008 +0200

    Changed snapshot naming format to be prefix-YYMMDD-HHMMSS.ext
    
    Snapshot files are named after the current local date
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 332f9ac885fc45320110fab9dd988fcb948e6ba4
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Dec 29 23:39:33 2008 +0200

    Stealthier missing <assert.h>

commit b02517be43c612f172c7e80f4e237730a68471c7
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Dec 29 23:12:34 2008 +0200

    Missing <assert.h>

commit 09ea190809172293adcea513207aa534fc4c0cd1
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Dec 29 22:37:57 2008 +0200

    Move variable type assertions into the core

commit 4dbd738aaffc5cbdb6a163a388dccab5f4de0114
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Dec 29 22:37:37 2008 +0200

    Missing <assert.h>

commit c0fe405d2a190c5eb7e613b65c54a49ef603c025
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Dec 29 21:38:51 2008 +0200

    check scheme part in uri with checking :// instead of just checking :
    should fix #2218, thou getURI should return valid uri anyway. So this
    is kinda hack anyway.

commit 9c9dbd39daf0eef3218623190f57d87a63af58c3
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Dec 25 22:58:24 2008 +0200

    don't clear equalizer when input-item changes

commit 416592520166da0cab1eeee0bf1d4b13ba6da769
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 29 20:55:51 2008 +0100

    atmo: remove silly thing.

commit ebf0a15ad051e5456e99ec7548829fd4d444fe2e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 29 19:32:11 2008 +0100

    taglib: cleanup the header and add myslef to the authors.

commit 8505bf177a1679b9bb472ce3e0f99a93eab11453
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 29 19:21:40 2008 +0100

    taglib: write meta in Xiph format. (only one advanced meta is writen for the moment)

commit 91ed4f7f568b9565c2804f08690b0af3d8382df0
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 29 18:09:56 2008 +0100

    atmo module: returning NULL is better than nothing.

commit e4341e19b8364135bad35569e475ce224c4d5f02
Author: Dominique Leuenberger <dominique@leuenberger.net>
Date:   Sun Dec 21 21:30:06 2008 +0100

    Actually return the number of static entries as stated in the function header.
    Fixes E: vlc-beta no-return-in-nonvoid-function menus.cpp:140
    
    Signed-off-by: Rémi Duraffort <ivoire@videolan.org>

commit 8cef977d6ec67b89dff4130c93568d4c1c716c34
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Dec 29 11:33:46 2008 +0200

    Avoid useless variable lookup when non debugging

commit eab8710bcd01331f1442b474f79e131c8ae4a2e9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 29 00:28:37 2008 +0100

    osx-wizard: make sure to only re-select encap formats that are actually available *coughcough*

commit b6961e16610e09a9d55462f9a991f57d18f66701
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 29 00:03:00 2008 +0100

    osx-wizard: fixed a couple of UTF8-bugs which prevented the proper naming of non-ascii output files
    
    additionally, the wizard now remembers the last selected encap format correctly

commit f2f052e2c8c951178c3f7ece8da7815c270ad752
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 28 22:15:22 2008 +0200

    Print early debug messages only after verbosity is known

commit 23e3fc90b9aff806f7a509f03f406040d4ec6f6c
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 28 22:06:14 2008 +0200

    Get proper verbosity setting ASAP

commit c93c7588a67eafdb20b5771a6c2055b8308f2560
Author: ogg.k.ogg.k <ogg.k.ogg.k@googlemail.com>
Date:   Sat Dec 13 11:45:40 2008 +0000

    Support for rendering Kate streams with libtiger
    
    libtiger is a rendering library for Kate streams based on Pango
    and Cairo, and supports almost everything Kate streams can do.
    
    There's a bit of wonkiness with rendering on regions as VLC then
    blends them onto a subsampled YUV buffer, and colors can bleed
    in a not so nice way. I've tried frobbing the blender in blend.c
    and I got rid of the chroma bleeding, but at the cost of other
    artifacts, so I'm leaving it out.
    
    Also, I can't find a way to get the preferences dialog to call
    a callback on my variables with a pointer to the decoder, so
    changing the variables will not have effect till VLC is started
    again.
    
    Also includes the misc kate fixes from a previous patch, which
    was not applied yet, but changes the same code as this patch
    (and fixed a possible crash).
    
    Note that I don't have a big endian host to check, so the RGBA
    component flipping code is untested.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit de0146e47e8b423ec60f431140e102179c07a363
Author: ogg.k.ogg.k <ogg.k.ogg.k@googlemail.com>
Date:   Sat Dec 13 11:44:23 2008 +0000

    add libtiger to the contribs
    
    I've added libtiger to the contribs setup, but since it depends
    on Pango and Cairo, building it fully via contribs if those
    dependencies are not there already will be tricky.
    
    add kate/tiger to debian, fedora, unix,
    as they're quite likely to build and run fine there
    both are known to work on fedora
    libkate is reported to work on darwin too, but i'll shy
    away from adding it there as it's too circumstancial
    
    also, do not run autoconf for libkate, it ships an up to date configure
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit e236a562b1bbb347f400644df1b6395b5272007c
Author: Ken Self <kenself@optusnet.com.au>
Date:   Sat Dec 27 21:34:08 2008 +1100

    BDA allow card selection
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit cac27358067ff3fb20ec4391a93af9e1bd31d6ab
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 27 19:48:14 2008 +0100

    contrib: tweaked a few lines to make 64bit compilation possible on Macs

commit c93083157256930a2a0a582d016ab0e7baf7c545
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 27 15:10:39 2008 +0100

    Fix a segfault when parsing meta data in ogg.
    Thanks to Vincent Penquerc'h.

commit dc3b6e3ce3d0e7bd357461480ee523e2607a71f3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 27 12:38:28 2008 +0100

    taglib: write some more id3v2 tags and add empty function for APE and Xiph comments (will be added later).

commit 4cb12c1d59f7779c0c37c6dace005e2bd5cc632b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 23 14:37:18 2008 +0100

    Don't skip some errors lines and skip some others.

commit 5a189bf3b3810e18f0ddc8f4f5e2ba6ee3959919
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 27 00:51:45 2008 +0100

    contribs: reflect an API change in 10.4, which leads to compilation errors within the 10.5 SDK
    
    additionally, fixed the libmodplug patch

commit ff87fdb915d104a79f868f57ed0cc7524a741aa3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 27 00:30:56 2008 +0100

    contribs: compilation fix fo libmodplug when compiling with GCC-LLVM-4.2

commit 3857056b39a794ddd8e5079f22f990e7f1c8a9dd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 27 00:07:35 2008 +0100

    the double appliance icon is apparently necessary *coughcough*

commit bea00787d458ac5c260d7c55f1018b6fb0fe78b1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 26 23:52:01 2008 +0100

    minor compilation fix

commit 4645de2aa3d33ff45b1c764b19ad63748c54d9ab
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 26 23:50:40 2008 +0100

    Make sure that FFmpeg also uses the CC we want to use

commit 2f8dc66982aa63ce261047807c6b85abb0eaef9e
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Fri Dec 26 11:48:45 2008 +0200

    Have alias scripts depend on the Makefile
    
    Aliases need to be rebuilt when the prefix is changed.
    This should fix #2373.

commit a75e71c84c6d47f101acb87b021bc3a04a17ce71
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 25 15:05:37 2008 +0100

    really remove the additional copy and enlarge the icon

commit 1ca5880fa1b4a20b108c1b09ef712bb18913e920
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 25 15:02:52 2008 +0100

    Added our GPL copyright header to all files

commit 2d73307cb895c21903de5045c5e846ce28a76f6b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 25 14:47:51 2008 +0100

    Replaced the VLC icon by the 512px version and removed an unused duplicate

commit fa175c3f3ef0a1fde7563e175482d2f49b721997
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 25 13:00:53 2008 +0100

    Fixed framework compilation and changed the configure script to configure VLC with the SDK selected in Xcode (at present: the current OS X version)

commit 5280ad543f8d88b74905983de6fe1238e3184f9a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 24 17:43:11 2008 +0100

    NEWS and LIST update

commit 6b9013dbfeaa4bad2f984f25663934cccd45e091
Author: Mathieu Sonet <chjirpa@free.fr>
Date:   Tue Dec 23 23:07:29 2008 +0100

    Fix a regression introduced by the previous commit
    
    The previous commit confused i_line_count and i_line:
    * txt->i_line_count contains the number of text lines.
    * txt->i_line is the current offset in txt->line.
    
    As a result no subtitles were available because TextGetLine always returned NULL.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 7f7c0d67ed8ce56bcc8379e24b12f7ecfc37fc65
Author: Tadashi Jokagi <elf2000@users.sourceforge.net>
Date:   Tue Dec 23 15:32:59 2008 +0100

    l10n: Japanese update
    
    Signed-off-by: Christophe Mutricy <xtophe@videolan.org>

commit 076dc4357cbe4eec9085a59162c6910a07d0b850
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 22 16:13:46 2008 +0100

    Compilation fix

commit 936ac46923f9b13744f2971898f26f170d391504
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 22 11:57:39 2008 +0100

    Fixed patch

commit 0dce54d61f186a30595980ba48098ca0ca0b825d
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Mon Dec 22 10:06:30 2008 +0100

    jvlc: sample client version 1.0.0-snapshot

commit 0bf6d26080f67e9b727c2227fe60bb0f8b974d7f
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Mon Dec 22 10:05:48 2008 +0100

    jvlc: make the medialistplayer a property of the jvlc instance

commit f66de63b0182ca69b23a99e7db4c294fd279f3ce
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 17:30:29 2008 +0100

    jvlc: internal log tests added

commit 58ea29a1bf1f8d202c4660d0f70f4ca9a77a5982
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 17:30:03 2008 +0100

    jvlc: unneeded test class removed

commit 394924cf04a424fb7e0e63c318c158dee94af4d2
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 17:29:20 2008 +0100

    jvlc: timeout put on test

commit a144be56380585c24797226a158c2a66bf048682
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 17:28:39 2008 +0100

    jvlc: test class made abstract

commit 69710a134f3e7ad6330851a0d4bbbd361a1c8ac4
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 17:28:04 2008 +0100

    jvlc: comment tests that never return (need to find a good vod file for vlm)

commit 6f2087f17d0caebac22c863d1a6696f0bf486246
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 17:27:06 2008 +0100

    jvlc: comment tests that never return (needs to be fixed on libvlc)

commit 5a8e051fdddec4fcc0143a104956382d3d04ad76
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 17:26:08 2008 +0100

    jvlc: medialisttest renamed to libvlcmedialisttest

commit f20d446954269bce75a1da445eceed0b0b2d7cc2
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 17:25:20 2008 +0100

    jvlc: medialistplayertest renamed to libvlcmedialistplayertest

commit c1f0c75cca3080c988e397dedaa9620257ee79e2
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 16:42:40 2008 +0100

    jvlc: mediaInstance renamed to mediaplayer in test methods

commit ed968ea6ac120499b44fc579ed61e3f9d9718cfc
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 16:40:48 2008 +0100

    jvlc: more callback related tests

commit 9ba6c6d95101c96350755b8b28e1d653abd16bc6
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 16:39:26 2008 +0100

    libvlc: on stop, fire a stopped event, not end reached

commit 342bd8afc880e90963eb624e8791b4f2dd5d5344
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 16:38:34 2008 +0100

    jvlc: event type enum commented for readability

commit 8b832c4540c920ef7317e34a764bb35728da84c3
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 13:53:39 2008 +0100

    jvlc: LibVlcMediaInstance renamed to LibVlcMediaPlayer

commit 0c90be807cc4afd3bc32370427a2b3444d796548
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 13:50:22 2008 +0100

    jvlc: media event tests added

commit a1e0b245772c80529102845b4a2b3e9df7fdce43
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 21 13:33:06 2008 +0100

    jvlc: event types updated

commit d9c318ad287efdd9b31f99c0e977ee60fc44100a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 21 20:36:38 2008 +0100

    contrib: New Mac OS X binary contrib downloads (v4)

commit 3b6ed8084e27fa27f51d3abdeb37052ea9af38fb
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 19:15:29 2008 +0200

    Tentative hack for OSX msleep/mwait cancellation

commit db8c196759ea43479f426b0b46e5c2760549d829
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 21 17:08:45 2008 +0100

    contrib: fix broken ffmpeg macosx patch

commit 56cc1c72062263228a6804b8a9b7cd9b7d729e20
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 21 17:02:32 2008 +0100

    Taglib: save more meta data.

commit d7a089ec05fef749be5fceb23689560fa7445255
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 17:57:59 2008 +0200

    fix typo

commit 3fea76f5fe2709b3787ce9bb820a07e3af240135
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 21 15:59:56 2008 +0100

    Kostya RV30 code is merged in FFmpeg.
    
    He needs more samples, so if you have more, please share to FFmpeg.

commit 132b1af1365a5a96d2de66e4de00510646b84c43
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Dec 21 16:57:05 2008 +0200

    don't save xspf-playlist location, as it's not needed by vlc, and as mentioned
    by xspf errata, can cause to expose your porn location. Should fix
    ticket #2217

commit dafe4a3f13baee46af0fca8bdfb0c92c2649049f
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 16:44:39 2008 +0200

    typo

commit fbe8301c819a7fd50ef396e1a6ecbb3fdc879745
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 15:57:18 2008 +0200

    Win32: RAOP needs Winsock

commit 76ed9882aa2cd2d11ad8e0f272302d44899b4b4d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 15:56:05 2008 +0200

    Inline strsep

commit e00d4656da80a3cca09cda60a985b61fd8a448d5
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 15:51:03 2008 +0200

    decomp: inclde spawn.h only if used

commit 6a7013a01a3cbabda97e9d0a566b6da148889f1b
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 15:36:35 2008 +0200

    Revert "decomp: disable on DARWIN, because 10.4 does not support posix_spawn_file_actions_adddup2"
    
    This reverts commit b08dedb5cb170a64fbaba76ed5455ad93f30d3ca.

commit 25bdf84ce207fd13191b490b62bb58be05ce7b2d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 15:35:55 2008 +0200

    decomp: use plain fork/exec if POSIX spawn is missing

commit c2e0af90cfa124f43e79df2ad7be602e7314d083
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 15:30:37 2008 +0200

    Comment for myself

commit b08dedb5cb170a64fbaba76ed5455ad93f30d3ca
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 21 14:21:26 2008 +0100

    decomp: disable on DARWIN, because 10.4 does not support posix_spawn_file_actions_adddup2

commit e86912069b5d24754b1ee38426813d7881bd2368
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Dec 21 14:54:22 2008 +0200

    use MetaMatch in search instead compare to possible NULL value

commit 584fb9f5d0a4342a4651f935f2dd96870caa09ad
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 14:44:39 2008 +0200

    VLC_OBJECT_PLAYLIST: remove unused type

commit 24a1e1ffc83173307f81f51292d2dc885deecea8
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 14:40:49 2008 +0200

    Do not compete with libvlc in destroying interfaces (in a broken way)

commit 70a5a293a8142d649a35fee68066aebb0b2418e7
Author: Dominique Leuenberger <dominique@leuenberger.net>
Date:   Sun Dec 21 13:10:05 2008 +0100

    Fix for 'no-return-in-nonvoid function intf.c'
    
    MAke sure we always return defined values.
    I: Program returns random data in a function
    E: vlc-beta no-return-in-nonvoid-function intf.c:341
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 74b65ec94337aa00944f3527877c63ac675ff7e7
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 21 12:21:08 2008 +0200

    Move libvlccore into the global symbol namespace if needed
    
    Should fix #2257

commit 5e340429d611d7ca9f6872bf5d205c3329e40939
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Dec 20 11:39:44 2008 +0200

    Fix error values

commit 65b3ba573099fa2bf209b5406052544359461621
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 20 17:34:58 2008 +0100

    opengl: Remove opengl effects as agreed at the VDD '08.
    
    Saves about 500 lines of codes.

commit 57662f508dc6d09f6976eb78d018b7d8525fd0b8
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Dec 20 10:23:45 2008 +0200

    Don't require location under track element in xspf-playlist.
    Should fix #1597

commit 0400e1e0bc9447e6baf7cefbd16637d8c1573709
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Mon Dec 15 18:52:59 2008 +0100

    jvlc: mediadescriptor tests added

commit cc0a53be923789e7cd1fe9c37855f9cbbd1c4a94
Author: Dominique Leuenberger <dominique@leuenberger.net>
Date:   Thu Dec 18 19:14:29 2008 +0100

    Drop the very obsoleted gettext language code no. It has been a symlink to nb for a long time.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit bc9a84781306ab22d2facc636a2f82eb6ba2abd3
Author: Michael Hanselmann <public@hansmi.ch>
Date:   Tue Dec 16 22:26:10 2008 +0100

    Add Remote Audio Output Protocol stream output plugin
    
    Apple AirPort Express devices can play audio streamed over the
    network. The Remote Audio Output Protocol was reverse-engineered
    by Jon Lech Johansen in 2004. He also released a proof of concept
    implementation named JustePort.
    
    The control protocol is similar to interleaved RTSP record mode and
    based on HTTP. It is used to negotiate details before sending music
    data over an AES encrypted TCP connection. RSA is used to encrypt the
    AES key before transfering it via an HTTP header. To this day, only
    the public part of the RSA key has been made public while the private
    part remains unknown.
    
    VLC uses libgcrypt for encryption. Unfortunately, libgcrypt doesn't
    support the OAEP standard as defined in RFC2437 and RAOP demands
    OAEP padding for RSA encrypted data. OAEP has been reimplemented from
    scratch based on the specification for this plugin. These functions,
    MGF1 and AddOaepPadding, can be adopted for libgcrypt at a later time.
    
    All input data must be encoded using the Apple Lossless codec with
    44100 Hz and 2 channels. The "transcode" plugin can be used to
    reencode input data. Updating the volume while playing is not yet
    supported. Except for logging, no use is made of the audio delay
    and jack type reported by the device.
    
    Apple's RAOP-compatible devices announce themselves on the network
    using Zeroconf, but discovering them is not implemented in this
    plugin. The service type is "_raop._tcp".
    
    The "raop" plugin can be used like this:
    --sout='#transcode{acodec=alac,channels=2}:raop{host=hostname}'
    
    It also supports a "volume" parameter with a range from 0 to 255.
    
    Signed-off-by: Michael Hanselmann <public@hansmi.ch>
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit bf89dc16d4bc6fff1c4bcd53d078f4c046eca11f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 16:57:35 2008 +0100

    Qt/VLM:: correctly set the filter.

commit eb254c90108855a8694e3b147b32c663be14b147
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 16:45:46 2008 +0100

    Qt4: correctly create some buttons.

commit 0ad86aca86fc1f2409d1b4bcb23bfbf9278d389a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 16:27:41 2008 +0100

    Qt4: forgotten include.

commit f369d2b38c8607289344b5f3525e13eb4c27e01d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 16:08:33 2008 +0100

    Qt4: icons for skip and eject buttons.

commit 657a734b69ac603cb80b980cf2257600c9175df7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 15:53:58 2008 +0100

    Qt4: connect TimeLabel to the inputStateChange to display the buffering status.
    
    DOesn't show anything yet.

commit 669634fbc855257857e7ee118cc6e7bbcc764f59
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 15:52:36 2008 +0100

    Qt: Improve some wording for support.

commit 4b77d0a9fecac64ebab49e664f1e5cac2c90d07b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 01:30:57 2008 +0100

    Forward port of 'Telnet: fix win32 work'.
    
    Should work, but not tested yet.

commit 2edd4c9c8ecf3491740e2a196b1bc62764cb2516
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 00:53:59 2008 +0100

    Qt4: Fix small layout bug introduced by customization

commit 45b587d91d15c7eded1ce396b6c460953c41f321
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 00:07:02 2008 +0100

    Add .rm and .rmvb extensions.

commit ea7ec8e9aa2ddeef2e3b381fb5adbe5656880c5b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 17 23:13:01 2008 +0100

    [Qt] Add 2 new icons.

commit fe548fa0b0215eaefe1afc6313ce4d75af46a94e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Dec 17 23:15:03 2008 +0200

    Check itemtype if uri is changed

commit c44336c87273fc2c55f018a8e2cd5847136a90b6
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Dec 17 23:07:22 2008 +0200

    Don't wait location-node for creating input, and allow multiple
    location nodes on track.
    
    Use last location-node for uri (maybe first would be better instead ?).
    
    check that input_item_NewExt doesn't return NULL
    
    should fix ticket #2353

commit 3b0d684163f2309f05d6ab21dfb0044d264119db
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 17 22:08:37 2008 +0100

    [Win32] Activate ActiveX by default since now it works.

commit 7fa3a458a986f9356e81b86c4bdfb99f3f703530
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 17 21:40:27 2008 +0100

    Check malloc return value.

commit acb6094927afb13a30551c170401e5fd4df6b51f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 17 21:31:01 2008 +0100

    Use NULL instead of 0.

commit 572fdb5cea704150ad2d9c30cffcb24e18a87e10
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 17 21:17:49 2008 +0100

    Don't write two times when only one is needed.

commit 57ebbaea41dfb5b3910b463d69a306fa8c32ba0b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 17 20:48:14 2008 +0100

    [Qt] SPrefs, activate the headphone filter correctly.
    
    Remark by Babal.

commit caafebf40fb84b2e03cb9cc4f94da9b64f581295
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 17 18:55:45 2008 +0100

    [Qt] Add deinterlacing and AR in video tab in Simple Preferences.

commit f3778cbb263fff9c42f5cae391746d1d7b3dde62
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 17 20:17:04 2008 +0100

    Less includes.

commit a099b147814fc751923f15dbc52212d53c614124
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 17 19:59:09 2008 +0100

    caugh caugh.

commit c07d82914c80d5af57c73451216ef15f52fec9a7
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 17 19:53:52 2008 +0100

    Another fix for win32.

commit ffddc4a191414952f19fcb4868fea4e11e8279a1
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 17 19:44:52 2008 +0100

    Fix win32 compilation.

commit f4dc16e6bd24505fe4eecddb4b7e77831458670c
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 16 23:04:36 2008 +0200

    b_menu: remove unused variable

commit 1032a11c0a08c1c6f9604e82c0281aa41a1c5992
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 16 23:01:04 2008 +0200

    Migrate AA and GGI to intf-popupmenu
    
    This is untested. Most probably nobody uses these anymore.

commit 78e7bd3059dc2647a9786b8c531e79c5821df756
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 16 23:00:08 2008 +0200

    b_menu_change: remove write-only variable

commit 9f3acf603f1c9566f553bf4b0d3b312b1784c83d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 16 21:56:40 2008 +0100

    bdagraph: cleaning.

commit 1d0c9675a07d2fd61bacc26da66c5047305ddfee
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 16 21:51:04 2008 +0200

    Win32: fix race condition initializing static mutexes

commit 059627d3af3e32285f3ffa73436157f31c7f8bc0
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 16 21:49:13 2008 +0200

    Robustify Win32 mutex assertions

commit d8066413796023c99b12cf41ca4c4b90758add0d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 16 20:25:57 2008 +0100

    bda: little cleanup.

commit 358afe661f7780262e5dcc4b964ae6b9fbd745ca
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 16 19:50:09 2008 +0100

    analyser/zsh: fix memleak (#2303)

commit 01b080ab11dc0d5fd8e52eb4152d08fd66a83f7f
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 16 20:12:00 2008 +0200

    C++-proofing

commit 6b40432a9d9acb294f38857f0b2a5584029c9edb
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 16 19:58:26 2008 +0200

    AVI: fix track names character set (fixes #2334)

commit c25958fb76ed05536202293f20768bc0b64fac1b
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 16 19:58:10 2008 +0200

    FromLatin1: converts from ISO-8859-1 to UTF-8

commit 43ae5255c80820e461c72deec44ea841690799af
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 16 18:21:10 2008 +0200

    Remove conditionally unused function

commit a790ccc6542769745a32de4d3223fa1b3a3dc961
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 16 18:05:47 2008 +0200

    Check for vmsplice() since Middle Ages libc didn't have it

commit 5d00d3617653bc9d7277795d7f7ac2287d52c2c5
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 16 00:22:10 2008 +0000

    i18n

commit bbbdc63280ce9e50dc4b9fec137d3d90be48d18d
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 16 00:18:45 2008 +0000

    Cosmetic: reorder and remove duplicates

commit 9f87db05871bd956b2b117620f98233f6961a41b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 16 00:14:04 2008 +0000

    Distribute pixmaps/space.png

commit eb5ae0bea8a35a5087ad865362fcaae807a452a1
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 16 00:12:56 2008 +0000

    modules/access_filter is no longer distributed

commit 33e36cb8203fdd290fb0b2fba3ebf834cf661105
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Dec 15 19:49:04 2008 +0000

    Distribute vorbis.h

commit 923575b183b54d9562e26910ebe3675e9d7fdfa9
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 23:11:05 2008 +0100

    Qt/vlm: == instead of =

commit 9b25814148486410ed9713c854d00868a8634429
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 22:59:30 2008 +0100

    pudec: fix potential memleaks.

commit 834d3847f87db04f089f93ffe76d4ee711822484
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 22:48:47 2008 +0100

    mms/mmstu: fix a memleak and avoid to memcpy two times the same thing
    (but yes duplicate 2 lines of code).

commit 428d84df36d459f14aca712781424a16e2cdff11
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 15 21:49:38 2008 +0100

    Added S_TEXT/ASCII codec to matroska.

commit 882a957faac3dcbc411f89171c3420a6a13410f6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 15 21:40:17 2008 +0100

    NEWS.

commit eb48ec1fe659e6e56db41865a671448ac08c9ae4
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 21:30:31 2008 +0100

    Really fix this.

commit 2d96ffcfce9f1ce32ec4cd7c208c1f92a0d4c48c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 21:12:53 2008 +0100

    Fix multiple deallocation (three deallocation for the same varaible that's a bit big :)).

commit ff7a7cb7b050ccf00b58d849db0febbe3aa38d81
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 20:56:28 2008 +0100

    Remove a varaible never really used (only writen one time and then forgotten)

commit 1a582db112f0d898f93bdcc618e06d75ff8f2410
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 20:53:51 2008 +0100

    network/poll: non initialized variable.

commit 4a5be6fd955f2c2408dff71f536aec2a76c06f01
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 20:45:12 2008 +0100

    Fix compilation warning on Win CE.

commit b8a87e3574b2e442542777a2a483db8e93036786
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 15 20:56:59 2008 +0100

    Added support for real video and 14_4 audio codec in mkv.
    
    Other audio codecs (cook/28_8/atrac3) will need a lot more code.

commit 035076dcec9793fd90cfaa3869961459d5cf6901
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 20:34:40 2008 +0100

    Unused variable.

commit 6166f14e834d0c7b19a0e6a6b98ef66c7e5a3710
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 20:32:35 2008 +0100

    control/media_control: fix a memleak (we don't need to do a copy if we use const char*).

commit b516e441f3daaccdf7492034b619de3e643567a5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 20:28:02 2008 +0100

    Use const char* when needed (easier to understand if a function will try to grab a string).

commit 21f561ba4af65b0a34ccbc98ed13317c96a96934
Author: Basos G <noxelia@gmail.com>
Date:   Fri Dec 12 17:12:17 2008 +0200

    Added vlc_get_libvlc_object to libvlccore
    
    It is intented to expose the libvlc_int_t (the main vlc object)
    to enable extented vlc hacking.. E.g. when you need to make something
    with configuration or modules that it is not provided by the PUBLIC API,
    you expose the libvlc_int_t as an vlc_object_t and act upon it with
    the internal (libvlccore) API...
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>
    
    Put back to libvlc rather than libvlccore (a stupid idea of mine).

commit 5cf35304a9628310d74bc2c2672712ac8f9cf71b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 20:07:57 2008 +0100

    Fix memleak (#2351) (mvar_AppendNewVar already do a strdup of the value);

commit 82c1d83c3216aab1f3ec6b8bd8db8b7415ee70d9
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 20:01:40 2008 +0100

    xtag_free don't need to return anything.

commit dfce44aa4f81fb2a5abf51435b87bd7cd70316f1
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 19:59:40 2008 +0100

    * Fix memleak (#2352)
    * Use NULL instead of 0
    * cosmetics.

commit e775480515f22b364ac6004275e62a43ca702ae0
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 19:40:27 2008 +0100

    Fix memleak (#2350).

commit 11fa5c5cbefacaef5497ed3f5cc5ec02431fc36f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 15 19:38:33 2008 +0100

    Remove unneded test before delete/free.

commit 88014506be9676776e52a45846b400aea7445a9c
Author: Ken Self <kenself@optusnet.com.au>
Date:   Mon Dec 15 17:50:42 2008 +0100

    BDA free() strings from var_GetNon_EmptyString

commit 36ff2a5f1e6daa167fb9a8ab35bd16c9fe578011
Author: kenself <kenself@optusnet.com.au>
Date:   Sun Dec 14 22:04:25 2008 +1100

    Add ATSC option to GUI
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4983eb0eafa495f0e8a818fab397571608893185
Author: kenself <kenself@optusnet.com.au>
Date:   Sun Dec 14 22:04:24 2008 +1100

    Significant changes to ATSC and DVB-S processing which now work.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    
    + Remove whitespace (jb)

commit 206b5b407f5ac8574da7e17c3dd571458893ada8
Author: kenself <kenself@optusnet.com.au>
Date:   Sun Dec 14 22:04:23 2008 +1100

    Added Tunng Space class definitions
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7ea623ed3c77db909bfd0f1ab213f226f0b2774a
Author: kenself <kenself@optusnet.com.au>
Date:   Sun Dec 14 22:04:22 2008 +1100

    Enhance DVB-S handling with range parameter and option to create tuning space
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 81ae8cecfb3c99dd66b8a87599a3ff1f8ee44dfc
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Dec 15 14:39:28 2008 +0200

    [Qt] Cleanup: Don't skip first sorting, seems that you don't need that kinda
     workaround to get items correctly ordered in playlist, just set sortingIndicator
     to right column and let playlist sort empty list when enabling sorting.
    
     Works for me, but please double check.

commit b3da319e29b52d3849d0c3c33d1156a3e532fa67
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Dec 15 13:48:22 2008 +0200

    [QT] cosmetic, use regexp instead of multiple removes in simple preferences

commit 937e3f2f6b56c287e9acecfc77d65841300325ca
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Dec 15 11:44:39 2008 +0100

    python bindings: workaround for the #2257 / #2266 VLC bug (linux only ATM)

commit 28dc3c55d005150083997a29409f50e0c0550fd4
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 22:23:38 2008 +0100

    update version and distribution management

commit ab81de3e2a0bac2ce104ca8445daf61ddf5d6fd0
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 22:23:06 2008 +0100

    jvlc: various unit tests fixes

commit 44d437fe5c84f9e8c256f22528d38cee328ae6d4
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 19:00:38 2008 +0100

    jvlc: fix LibVlcState enum to reflect native states

commit 59fc50a8e7aa1d6e9b74bcf6fb87418217185cb2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 14 19:03:32 2008 +0100

    cmml: fix memleak (#2345)

commit a3a59eb0f7261e5b888c19fbe038619005b66411
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 14 18:58:41 2008 +0100

    vlm: don't remove quotes around name in
    setup test output #standard{mux=ts,access=udp,dst=239.255.100.42,sap,name="Pouet Pouet"}
    That's maybe not the best way to do this.
    Fix #2346

commit 0453922af5a191ea557bb3d37e57a8fd2dcc8650
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 18:42:15 2008 +0100

    jvlc: more libvlc_media unit tests added

commit 6bf00684397ac62e37301e0f146e02031a0cc77f
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 18:05:10 2008 +0100

    MediaDescriptorTest.java removed

commit 997d6b6f754db99a1e09fd3ae397e6bdd7a86048
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 18:04:38 2008 +0100

    MediaDescriptorTest renamed to LibVlcMediaTest

commit ff80359c9fac45ee0f6afc907aa5b37dfdd1f519
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 18:03:04 2008 +0100

    jvlc: add_intf unit test added

commit 56e758049f485e08552d52246e8d0f487c6bc47c
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 17:59:57 2008 +0100

    jvlc: some libvlc_media bindings added

commit 1518df76c45a9269d8cd6d4f43d8cf6ff261a198
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 17:25:02 2008 +0100

    jvlc: LibVlcMediaDescriptor renamed to LibVlcMedia

commit 4dac1cf9b68b67a05863cc57f791dbe9172d7fa6
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 17:11:50 2008 +0100

    jvlc: libvlc_add_intf and libvlc_wait added

commit 77cb7dbb76a42add5b84cb769181232cdacf0127
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Dec 14 17:09:59 2008 +0100

    return width on getWidth, not height

commit 5ba06d3f71805cf58a4fd55cfc298e456efaea75
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 17:23:28 2008 +0100

    Protect against division by 0 on corrupted file (real).

commit 910e28a178347d3ba913e503365184a21fa16ce2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 16:52:34 2008 +0100

    Fixed real frame allocation error path.

commit d63cf29cd8bb9f823ab320dd3481dc45ab16247f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 14 16:54:48 2008 +0100

    Remove unused variables.

commit 94086c17556b9a49007150246f9421c3eaa3831a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 16:37:46 2008 +0100

    Removed useless real video code in avcodec.

commit 14f520d1ae6d7cb9a1cb11b90a4986ac7ae90367
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 16:37:09 2008 +0100

    Fixed frame rate output value.

commit 75813fcf3472e7dab10984bcf9ae001eb7b77d9a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 16:13:12 2008 +0100

    Do not print real index debug by default.

commit 6de3db02f9b9b45d92743d3274ee84b1ec8a54de
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 15:28:09 2008 +0100

    Fixed a few real demuxer issues.
    
    Fixed a typo (unintialized variable)
    Fixed RA 28_8/14_4 support.
    Fixed error with SIPR codec.
    Fixed a few memleaks on error.

commit ab7639bdedce1ef0562d985688a83ba72388826f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 14:12:34 2008 +0100

    Fixed real PCR.

commit aedd9391fe11bc71d4f097b2f72f59dc19e71aba
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 13:18:00 2008 +0100

    Cosmetics real demux reorganization.

commit 35c7cda727b8b1b8838264bf562485894b338b09
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 12:57:03 2008 +0100

    Increase its priority.
    
    It should be safe(?).
    It actually works better than ffmpeg except that seeking without
    index does not work.
    It was used anyway for .rm file.

commit 11cbc9d625d71ebeaa0e5590faf8b1d3ffcabda6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 12:24:48 2008 +0100

    Added uncompressed rar stream filter.
    
    It supports uncompressed rar only.
    The biggest file is automatically selected.

commit c63f050042498937b119b327b17a4c7eb4ba6492
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 14 12:22:16 2008 +0100

    Big clean up/rewrite of the real demuxer.
    
    It fixes:
     - a bunch of array overflows
     - a bunch of non checked malloc.
     - pcr value
     - video frame gathering.
     - seeking.

commit 073a4b90ad4de0ad099f208e05179250ff223d8f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 13 16:58:32 2008 +0100

    Improved detection of multi-part files for rar.

commit ea0b76fe0929a97e52bf66b359eca0a33471c80d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 13 01:17:58 2008 +0100

    Improved the way input-list is given to stream_AccessNew.

commit 8e2e5e134ac5b0200ca143def62bfe1112c19c3d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 13 00:33:56 2008 +0100

    Removed useless b_quick parameter in stream_AccessNew.

commit ed7ac351038959784d19f7b4ca40629f4b2be3b4
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 14 12:35:08 2008 +0100

    Ignore modules/stream_filter/Makefile.am

commit 110f43707f8e75f2d21c455a1cdf5aafff0ee9f7
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 13 17:54:30 2008 +0100

    Remove modules/demux/decomp.c from po files.

commit ffbbecfb7ae45598ce967a828ee778316f515089
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 13 17:05:14 2008 +0100

    module_need wants pointers and boolean so give NULL and false instead of 0.

commit 17444691eaa7a8647e0d12c1dd905a1ae51a613b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 13 16:42:07 2008 +0100

    another fix for win32.

commit 5300af6109335039f1e993a3353648d1e5b278c2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 13 16:29:18 2008 +0100

    Fix compilation on win32.

commit ad08a9c341505477e50eef9f8373cd0b607caaa5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 13 16:24:24 2008 +0100

    Use calloc instead of malloc+memset.

commit ea4894d2a71af9fff4255a264bae57dbf413b424
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 13 15:31:24 2008 +0100

    sout/switcher: fix potential memleaks.

commit 817988ac3d34b630817ac19c347f3e1b3a24da55
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 13 15:29:42 2008 +0100

    sout/switcher: fix compilation.

commit 08f1edc95818be242d1ad63142b5b916d8bd5916
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sat Dec 13 15:13:49 2008 +0100

    tell jna to load libvlc with RTLD_GLOBAL option

commit 541ab326b8eb34f86f1960c6e9b3765630bbb4a8
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sat Dec 13 15:12:11 2008 +0100

    jna version updated

commit f6d9ebe61895ec8b37d42c5dab5db7f521c82dbf
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 23:50:38 2008 +0100

    Use calloc instead of malloc+memset.

commit 4b090cbd7a89ea9e92bb2582c7cff52627521944
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 23:35:53 2008 +0100

    realrtsp: fix compilation warning, use calloc and some cosmetics.

commit c27325ccfb9cec273527235a713f618349d3ed9e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 23:20:58 2008 +0100

    realrtsp: cosmetics

commit 01bde5c1ff06ef117af131c9f899d535790046db
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 23:12:00 2008 +0100

    rtspreal: no need to compute the values of this array.

commit cbba447ec46f0391e2acc42801bf280bdaf0977b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 23:06:55 2008 +0100

    rtspreal: no need to ask for the size of the array as
    We know it at compile time + some cleanups.

commit a01be865ac16f249d9b502936c43c2a7911bca1e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 22:48:09 2008 +0100

    realrtsp: don't write outside a static buffer.

commit 3e7b45b07d9284ac70e4eaeb35c212f98f149933
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 22:12:50 2008 +0100

    realrtsp: fix read after the end of the string if the input buffer length isn't a multiple of 4.

commit 520eaf2ff5ccc48efd800dae1fffa628ca5ec0aa
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 21:48:45 2008 +0100

    realrtsp: initialize *all* the array

commit a69589d375efb7839e4729f53581d21e0635dc95
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 21:43:38 2008 +0100

    realrtsp: fix potential memleaks.

commit e7d54bc7d7e5fb3faf69b09d3fd157eec7139de7
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 20:42:23 2008 +0100

    Use calloc when needed.

commit b03e7b4e12831e1fe2f4a3ee69b1985837dcb0a1
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 20:35:19 2008 +0100

    Use calloc instead of malloc+memset.

commit f65454be2a667c4f24bfdd3c35b7994d8eda0997
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 12 20:22:18 2008 +0100

    Use calloc instead of malloc+memset.

commit f20144370fb4526c1ef6ffea446084aaacb95f91
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Fri Dec 12 10:05:47 2008 +0100

    Use NULL for pointer
    
    Signed-off-by: Rémi Duraffort <ivoire@videolan.org>

commit 9ed799b9907b4e959426c8326749174a8293a9f6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 12 11:42:34 2008 +0100

    [MKV] Detect Dirac in MKV.
    
    This needs more testing, but we are lacking samples.

commit cd728cd06e00be3c601edbfcf6c5a9f79524d95c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 11 23:03:32 2008 +0100

    Do not use 2 event manager in input.

commit b64c08669b978d3b9cbff8da322f60807918b7b8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 10 19:03:08 2008 +0100

    Fixed some avi with jpeg video.

commit b1dd2eb4027d90ced29acaf31dbf7558a3f3388f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 10 19:01:26 2008 +0100

    Fixed raw video maks in avi.

commit 033efbad8cbb5216f1031fe4038c6014a0a3cb00
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 9 22:45:26 2008 +0100

    Cosmetics.

commit 2c7d795fd2344675fa0d3cf4b9c79a7fdfba1879
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Dec 11 21:11:54 2008 +0200

    Give a clue about extending enums

commit b023e95699d9421562aac150c5013224652cb5c5
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Dec 11 21:11:48 2008 +0200

    Fix warning

commit c2122ce3b13cc090590ed83159dd40f7f8fca17c
Author: basos <noxelia 4t gmail c0m>
Date:   Thu Oct 30 11:45:56 2008 +0200

    libvlc_MediaPlayerSnapshotTaken Event creation
    
    It is emmited whenever a snapshot is taken by any means
    (gui, libvlc, button ) and also passes the full path of
    the new image as event data. Rev 1
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 44b8cd0757c5766ba5b63df63690d7c5f0ee31eb
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Dec 11 16:55:41 2008 +0100

    Fix typo in comment
    
    Fix typo in comment
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 642219b660ec2ede5b9ee3f073d202e09b9b06cb
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Thu Dec 11 11:39:57 2008 +0100

    typo in event manager
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 1042260ddac499c26cd2fa205ab7359d95fe6dc7
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 10 22:27:24 2008 +0200

    Fix deadlock, do not jump out of cleanup context

commit 6f029c3e7551e729e0cecda0a89503fcafa5d63f
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 10 22:20:25 2008 +0200

    Still try to splice as many memory pages as possible

commit 77cb7de9d44008b87d212e14d67de542d2c5c976
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 10 22:19:57 2008 +0200

    Don't set an useless value

commit dfac14e60bc026a7ef7a391e7f99dc1fd0cf8b9c
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 10 22:07:37 2008 +0200

    Do not use vmsplice in case of underflow (near end-of-file)

commit 2e3d76dc7690fc0cf89e6995c5378fedc1f16ede
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 10 19:58:41 2008 +0200

    decomp: implement minimal controls

commit d81b33c3860803230eeb33c42709ab9d123d3a54
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 10 19:30:35 2008 +0200

    Enable the decomp plugin

commit f35af4b6e99ce0d234b35f749b0ca2d30a961a42
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 10 19:19:56 2008 +0200

    Turn the decompression plugin into a stream filter

commit c4e163ae811e898fdf216aaeed4799f456009e47
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 10 11:02:42 2008 +0100

    put CVE numbers for 0.9.6, synced with bugfix-branch and fixed some typos

commit 2d4177a86200a97b2505d2e16d3fedd56b4bdcfd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 10 09:56:41 2008 +0100

    Support for some ACD Systel Digital files. FourCC ACDV.
    
    This will not work yet in all AVI.

commit e31e525e203bec361cce8a4815def02a69a586c1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 10 09:13:44 2008 +0100

    [Qt] Remove access filters from Preferences.
    
    Timeshift and record are automatic now.

commit 54b49f6997c366af03faa3b4fefdd1cf3b3dd96b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 21:14:20 2008 +0100

    [Qt] Settings name consistency.

commit 389684949dff8c2681865e95be1f161fa9f94aca
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 21:03:55 2008 +0100

    [Qt] Add an icon when dragging.
    
    This improves the user experience.

commit da3ae9e4ea4b7e9f14e600cfe01c0747811dad44
Author: Jean-Philippe Andre <jpeg@via.ecp.fr>
Date:   Tue Dec 9 23:06:09 2008 +0100

    [Qt] Fix tooltip texts
    
    -- this adds a translatable string

commit 1cfd42cba65154bc2bfe98915c3fee421508bccf
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 9 22:28:10 2008 +0100

    Fixed make check.

commit 97dc478598f7aada4034fcec00f8377ceb6e029c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 9 22:09:52 2008 +0100

    Remove access-filter support.
    
    The GUI need to be updated (QT4/macosx/wx).
    The module "dump" and "bandwidth" need to be ported to stream_filter.

commit d504bcec2529ed4a995d6b54f49b615eb4a0a89b
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 9 22:53:19 2008 +0200

    Fix vout window capability name
    
    (Now agrees with module_need)

commit 44a1dd652ea0d1ffe596561c9cce69e64fb47da1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 9 21:06:12 2008 +0100

    Moved stream record to its own module.

commit 584da504599d99acd7afe548b8b6ce9b9e2b1edb
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 8 22:34:33 2008 +0100

    Support for auto and user requested stream_filter.

commit 7a0f1546bb8661f9983dae865c7429f495270c48
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 9 20:12:04 2008 +0100

    Added files/declarations for stream_filter module.

commit ff3eac1d3653463a00f546a153ae52c5ff5b6dbd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 8 22:14:08 2008 +0100

    Cosmetics.

commit ccaab7a64c3dfa7014c6a670dcf6d48c52596249
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 8 22:11:16 2008 +0100

    Split stream_demux from input/demux.c

commit 02dc7efea86a69bfe03ba96a0bbba85a0a615e29
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 8 22:04:11 2008 +0100

    Removed useless stream_DemuxDelete.
    
    Use stream_Delete instead.

commit 2b3f7c579b85f0258f3d55bbf52ffc3d9faa6603
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 8 21:50:21 2008 +0100

    Prepare for stream filter.

commit 132855ebcffec2f7e8b1ce77cb4be3ee8de2a179
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 8 21:02:35 2008 +0100

    Fixed input_get_event_manager naming scheme.

commit e03ea0d7fcb683eccd8b490064e2f53a8844286d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 8 20:54:28 2008 +0100

    Fixed input_AddSubtitle(s) coherency.

commit 3de04848582ac76dd9dd4a326a20bbfaade7abdf
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 8 20:27:34 2008 +0100

    Cosmetics.

commit 876367e0791592b8493f340ee5ab8859ed86d994
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 6 21:45:27 2008 +0100

    Removed debug leftover.

commit fa84b4cfe5aa39d27aca4a81a5b42a9c34812b83
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 6 18:59:49 2008 +0100

    Do not access input object from decoders.

commit 308153405596f3425c3b611ea7e9e11749f65383
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 6 18:38:41 2008 +0100

    Parse meta data at ogg level.
    
    It will allows to remove ugly hack in decoder.

commit 3d7cbf178fa105b8e132b0edd5423062652298de
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Dec 5 17:41:56 2008 +0100

    Display codec meta data.

commit d81aac69efe9431db560772c24054333531ae1f7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Dec 5 17:40:48 2008 +0100

    Fixed event on UNKNOWN_ES es.

commit 132b8e6f80921f117f0045b804d692fdcec3c602
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Dec 5 10:47:31 2008 +0100

    Allow decoder/packetizer to output meta data.
    
    They are ignored for now.

commit da0ee427cf177463134351fb5c4ae124226e89aa
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Dec 5 10:22:59 2008 +0100

    Fixed ppsz_input_state in RC after input state changes.

commit 7b0d97e20fbc9bfb83e601a8181c03dc24de2b2e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 20:39:27 2008 +0100

    [Qt] Save the values saved during Toolbar edition.

commit 539075e7fa434ac1c8a1316ec743d49167323d02
Author: Vicente Jimenez Aguilar <googuy@gmail.com>
Date:   Wed Dec 3 01:02:51 2008 +0100

    Corrected comparison in RTP port selection. While loop cleaned.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 05481e1866163134a4c8e6f7d46562e0656477c1
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 9 20:34:38 2008 +0200

    Factorize a condition

commit e8aae2f7719bb730fcdc9b0c8cc3c921c5f9feaa
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 9 20:34:24 2008 +0200

    Fix type

commit 3275a171c9b19b484a93443e2922a6ab13d5125d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 9 20:34:09 2008 +0200

    Use config_ChainDestroy

commit 151521b66f057e428752d006119151d325d80690
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 9 20:28:20 2008 +0200

    Use sout_StreamId* wrappers

commit 184bba7605c1c286b26b9cdc931752b0a4230252
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 9 18:46:41 2008 +0100

    Fix dereference before NULL test (CID 106)

commit 0d40e8b4bdeb4ed5bfcc4e12a1bc09cc39ac71d2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 9 18:07:00 2008 +0100

    Fix a memleak in item categories.

commit b2cd212401680dbed71b9eb71bbb80dbee2c9834
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 18:02:27 2008 +0100

    [Qt] You need now Qt4.3...
    
    Even lenny has it... (etch doesn't)
    If you want to maintain a Qt4.2 version, you are welcome.

commit 98922f952ffb4360621e5bd0ec18947a58f0dd5f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 17:55:54 2008 +0100

    [Qt] Change accelerator in menu.

commit 9fac8c09e0e31f74a08e060075ad50b8bf3f52e6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 17:53:23 2008 +0100

    [Qt] add various toolbars not just one.

commit d6a66f89eda1d17871a37fa58da14bc63fb8f58e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 17:24:33 2008 +0100

    [Qt] Edition of both lines.

commit f729cfdffa67e4734a9cc03e00086a80a3373e72
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 16:39:38 2008 +0100

    [Qt] Fix small glitches, issues, because of previous commits.

commit 06825f81dea463b28b7fd0e3b59f47f69d46c919
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 15:33:42 2008 +0100

    [Qt] Menu integration.

commit 1dbee6584667999d489f12203807c1f3570bc9b4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 15:32:47 2008 +0100

    [Qt] Rewrite of the controller and ToolBar edition.
    
    This is a big chunk, and is very experimental.
    Functionnalities are (at best) very limited.

commit 51727206009f62fa674069d04cb292ba0a18a9f6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 15:31:17 2008 +0100

    New Spacing icon.

commit 7b0c6253fb881ee0510c6bb5cfd14ba43e5a7bcd
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Dec 9 11:37:39 2008 +0100

    WinCE: fix cancellation safety
    
    Fix cancellation safety on WinCE. This very obnoxious bug prevents
    proper thread cancellation, and effectively causes lock-ups when trying
    to stop playback.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 731c247b2348f81296c623684dff5fa6bb39105e
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Tue Dec 9 00:12:39 2008 +0100

    remove npvlc.dll.manifest and axvlc.dll.manifest while uninstalling

commit e7a0232e007847207fd0fc89eab15f649d2fa47d
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Tue Dec 9 00:11:09 2008 +0100

    remove dependency to vc80's crt

commit 155b7890a20ed25366e0ac73b1247d6d961c9dc2
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Dec 8 20:18:51 2008 +0200

    Cosmetic change

commit 2770444f142941d67ff7bbed8462ba0d2f85e56e
Author: Joseph Tulou <brezhoneg1@yahoo.fr>
Date:   Mon Dec 8 09:36:26 2008 +0100

    Remove useless parameter
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit a7e586f8f7fbc0e07a965789b35bf02ef01c0a28
Author: Joseph Tulou <brezhoneg1@yahoo.fr>
Date:   Sun Dec 7 15:07:24 2008 +0100

    Change lock status from true to false in SubFilterAllocationClean
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 0d0b72d6517b1dedd869bfbdea7721d3940c06c4
Author: Joseph Tulou <brezhoneg1@yahoo.fr>
Date:   Sat Dec 6 20:41:39 2008 +0100

    libvlc: Fix event manager leak in media_discoverer
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 0ce0cc9f619a9f556ed9943de61f775433c5e311
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 7 22:48:40 2008 +0200

    Protect against vobsub lines overflow
    
    (probably impossible in practice as memory would run out first)

commit 3fc2289a178bd6cd0c9f813265504573d681c6a2
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 7 19:39:49 2008 +0200

    RTP: add QCLEP and GSM static formats (untested)

commit 95b3682aaf88580e1f810a4e6630f7835ed6f17b
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 7 14:35:58 2008 +0200

    Ignore binaries

commit 0a1ec743abc6f0c51ce747aeddcbd41c106ba9d8
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Dec 7 14:35:25 2008 +0200

    Ignore test binaries

commit 085a86595102e2a992071e9c7996f0be4c5d94b0
Author: Jean-Philippe Andre <jpeg@via.ecp.fr>
Date:   Sat Dec 6 18:51:01 2008 +0100

    Lua: youtube in HQ (when used with &fmt=18)

commit db0ec106fba56da6c7a87677e08a55e701972160
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 6 14:45:11 2008 +0100

    Fix avformat module compilation since AVStream gets sample_aspect_ratio from 52.21.0 and over.

commit e7d3f3d54df719db6a688272922bd0427b0076ab
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 6 14:22:10 2008 +0100

    Fix Avcodec module compilation.

commit f2e6cfeecc416b021338a1355c363f4aa1c875b8
Author: Joseph Tulou <brezhoneg1@yahoo.fr>
Date:   Sat Nov 29 21:39:17 2008 +0100

    change in vmem to allow multiple inputs (libvlc api)
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit bbff06b09c62b5e66b652c6d23ffd42fc735407b
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Mon Nov 3 18:47:35 2008 +0100

    qt4: don't count unselectable windows
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1c6e1a227797fd23b68dbbd7774adfa3fc70e868
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 6 02:00:02 2008 +0100

    Try to fix Win32 configures.

commit c84ad2e6eae76a64d267d5af320932170487eb51
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 6 01:24:24 2008 +0100

    Add VC1 fourCC

commit f3a2e3fd2aedf0d421d4ad4e22acb43b3cd98d5b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 5 18:33:37 2008 +0100

    NEWS: mention QCELP decoding with latest FFmpeg and latest mov changes by fenrir.

commit 18e2dfb40c269222268ae07b2dfd7efc6acb8560
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 5 16:46:42 2008 +0100

    Add DMK2 and VX1K fourCC.
    
    This is getting insane.

commit 0a778174db0192075a3194fb05b06a034ad940d2
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Dec 5 15:28:47 2008 +0200

    set stream aspect-ratio to video aspect-ratio, as ffmpeg checks that
    from r15367 onward and refuses to mux without them matching.
    
    Should fix flv-muxing.

commit dd046c24fbb8d8ee585d1667570c77c3612807d4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 4 23:12:41 2008 +0100

    Reset buffering level when needed.

commit 2c6a375e1c76f09a45864de7528c232a76bbf5cd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 4 23:04:18 2008 +0100

    Clean up.

commit 31715344b7a412c10126e4118a42bd5b8333ec44
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 4 22:59:32 2008 +0100

    Removed obsolete BUFFERING_S input state.
    
     The associated libvlc_MediaPlayerBuffering and libvlc_Buffering value could
    probably be removed (not done as I do not know the maintainer opinion).

commit 2d98c228d68921314ced40ce15aef4d14dc6a7dc
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 4 22:54:29 2008 +0100

    Added a input "cache" variable and INPUT_EVENT_CACHE event.
    
    They will allow interfaces to display the current buffering status.

commit b062d2a61dccb5788e9abbb833dbb5f94d05eb8b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 4 22:43:46 2008 +0100

    Improved OPENING_S/BUFFERING_S status change.

commit f593c8f08cdb4bba1f078586cbe8b1fcb0fc4532
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 4 22:36:37 2008 +0100

    Removed unused STOP_S input state.
    
     The associated libvlc_MediaPlayerStopped and libvlc_Stopped value could
    probably be removed (not done as I do not know the maintainer opinion).

commit 78d8264958011d3742744d267f828ac031362773
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 4 22:21:38 2008 +0100

    Fixed mp4 for audio stream that need alignment (qcelp, adpcm).

commit e01af7eba9ebd30a60f6f5dd2bd466b352c9b84b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 4 22:11:34 2008 +0100

    Added support for avcodec SAMPLE_FMT_*.

commit 73c96a164d569286052d3aafaa51ba9e1c03d885
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 3 23:58:10 2008 +0100

    Fixed input bookmark thread safety, support and event.

commit 23eae0262de009be8bc92386df61920f3bf29602
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 3 23:10:04 2008 +0100

    Fixed INPUT_GET_VIDEO_FPS thread safety.

commit f6803fd0f75b89b2566dc4aa9dd3ebd10554b0ad
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 3 22:44:18 2008 +0100

    Fixed vout leak.
    
    The spu has to be detached from the vout object, otherwise the vout will
    never be destroyed.

commit a3ac28fbf57e52f31e053b0026a78db3b8f88998
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 3 22:25:20 2008 +0100

    Added H264 Closed Caption SEI support to packetizer.

commit 7e0c2e1b586444b4dc8406e3165486ab3ed6ff5c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 2 20:08:40 2008 +0100

    Fixed INPUT_GET_BOOKMARK locking scheme.

commit 4d60f5b6a736b07736e6f1c83bd3f59962a1adcc
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 2 20:01:02 2008 +0100

    Added a new INPUT_GET_BOOKMARK to allow future safe bookmark.
    
     It removes the need of INPUT_GET_BYTE_POSITION/INPUT_SET_BYTE_SIZE which where
    not thread safe.

commit 39868b9241295c62c1004608f267f3d621f52a2a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 2 19:27:06 2008 +0100

    Moved i_cr_average from input_source_t to input_thread_private_t.

commit dd3a0dd1f6a9729dc1411c0bbd4fbdc0149a0658
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 2 19:16:17 2008 +0100

    Moved input_item_t from input_source_t to input_thread_private_t.

commit 4af875f0a23cf450e9241e84be46172ad3c41b6c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 2 00:03:33 2008 +0100

    Cosmetics.

commit bf16a1ed695b398ca39eb9f500ff87927b5bb2b9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 1 23:52:02 2008 +0100

    Cosmetics.

commit 0432a0e58128e028233828671fdc842d4c9bf93e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 1 23:19:12 2008 +0100

    Cosmetics.

commit de1eb83f70dac19693a8711dd2acf2972b35987f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 1 23:16:39 2008 +0100

    Cosmetics.

commit 76901ea32e5255dba85df1919f02d8b37bf27f79
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 1 22:53:25 2008 +0100

    Improved access/demux update state reading.

commit f86fdcb669528cb5c3e5e906d12281ff96b63106
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Dec 4 21:15:57 2008 +0200

    Improve messages

commit da52c957b114cc7ad0abbbdb8add939d007de3f0
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 3 22:17:47 2008 +0200

    Fix inverted RTP dropout and misordering, and some simplifications.

commit 2cdda809f4b2b20d0c64a314e50ac4255cadfcfb
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 3 22:17:05 2008 +0200

    Remove useless optimistic synchronization hack
    
    We do it more properly when creating a source anyway.

commit 9da6dd53dab766aec020176861fcd63c606619b6
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 3 22:25:11 2008 +0200

    Add some warnings

commit be7670825f0c02b0f62d10466ca3bd81c3e271cf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 4 15:56:48 2008 +0100

    NEWS and THANKS

commit 56d05a4003f859a817e7c443db823049583090b8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 4 15:50:58 2008 +0100

    PulseAudio: Support for 7.1 and use accept 32-bits float as input, patch by Danny Wood.
    
    Cosmetic on the file too.

commit 0c028c292be73c6eaabd6a95daa7ea3d5dac413e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 4 10:13:28 2008 +0100

    FourCC fiesta.

commit fa41328c4cab8a08ce8fe934f6212afed2fc24cc
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 3 21:53:12 2008 +0200

    RTP sout: pick truly random ISN and SSRC
    
    We were always picking the same values. This is pretty bad as it breaks
    fast resynchronization (and is totally lame anyway).

commit 069a7cde28ad82b9a0565246d601aa2f8b043796
Author: Robert Paciorek <robert@opcode.eu.org>
Date:   Wed Dec 3 20:03:00 2008 +0100

    invmem fake video codec module
    
    This module make possible uses libvlc as output (not input as vmem) for
    video stream rendering in aplication ... motivation to create this patch can
    find at http://forum.videolan.org/viewtopic.php?f=32&t=53256
    
    Usage is similar to vmem output module. We need next vlc_argv[] options:
       "--codec", "invmem",
       "--invmem-width", width,
       "--invmem-height", height,
       "--invmem-lock", clock,
       "--invmem-unlock", cunlock,
       "--invmem-data", cdata,
    and calling libvlc_media_new with "fake://" access string:
       libvlc_media_new(libvlc, "fake://", &ex);
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 5cd55e7221b83555ec603edfaaecd6594b720172
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 3 19:38:01 2008 +0200

    RTP: fix overflow in jitter computation

commit 2cd57dde9b3a7b10700a89c479c37da4d71c48b0
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 3 19:29:38 2008 +0200

    RTP: dequeue and discard late packets

commit 2680e77e0e632d4788ff89bd63f1eee1fe99757f
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 3 19:28:54 2008 +0200

    Revert debug crap

commit f42519569ab210c229f6bf0dfec7863daa1ec613
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 3 19:02:14 2008 +0200

    Cosmetic

commit 764332810076c074bcb72e9dd0f8b78987543647
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Dec 3 18:42:33 2008 +0200

    RTP sout: use same port as RTP input by default

commit 35be7fb34b848b6de1108a32dbd1ecbe0212a45f
Author: Danny Wood <danwood76@gmail.com>
Date:   Wed Dec 3 16:47:33 2008 +0200

    Pulseaudio surround support
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 0545e3f0b70ef2e9f8370a9cd01a08ab5b7c3f77
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 2 21:00:39 2008 +0200

    Fix socket hang-up detection

commit 3df9e79877f9131b8a7f9700317a6d86877fbae6
Author: Michael Hanselmann <public@hansmi.ch>
Date:   Tue Dec 2 01:06:00 2008 +0100

    Add us_asprintf function
    
    us_asprintf() has the same prototype as asprintf(), but doesn't use
    the system locale.
    
    Signed-off-by: Michael Hanselmann <public@hansmi.ch>
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit d50a6fad1f2c44990abeb019d327929f23acb9e8
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 1 17:14:57 2008 +0100

    Fix typo in comment
    
    Fix typo in comment: "spurious" instead of "supurious"
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 217290379388e6d196402b2e09536a1aa4857986
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Dec 2 18:55:39 2008 +0200

    Grmbl!!!
    (cherry picked from commit a684d0267892b3cafed7cbf2ae8175a806bb547d)

commit 94e765fa48ebc24d153973e7f9bd0bd8c654a5dc
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Dec 1 21:45:23 2008 +0200

    Really fix the real overflow

commit 3b3a30cff9d72c905b6bbc2c4afb0e8c5cb55a8e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 1 20:25:36 2008 +0100

    Unused variable.

commit a3201e790854f0c03b1b74fe0db20fb0037e2e74
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 1 11:24:18 2008 +0100

    Replaces useless function declaration by empty definition
    
    Replaces a function declaration by the needed empty definition for WinCE
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 804fae6c8d1e2bc3c3d27766657a9b171e949954
Author: Vicente Jimenez Aguilar <googuy@gmail.com>
Date:   Sun Nov 30 21:27:00 2008 +0100

    Typo in README.txt file about Lua interface
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 07dc019fff656ff82057828e044b66321f48172a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 1 07:56:13 2008 +0100

    [FFmpeg] support for native RV40

commit c273b44121435e8e6b37dfd2d42ab0ff80e866a0
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 30 20:17:22 2008 +0100

    Input/control: Fix memleak.

commit 42a3a46390b44c8ed7cde4537973359d6bb6ffc3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 30 19:28:00 2008 +0100

    Initialize demux_meta_t before calling "meta reader".
    
    There was a segfault probably due to taglib module changes.

commit cbd6303e10b7bf053e6c531a490473108a62e108
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 30 17:03:27 2008 +0100

    flac: Fix comparaison between signed and unsigned.

commit 5fca3033c82ea4f7ef236124823d37df35b3e870
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 21:16:42 2008 +0100

    Correctly display time and seek with high input caching.

commit 875bcdf157986d553b5a9c2b1105238154a1e9d0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 21:15:27 2008 +0100

    Correctly reset date after a discontinuity in audio decoder.

commit d5d6a32a1f7934bc128ae0dc37bcfed9665433c7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 14:03:27 2008 +0100

    Stop es_out before removing demux.
    
    It avoids useless es creation every time the current active es is destroyed.

commit 0dbfdd8726d1ebcb83734e87bab81a691170f969
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 13:42:34 2008 +0100

    Fixed a potential vout object leak in decoder.

commit 8eb251e543d7e02c8942e1ff831231de440be790
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 30 16:50:06 2008 +0100

    Fix compilation warning (const variables)

commit 2e554fa9118e7a75d3e3d1f0c6e51ba48b733b63
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 30 15:41:47 2008 +0100

    osd/simple: remove nop.

commit 8f633e5b25dac916d2b5c3c68c903a05dff3e301
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 30 15:27:37 2008 +0100

    cmml: cleaning (remove dummy code). xarray will be removed one day.

commit f52d10e513584789ba7a5b3a31aebd75c461dedf
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 30 15:13:35 2008 +0100

    Xtag: don't return anything from xtag_free

commit c109dcf17f7af0d81e9f8b64c2c7b6d087c322d5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 30 14:58:56 2008 +0100

    drms: Some cleanups

commit e871dbedf1c940944fef8635f80f875fb6ccb06e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 30 14:52:45 2008 +0100

    Taglib: cleaning and better use of the tag library.

commit a7317a9af7b0a8a0e6581444b13ce6b06157b61c
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Nov 17 04:25:35 2008 +0200

    By definition of sizeof, sizeof(char) = 1

commit eb9963eb49daa8ab00b5c6986a8ec5294c6b5bf3
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Nov 17 04:18:10 2008 +0200

    Real: fix integer overflow
    
    This is trivially exploitable to run code.
    
    Pointed-out-by: Tobias Klein

commit 56acdf5ccc6d6cbb3399f87593f162ffb990196e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 29 15:21:28 2008 +0200

    convert audioscrobbler-plugin to intf-event stuff, that pause/start counting
    could do reviewing.

commit b0068f14836dd448b759a83d5adfce106ce63293
Author: Iain Wade <iwade@optusnet.com.au>
Date:   Tue Nov 4 18:35:24 2008 +1100

    DRM Video decryption
    
    The attached patch adds support for decrypting and playing drm
    protected video, such as those from iTunes movie store.
    
    The patch was created against the 0.9.5 source tarball, and was
    compiled and tested on OSX against some (legitimately purchased)
    iTunes purchased songs and movies.
    
    Just like the existing audio support it requires decryption keys to be
    deposited in ~/.drms/ and extracting the keys is left as an exercise
    for the user.
    
    [Commit message edited by Laurent Aimar]
    
    Signed-off-by: Iain Wade <iwade@optusnet.com.au>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 885069c5ae812fe0f1859c516a3c58a821ed1b06
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 29 12:17:08 2008 +0100

    Update news with references to latest commits and update LIST

commit 82687ca79d212df4bf087190a5d4ce657f60b2ab
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 11:47:59 2008 +0100

    Fixed OS-X compilation.

commit 07ffb2e1441db6de8ba93e7eada994e50d97e601
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 11:15:17 2008 +0100

    Cosmetics.

commit 85dd1a0b762517a9c6f1c721c30bdce233c25dd0
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Thu Nov 27 11:58:52 2008 +0000

    mux/ogg: Don't use granulepos = UINT64_MAX on EOS page
    
    It isn't legal for granulepos to be UINT64_MAX on an EOS page since
    this special value indicates that no packets finish on the page, yet
    an EOS page signifies that the final packet does finish on the page.
    
    It seems that there is a convention for repeating the last used
    granulepos in the EOS page per logical stream.  This then allows
    some extra file size hints (duration = last gp - first gp) [1]
    
    [1] This is flawed -- EOS may occur anywhere, however this is what
    some people do.
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit faa5af57d09d24e6c0070373ceb65f867b0e74a9
Author: David Flynn <davidf@woaf.net>
Date:   Thu Nov 27 11:58:50 2008 +0000

    demux/ogg: protect against invalid oggdirac stream
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit a60c74bf2d3d56705a103d24dd8133a2995ae41f
Author: David Flynn <davidf@woaf.net>
Date:   Thu Nov 27 11:58:48 2008 +0000

    demux/ogg: Update OggDirac granule_shift (should be 22 not 32)
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 8e550e858819f8d06fd36be9bdc721d19a58d01a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 21:34:44 2008 +0100

    Added MLP support to es demuxer.

commit be3721902bdd223479625324c8d69fe51691187b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 21:31:42 2008 +0100

    Added MLP packetizer with TrueHD support (AC3 frame removed).

commit bb4404e10b494ce4142556601ff3a527e3b88f34
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 20:52:41 2008 +0100

    Fix BD TrueHD and LPCM fourcc (ts).

commit 3fc985ffa7d95286d60271dcb980c7a06ff38aa3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 20:23:23 2008 +0100

    Added support of BD LPCM (using fcc bpcm)

commit 136ba66496e4bcf4b3cee36c936ee54fe259ac7e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 19:55:08 2008 +0100

    Cosmetics (lpcm).

commit 1f8490d6324f60ed3fbe827ac936a7341528ac8b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 19:40:35 2008 +0100

    Allow up to 8 channels with ffmpeg decoder.

commit d82497f9b7f52353f5413567da592b2b64705d35
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 19:38:31 2008 +0100

    Cosmetics (use AV_VERSION_INT).

commit c083066672c85086bd7af86f277b856aaad30f1e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 19:35:18 2008 +0100

    Added MLP fourcc definition to ffmpeg.

commit 63d2ae6421d29099c3f5f56bd24c795fb0bc8f08
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 01:36:05 2008 +0100

    Fixed buffering value for frame step.

commit 4bd735fba88b1f8174e68f4719f5ca2779df6b7f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 01:18:53 2008 +0100

    Fixed an unlikely segfault (subtitles).

commit e827c77316e1c7c3fbbcbd65958c00a657eace99
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 01:16:51 2008 +0100

    Improved current times in regard to es_out timeshift.

commit 1f8343b87c62f77f2a95ce29ceed3f416b2399e4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 21:55:06 2008 +0100

    Revert "Hide es out timeshift delay from time display."
    
    This reverts commit d30180d8ec7de8776611de5c2f0b0e1587bf0ad4.

commit 3074c6015a6e83c40d9ccd00388d1e00b1fd2e50
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 26 19:55:45 2008 +0100

    Protect audio decoder against invalid date.

commit 5708e0cd1cdc41e3cc325cd63bd91eed8537f3dd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 25 20:59:17 2008 +0100

    Fixed seeking while paused (visible with high caching).

commit db4b1b44bf969f3db9b17e31d48efed60b5154cd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 25 20:58:49 2008 +0100

    Protect against bogus time in vout while paused.

commit d92600e0e54b2f3b1ade65327b1795082b0399b0
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Fri Nov 28 14:56:12 2008 +0100

    Fix my previous commit

commit a7765cbe266f66f773e5a6b614e6beb1d0a734d8
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Fri Nov 28 08:26:35 2008 +0100

    WinCE: update the use of messages subscription

commit b047088a37ba72508baaff4c19970245394c7b86
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Thu Nov 27 21:57:14 2008 +0100

    Using a not sxs-aware CRT won't work

commit a40078c86eac6ad595e26271e9eb636eedccdcd4
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Nov 27 20:36:43 2008 +0200

    httpd: full URL is also valid for HTTP (fixes #2320)
    
    Also skip URI authority properly.

commit 016b0842b7d0e182b1928f41f92404e686982100
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Nov 27 19:20:41 2008 +0200

    Compile fix

commit ab36d2f79979987e7ec4c20dd4a90882a0a705de
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Nov 27 18:45:17 2008 +0200

    RTP: implement demux EOF

commit 1cfc062386350ce6ae10b411bfbd4ca9016d60e6
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Nov 27 17:54:22 2008 +0200

    Revert "Fixed deadlock when no data are received in rtp."
    
    This reverts commit a34f07303469b45915a359273ff17143baa0c73d.

commit e03130e4d0c97aaf0cdced7ece6d3077bdcd01b9
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Nov 27 18:43:15 2008 +0200

    RTP: notify demux thread when RTP flow is dead

commit 431e5dfac61e9326a861db5efb186589f62221d5
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Nov 27 18:46:20 2008 +0200

    RTP: fail when object is killed

commit 627acb5550a9c6b399500a22a2c1b94bf3795958
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Nov 27 18:44:15 2008 +0200

    RTP: some documentation

commit 36993b454826ea48b524ce99936f667ef330a664
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Nov 27 19:04:59 2008 +0200

    RTP: fix use of unitialized value

commit 031dd3fed7f444acd1855b49a4b545666b38de82
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Nov 27 18:52:48 2008 +0200

    net_Read: cancel-safety

commit 7fda9d771009fb50bebc797e8c20b2fcb50c77e1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 27 00:54:38 2008 +0100

    [Win32 Contrib] Disable pthread for x264 until someone gets the time to understand the issue.

commit f6d65479de1af38157ac70158fa7eee1a0c3af59
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 27 00:51:54 2008 +0100

    [Win32] Update the package configuration.

commit 96db1d57943e0ffc6af5db3f119898b4d3079e1c
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Mon Nov 24 10:59:29 2008 +0100

    Correctly handle multiple clients in httpd
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit d7c5e8057c4a938155c614392c1212c49e61f83d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Nov 26 19:38:22 2008 +0200

    Unlikely memory leak (fixes #2304)

commit c61844bbd475c42b157dc21ba60e12add0831be6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 26 17:20:17 2008 +0100

    manifest files are in srcdir not builddir

commit e575f2b30fea35519d48b64742a6dc1395d720b8
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 25 22:37:19 2008 +0000

    mandriva.spec was deleted

commit af8536f86d6ef2697fe6d300b7ed6ca8ffb72bcd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 25 19:31:33 2008 +0100

    Enable frame by frame button only when video is present.

commit 3ce2f703116a5a90a19801d8254a85559660a14f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 25 19:24:17 2008 +0100

    Fixed segfault because of typo in meta info code.

commit b3eb9ab9bdba36e85d63ca0234cc8e95d2188eed
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 25 14:22:24 2008 +0100

    Thread cancellation on WinCE
    
    This patch adds support for thread cancellation on Windows CE. It
    emulates missing functions such as WaitForSingleObjectEx, by creating
    a cancellation event handle, and forwarding the wait functions to wait
    on both the original handles and the cancellation event. The thread can
    then be cancelled by triggering the event from another thread.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit b190a796acd528de06afe921f691c8bbd2de59e7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 25 09:49:07 2008 +0100

    [Build] Try to fix the MacOS builds when git describe fails.

commit e45586d00e21d212bfad4dc5579283d00e27e3b5
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Mon Nov 24 23:06:47 2008 +0100

    specify dependency to msvcrt for vlc.exe and libvlc.dll

commit 77c9a1f227bb7f1f7a5926eaf83c2fba6267db4d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 24 23:02:20 2008 +0100

    [ÐShow] add HDYC mediasubtype
    
    The colourspace is wrong, but we have no other solutions for now.
    Patch by Edouard Gomez, idea modified by David Flynn and merged manually by me.

commit d06621e6fd1ca10c4ce6f0dfa17000d4c5ca1b5e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 24 22:56:22 2008 +0100

    NSIS: put the manifest on install.

commit 86f0fc91f623d8989fab8bfaffd220183b7ef731
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Mon Nov 24 22:33:11 2008 +0100

    Add manifests to browser plugins

commit d30180d8ec7de8776611de5c2f0b0e1587bf0ad4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 20:08:15 2008 +0100

    Hide es out timeshift delay from time display.

commit 7f2f2b4d89735c3453f49f87ab70f8127bc36c38
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 19:11:33 2008 +0100

    Updated codec informations on decoder output change.
    
     It allows to have more complete informations but only on currently
    decoded tracks.

commit a34f07303469b45915a359273ff17143baa0c73d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 19:10:00 2008 +0100

    Fixed deadlock when no data are received in rtp.
    
     It might not be the cleanest way, but I don't see any other fix with the
    current API.
     Feel free to revert if a better fix can be found.

commit 222e2acb01f1fb88d5509a085cc02e1584d66a7a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 19:09:15 2008 +0100

    Do not try other protocols when ask to quit (mms).

commit c0de0770be3482a4625a5cca109a239bac083d1d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 22:23:29 2008 +0100

    Cosmetic.

commit 25c1488e6054a78eabde9a1cc97a6425d6d92d63
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Nov 24 19:21:44 2008 +0200

    Remove useless variable

commit b1f71294226ac7ec9a677ffded971b39287252b9
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Nov 24 19:18:55 2008 +0200

    Do not use input while not referenced

commit e95cb50f115152575b0302720e1d93e016e219a1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 24 18:17:33 2008 +0100

    [Contrib] Bump XML to 2.7.2 and update gnuTLS to 2.6.2 (big issue in 2.6.1)

commit 33bc091e53fce7b7ee7670cbfda0ab85e0a61a70
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Nov 24 18:54:39 2008 +0200

    Ignore Makevars.template

commit 47b266ef2a8bc315316d189d283f6b71f37ee3ca
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Nov 24 18:54:09 2008 +0200

    thanks

commit feaf1158aa20e251e4cd1e310117728cd3c70229
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Nov 24 18:52:46 2008 +0200

    Documentation fixes

commit 9232e780f16a0321d7cc4aa5a7f5b7ff667c9b56
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Nov 24 18:51:46 2008 +0200

    Remove horribly out of date Mandriva spec file
    
    Clearly, these files are better maintained out of our tree.

commit 26ae17e81344ea51161a27e8911b10b139b2946c
Author: Antoine Lejeune <phytos@videolan.org>
Date:   Mon Nov 10 17:43:00 2008 +0100

    Add an INSTALL.maemo file
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit af20b62ad6ec0e5bd62b0370f69cfc97840f05d7
Author: Antoine Lejeune <phytos@videolan.org>
Date:   Sat Jul 26 03:11:06 2008 +0200

    Add an omap framebuffer video output module
    
    It is used to speed up video output on N800/N810 devices.
    
    X11 is used to handle events.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit b451524fb92bdec19fb40b6db98484381e3717d2
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Nov 24 18:28:50 2008 +0200

    Allow bootstrapping from a subdirectory
    
    (or any directory in fact)

commit b2d5e418c0a34f6fe641d9deb418b4c787ffe9b0
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Nov 24 16:11:15 2008 +0200

    Change PSP-format to mp4v/mp4a/mp4 as reported by Kaarlo Räihä

commit d0ec7d4d2bbe11675ed29e741044344aa36eefdd
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 23 22:51:58 2008 +0200

    Add UpdateTeletext to case

commit 4507b1469cdaad46b486127985584bb23c675e66
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 23 22:49:52 2008 +0200

    Remove extra ItemStateChanged_Type handling

commit dce569710359b2d1dcccc5e95a2ef44c231f00e3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 15:29:49 2008 +0100

    Renamed "seekable" into "can-seek" (for consistency).

commit fac02ebd89c2ae371f5bf0cddc1bb5d9a01bb7e1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 14:57:30 2008 +0100

    Removed intf-change-vout/rate-change/stats-change/intf-change.

commit 5b54d6769be435b2c0b475d473e4eb3e0b144623
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 15:21:12 2008 +0100

    Updated to intf-event.

commit e59ff9f6a6c7877ef9bc5ffd23c7fcf9f59cccda
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 14:52:17 2008 +0100

    Do not use intf-change in maemo gui.

commit 1ae86f62027e1f75d88ce2ca4acc8ec2d7cb7730
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 14:33:03 2008 +0100

    Updated qt4 to use intf-event.
    
    It might need a review and a clean up of the qt4 code.

commit aa31cdc3aba6f1c7c8217c0ef87f52fb5a494ab4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 14:29:50 2008 +0100

    Added INPUT_EVENT_TELETEXT.

commit 23f6c1e3088f2581b78d894c5ae95239875b83ad
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 13:10:59 2008 +0100

    Avoid a deadlock when a decoder is in error.

commit 5a55a589848fa6c68395288ab2bb47b45695cb1e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 13:09:02 2008 +0100

    Allows audio output users to control vout creation.
    
     The input event vout now warns about every vout creation/destruction
    due to a decoder.

commit debcac6b7a8fcd098bdce97091c6035908b662ff
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 22 23:12:43 2008 +0100

    macosx: properly set up the nextKeyView for all text fields in the sprefs
    
    Forward-port [a643d7e59b8fa7b8525dd12ae733baa2a1333f26]

commit 80c485427a5167340f27f43a7cf5620dfe00cede
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 22 18:31:04 2008 +0000

    Fix my previous commit

commit d434f6cad2651fa3d6134bcc21fe5468d464bb81
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 22 17:44:42 2008 +0000

    Include event.h.
    
    Needed for input_SendEventVout()

commit 28a62ce8126ca70e53cf2a8ad1c06f712e6fba7e
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 22 17:02:25 2008 +0000

    Timeshift is no longer an access_filter

commit 1c76d96f74fe8703a5bae8ae36b8a9e01d3f9996
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 22 16:43:19 2008 +0000

    Don't i18n'd ""
    
    It's reserved by gettext. gettext("") will output the headers.

commit d95eef28a329c5da0274f2833c7c10861d48c4bc
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 22 16:33:07 2008 +0000

    Fix memleak
    
    Closes #2300

commit 88a9bbf30fcb8a5371440699d6cce7e12b7667fe
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 22 16:23:11 2008 +0000

    Fix memleak
    
    Untested
    Closes #2306

commit f4407931afb32f6bb93c8217fa806ced3e847aa5
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 22 16:22:24 2008 +0000

    Fix memleak
    
    Closes #2308

commit 6b176dfcf7b7c2bcbaf86846b76ac28c2dd107e4
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 22 16:17:23 2008 +0000

    Fix memleak
    
    Closes #2307

commit aa79a7b23841cd0a7b7ac8c4426ba191d5115e01
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 22 16:04:24 2008 +0000

    Fix mem leak
    
    Closes #2305

commit d6f0bd78c5aaae605b7894777d4d8eddb6fdaddb
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 16:26:16 2008 +0100

    Clean up input events.
    
    A new variable intf-event has been added.
    It supercedes the following variables (they are still present for the
    time being):
     - intf-change
     - intf-change-vout
     - rate-change
     - stats-change
    and allows to have a better knowledge of the change done.
    
    It is documented in vlc_input.h (in progress).

commit d20c8d6613bfcd2363edfe267bc8456f40fd30bd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 12:36:35 2008 +0100

    Moved statistic update from sout to input.
    
    It allows to avoid the inclusion of input_internal.h

commit 087f8dc2dd0933ce2a7b013a1c9c93d473a4eff4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 12:03:18 2008 +0100

    Cosmetics.

commit 7153649867d16d65ddb45a4861fbe0979aa1f4ec
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 11:57:24 2008 +0100

    Use input_interface.h (playlist).

commit 56ba662f7b1b02335e28ef47401463ae4cc7bb38
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 11:37:58 2008 +0100

    Clean up input_item_t functions and usages.
    
    It fixes a bunch of missing locks and remove unused functions.
    It splits input_internal.h

commit 6b843acc086616c8df89f2805029fd81f75c4cac
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 11:18:07 2008 +0100

    Removed unused -playlist_ItemSetName.

commit ca94f2108f14e043da34cd0542eb49fef281bb87
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 11:15:21 2008 +0100

    Set CDDA track duration when creating the track items.

commit 412936e1427327e9cf1dea3fa103fe030ea6acd7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 10:18:15 2008 +0100

    Do not use playlist code in CDDA.

commit 09af6e91f7b4484416a2d4750892e99db3ea2135
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 10:50:24 2008 +0100

    Do not use playlist inside a decoder.

commit 505c55847244354d447e5373039f9f7060138365
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 10:10:55 2008 +0100

    Use input_item_GetName instead of direct access to an item.
    
    It will allows proper locking of p_item.

commit beb3e94f47852750a21eb3720d7f2c11337a78a0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 10:06:12 2008 +0100

    Let input_item_AddSubItem set the playlist flags.
    
    It will allows proper locking of p_item.

commit 6d56066a71397f79b4d810e17e1c1cf0c061f7b4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 20 21:49:51 2008 +0100

    Move/clean up input event code to its own file.
    
    There is no functionnal changes except a few missing events added.

commit 9e0f68a30db55e542ac294e742d176d11aa5d4ab
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 21 19:54:23 2008 +0100

    Removed unneeded macros.

commit e8eb236b06fde6c8c0712f2cccc2a5a324dbb1a9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 19 22:57:16 2008 +0100

    Cosmetics.

commit dadedd20e5e841d6d71c71ba4b2056726517c70a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 14:16:54 2008 +0100

    Do not refuse to open odd port number with RTP input access.
    
    It is a common pratice to allows it for at least TS over RTP.
    I have added an error message when using a odd port.

commit 94a2e5cd09df4839919950d0463a5f6889e8efac
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 21 21:28:26 2008 +0100

    Do not recreate the decoder when unneeded (mp4).

commit 31412310fd0a5ecf23e3c8ba39e0b0818cb861ab
Author: Joseph Tulou <brezhoneg1@yahoo.fr>
Date:   Sat Nov 22 00:36:49 2008 +0000

    Fix a typo in SDL vout plugin
    
    It was preventing mouse to work properly.
    
    Signed-off-by: Christophe Mutricy <xtophe@videolan.org>

commit be73bf389a184aa9d738e07e19499311c7e6d201
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 21 13:50:20 2008 +0100

    [Qt] Fix the Advanced Control de-attachment from interface.
    
    Don't forget the break; in a switch !

commit f400b1431cbb7abfced4042def176cf2f905ec5a
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Nov 21 11:48:18 2008 +0100

    Add can-rate to distinguish between normal rate control and negative playback direction.

commit 3db7bce23446b13b468633efd8e458dfd8577ba0
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Nov 21 10:52:44 2008 +0100

    Document new feature RTSP trickplay support.

commit bda9ff6d9630e4319459e1a065ab422b33f5267b
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Nov 21 10:21:31 2008 +0100

    Enable rc fastforward and rewind commands for RTSP trickplay.

commit 8623a9731e4d3af5eed1063b508c84a456cd08d1
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Nov 21 09:57:17 2008 +0100

    Allow minimum rate change upto 32/1 in input.

commit 469dc54720a2bafd6c2b7529904073b529d29f1f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 20 20:12:51 2008 +0100

    Fixed double free.

commit 7976ebd1f3067909647ea7d5f07015d513fe26b3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 20 19:45:11 2008 +0100

    Moved INPUT_CONTROL_FIFO_SIZE to private header.

commit 4ad64a6000d86ac689be9bc0ba8248203c90ccb7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 20 19:21:22 2008 +0100

    Fix rate slower/faster in rewind mode.

commit 9a86226f79eccbb9e98bcd7ddd07776ded1f69dd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 20 19:07:58 2008 +0100

    Cosmetics.

commit 1d67fa1de3437f84a4ea73eaf7300d349add9c6e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 20 19:04:09 2008 +0100

    Fixed decoder deadlock when stream output control the pace.

commit d63e1d8135d5d8f1e849669bb04ff69f445d3b3d
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Thu Nov 20 17:10:47 2008 +0100

    (qt4) Enable reverse playback direction button in qt4 interface.

commit 409327e9602e9d8a26e35b3ac4b97604d4790429
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Thu Nov 20 16:41:01 2008 +0100

    Remove last instances of FORWARD/BACKWARD state.
    
    I seem to have missed these, sorry guys for breaking the build.

commit 57dda7ffd68f3d4052ea403d9536eb8f817ac30b
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Thu Nov 20 14:33:37 2008 +0100

    Remove FORWARD_S and BACKWARD_S from input state.
    
    The input core does separate playing states for forward or backward direction from the playing state PLAYING_S. If one wants to know in what direction VLC is playing, then he needs to look at the sign value of the "rate" value. Backward playing direction has a negative "rate" value. Forward playing direction has a positive one.

commit 75adef44b044b9b81e593e74db857d6b2a7e4eaa
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Thu Nov 20 14:19:37 2008 +0100

    Signal can_rewind for use by user interfaces.

commit f76cff41026a8c812644a57db33c4d2d846cf55a
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Nov 19 16:07:34 2008 +0100

    Allowing for rate < 0 enables rewind playback for eg: RTSP streams.
    
    Don't allow rate < 0 when p_input->p->input.b_rescale_ts is true.
    Setting b_rescale_ts to true says to vlc, rescale the timestamp.
    Setting it to false is like saying, I can completely handle the rate, just aknoledge the fact that the rate is not the default one.

commit 48fd6e792fbb1552d6a7f72a795b998ccebb871a
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Nov 19 15:45:19 2008 +0100

    (live555) RTSP fastforward works from Qt4 interface.

commit b6a59e00612767ad4af7e6c677a2b38c03a1daa1
Author: COCQUEBERT Cédric <cedric.cocquebert@cea.fr>
Date:   Wed Nov 19 22:11:26 2008 +0100

    Fixed video offsets and horizontal edge blending.
    
    Signed-off-by: COCQUEBERT Cédric <cedric.cocquebert@cea.fr>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 1eaa7b8c1f4873e87669c6a707d9f2722caa338e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 19 21:53:17 2008 +0100

    Fixed deinterlacing for i422.
    
    Initial report/patch by Marian Durkovic.

commit 769bef8771a9586acd5533e89a8ccb80453f4fb3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 19 21:22:30 2008 +0100

    Fix deadlock when the decoder return an error.

commit b5c81d3d419e117085c569cbb22e3376f7118134
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 19 21:21:55 2008 +0100

    Fixed rawvideo packetizer.

commit b35ccb11b7fc6301e1622f9c1621fdc396ddaf95
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 19 20:22:01 2008 +0100

    Make icecast server detection more robust.

commit ef2bc53a5aa891f513dcba342b21bdd1fe1b3303
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 19 19:45:03 2008 +0100

    Fix potential invalid sout buffer chain in decoder.

commit 65ba74b32823a342293d860ad3dbd902ae6e71e1
Author: Lukas Durfina <lukas.durfina@gmail.com>
Date:   Tue Nov 18 22:46:40 2008 +0100

    libvlc: get right name of audio output module
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fff34513a840271c021d5be6d947eb84d948bb65
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 20:30:28 2008 +0100

    Added timeshift support.

commit 53705ef119e5f6dbf76844fce87f66a690d5e606
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 20:16:28 2008 +0100

    Improved ogm support + fix typo.

commit 8833f1447820aeafa3e0506e5d8282acac0e07f3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 19:39:24 2008 +0100

    Fixed possible out of bound access + infinite loop in dirac header.

commit 95777adeaca098ccca234a108e2fd2ad45f21359
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 19:31:47 2008 +0100

    Cosmetics.

commit 9236f9f6d562a5d76729a8e5be1c88de2cd827b1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 19:19:50 2008 +0100

    Fixed double free.
    
    Fixed double free.

commit 442eb5a4352ed514644c7e3d0e09cc4734ed3166
Author: Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>
Date:   Tue Nov 11 20:42:31 2008 +0000

    Do not delay processing of the first data page of the last logical stream
    
    The first data page of a physical stream is stored in the relevant logical stream
    in Ogg_FindLogicalStreams. Therefore, we must not read a page and only update the
    stream it belongs to if we haven't processed this first page yet. If we do, we
    will only process that first page whenever we find the second page for this stream.
    While this is fine for Vorbis and Theora, which are continuous codecs, which means
    the second page will arrive real quick, this is not fine for Kate, whose second
    data page will typically arrive much later.
    This means it is now possible to seek right at the start of a stream where the last
    logical stream is Kate, without having to wait for the second data page to unblock
    the first one, which is the one that triggers the 'no more headers to backup' code.
    And, as we all know, seeking without having backed up all headers is bad, since the
    codec will fail to initialize if it's missing its headers.
    
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 4e54fc160224190187431e60a8a3b14d767b65ee
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 19:05:49 2008 +0100

    Fixed block_Realloc when block_t->p_buffer has changed.

commit ca8b9219dbb4bb9a138ecab837ccfd8b14a8ce9c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 19:05:22 2008 +0100

    Use vlc_rand_bytes for utf8_mkstemp.

commit a72e482158358fd98727cadf7e74638e0efa50f8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 01:21:05 2008 +0100

    Cosmetics (use PES_EXTENDED_STREAM_ID)

commit 823eb62211b1deb38dc87523949c835e7342be69
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 01:19:41 2008 +0100

    Added utf8_mkstemp to src/libvlccore.sym.

commit 9c315c227a1cb427a1b855d88b85370361a8b233
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 00:47:31 2008 +0100

    Fixed es selection regression.

commit 73b3ef6a82a71d7d650337cbf2d2a88d37555121
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 00:17:30 2008 +0100

    Faster close when timeshift is active.
    
    It is useless to read the stream data when flushing.

commit b8525bc7b21f2e2dce05c94077c4c555068b9ea2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 00:09:43 2008 +0100

    Fixed a segfault in ES_OUT_GET_ES_STATE (typo).

commit 0ea70bbfcfd472b1d65fcd3cf8674b8a84efae23
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 00:07:14 2008 +0100

    Use utf8_mkstemp in timeshift.
    
    It should fix win32 build.

commit c7a41e0c0d3d710f94e3fbe0bf423a56565af16a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 00:05:49 2008 +0100

    Added a utf8_mkstemp implementation.

commit 3fd3d4a872d0f04aa779ffef10ed806b30429a70
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 17 19:55:01 2008 +0100

    Reduce memory usage (-28%) by packing index structures.
    
    It is done by using __attribute__((__packed__)) when available.

commit 90548d3f9cb2f1234a19b41e76d220c12f7bfd99
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 17 19:36:37 2008 +0100

    Updated "can-pause" value.

commit 8d3b66c7741278475239dff47db40ccd1c2b9f0f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 17 19:36:00 2008 +0100

    Added timeshift options (input-timeshift-granularity/input-timeshift-path).

commit 4bdd926ef28a0401f21732142f3447ea2df73ca2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 17 19:34:24 2008 +0100

    Fixed missing unlock in case of error (timeshift).

commit 75c6fc8a9ab6a04fac971dea563feaff139637be
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 17 19:05:40 2008 +0100

    Removed timeshift module.
    
     It has been replaced by generic timeshift at es_out level.
    The only regressions I see is:
     - it is not (yet) possible to timeshift module that (wrongly) advertize
     pace control.
     - the new timeshift still uses too much memory (~20Mbytes per hour for DVB-T).

commit 80863b952f7ae7d39109b4ae07a940b45c6d2497
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 17 00:42:29 2008 +0100

    Dump data to disk when timeshifting.

commit 55025f1669c7fea487a10cd7814b013b889d49ab
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 16 21:34:58 2008 +0100

    Prepare file storage in timeshift.

commit c0f8369c9bed7d38959fe59ea39674696b91ad5a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 16 14:47:40 2008 +0100

    Clean up.

commit c09b621f03e4a6a327b598458b8d40ad0a810224
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 16 13:40:53 2008 +0100

    Added frame by frame support in es out timeshift.

commit 19c98153b45cbf299cd47d69b0a2e93bb3973fc9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 16 12:37:52 2008 +0100

    Privatized ES_OUT_SET_ACTIVE/MODE and removed ES_OUT_GET_ACTIVE/MODE/GROUP.

commit ae7defefe8c13191a2ab77925a88dcee0195c35e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 16 02:55:38 2008 +0100

    Stop timeshifting when unused.

commit ec71b128447bac8f23b8c08411cd5c7754c86331
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 16 02:45:48 2008 +0100

    Cosmetics.

commit cf11da5c830ad368f599139807f803d137592156
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 16 02:44:38 2008 +0100

    Untangled es_out_timeshift lock/wait/properties.

commit 4617937415cd1ad37957af7467a67cccb68e8add
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 16 01:27:48 2008 +0100

    No functionnal changes (timeshift).

commit 3945cc1e35adc816628fbdd3eb9132623ed3727e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 16 00:08:15 2008 +0100

    Cosmetics.

commit b51fa63017557ea4f8971a8cfe6f87ae2a852556
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 15 21:04:26 2008 +0100

    Auto reset rate to source rate when no more buffered data.

commit fc75017b5c06aabba6b902c57651a4544906bfa4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 15 20:28:08 2008 +0100

    Added rate change support to es_out_timeshift.

commit 1c01003be78d5f2eedc31fb5d2c8b069eae90f13
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 14 01:58:09 2008 +0100

    Cosmetics.

commit 8a126c132b3822c52517873dcdf143645c307b5c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 14 01:53:30 2008 +0100

    Implemented pause for non pausable stream (in memory).

commit f4b377f216a6e1e8bd4cf38d264b50d54eaee8e0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 13 00:14:12 2008 +0100

    Cosmetic.

commit f137ba5147c43defc34567a3b80150f31f9e62b2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 13 00:10:01 2008 +0100

    Allow using es_out timeshift pause support.

commit 7e1b9f44158641bf8049cc253cd8296fcff38129
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 13 00:08:30 2008 +0100

    Begin es out timeshift implementation.
    
    There are some problems:
    - The data are stored in memory.
    - Only pause/unpause are supported.
    - Data are sent too fast to the next es_out.

commit 7e676a0275dd15b42fd05092a3d8710415aa2add
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 11 21:26:46 2008 +0100

    Added initial skeleton for es_out timeshift support.
    
    It is not yet functionnal.

commit cdf95dd2b9eb2ace08660d2183479348dfa8e4e3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 01:08:49 2008 +0100

    Fixed ES_OUT_SET_FMT name.

commit 52f79869de83fe0dbc0c199da89f02147f521578
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 17 16:48:04 2008 +0100

    Patch to enable/disable key and mouse handling at vout level:
    
    - x11-event option is renamed vout-event and become global
    (libvlc-module.c)
    - var_CreateGetInteger is called once at x11 initialization
    
    Patch by Joseph Tulou

commit 6f1a7b41f0f2175ceb1dd399b1ded5e30ffe704b
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Nov 17 12:08:28 2008 +0100

    Temporarily work around crashing on Windows due to %zu
    
    The printf functions on Windows don't support the z length modifier,
    which can shift field arguments, and causes an unconditional crash in
    modules.c on start-up. For now, strip it on Windows and have vlc work
    again, until a better solution is found and applied.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5c96f1ca97f41550e06088e008459e525f67f724
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 17 16:26:58 2008 +0100

    Support for QAM modulation on ATSC
    
    Default is not QAM_AUTO because ATSC is mainly using VSB_8 for non-cable operations.
    Patch by Charles Hordis

commit 4c930da51936b79c1ec749c1d1cc8d691d12d83e
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 17 00:18:48 2008 +0000

    Don't distribute ./compile

commit f780d3b469da511cbb3b348212415d5fb5e3b881
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 17 00:17:05 2008 +0000

    Distribute pixmaps/toolbars/*

commit 8c165626f3da573191de019f0162ea9734be5147
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 17 00:15:34 2008 +0000

    rtp/xiph.c has no strings and is not (yet) distributed

commit 31d3d2771558286943061572dd479209efd15d66
Author: Alexis Ballier <aballier@gentoo.org>
Date:   Sat Nov 15 14:42:19 2008 +0100

    Allow disabling libsysfs support
    
    Add a configure switch to allow disabling libsysfs support instead of letting it check what is on the build host and enable it accordingly. The default behavior is unchanged.
    
    Signed-off-by: Christophe Mutricy <xtophe@videolan.org>

commit 1c7d467fd350ca8b2f24b8e053acfc94f5db8def
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 15 22:53:26 2008 +0100

    Fixed snapshot while video is paused.

commit 4ec42b9f6caa614af20a49ab7179a6b2ddbe8635
Author: David Flynn <davidf@woaf.net>
Date:   Sat Nov 15 14:13:48 2008 +0000

    codec/dirac: Fix video format guessing
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit f9aa3037dcab1893133bf59199bf7075e629a7bf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 17:44:39 2008 +0100

    NEWS: Dirac is now available in TS too.

commit 7bac2995d7e5115a8e77f2fd925292078c3a3121
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 14 17:02:42 2008 +0100

    [Qt] Use the new Frame-By-Frame icon.

commit 8f92973b71c8cc8f4179e1fc57ee28fc47b8afbd
Author: Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>
Date:   Tue Nov 11 20:56:06 2008 +0000

    do not mind large time discontinuities in SPU streams these are to be expected, so do not reset timing
    
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit eb4acbeca5a04ebf41066bef4b25aaff88a416a3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 15 13:21:57 2008 +0100

    Removed useless test.

commit 3c64d837fa8ec788d59746cfc8dffe832392017d
Author: David Flynn <davidf@woaf.net>
Date:   Fri Nov 14 21:46:40 2008 +0000

    mux/mpeg/pes: move PES_PRIVATE_STREAM_1 id handling into PESHeader()
    
    PES_EXTENDED_STREAM_ID is handled inside PESHeader()
    Not handling PES_PRIVATE_STREAM_1 inside PESHeader() just moves complication
    into the calling function and creates an extra argument.
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 9bf477009db3d73ec1696647e5fedef8bcd4a6a1
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Fri Nov 14 21:46:39 2008 +0000

    mux/mpeg/ts: Add dirac muxing support
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 8fa6777f521b5e9bf403a5963afb754049506755
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Fri Nov 14 21:46:38 2008 +0000

    mux/mpeg/pes: Add support for stream_id_extension
    
    ISO/IEC 13818-1:2000/Amd.2:2003 Adds support for signalling
    a stream_id_extension.  This is used in mapping standards
    for Dirac/VC-2 and VC-1.
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 7c593a9a7f927a9624f1d59d97d98c902b469c1f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 15 13:02:55 2008 +0100

    Added 2 asserts.

commit 7d26a5b223dfd17b0f8b9105783996645863beca
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Fri Nov 14 21:46:37 2008 +0000

    mux/mpeg/pes: Add support for unbounded VIDEO_ES
    
    For some stream_id's in a transport stream, the PES packet may be
    unbounded in length; add support for this.
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit cbab46c414f4b51028dc864e92c2d87887bc565a
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Fri Nov 14 21:46:36 2008 +0000

    mux/mpeg/pes: Add documentation stub
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 95561f29f5795b1876829b76ff464d2f02fef30c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 14 20:50:03 2008 +0100

    Revert "Fix compilation warning when compiling without --enable-debug."
    This commit breaks 'make check'.
    
    This reverts commit c87ca8bb3ad9da57f15b311d4b688215e0a2f461.

commit 04ac555c50c6d211d36b8fa9a0ba8f818ca552b8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 14 16:47:30 2008 +0100

    [Qt] New icons... Because you are worth it.

commit 6cf25e2b1d5190274dff340f70c5dd01ebac9e0e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 13 22:47:56 2008 +0100

    Cmml: again, fix warning in a better way.

commit c22afa5f197adc5bca3e15eae4132b8fbb0e642f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 13 22:37:05 2008 +0100

    cmml: *Really* fix compilation warning.
    (Don't use dummy code to hide these warnings)

commit c87ca8bb3ad9da57f15b311d4b688215e0a2f461
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 13 22:22:32 2008 +0100

    Fix compilation warning when compiling without --enable-debug.

commit fed7645e20d458fb0034e81afeaa25740487973b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 13 18:40:41 2008 +0100

    Some NEWS.

commit fbb04b5b0db0eca95dd44746c71bbafa2530acde
Author: COCQUEBERT Cédric <cedric.cocquebert@cea.fr>
Date:   Thu Nov 13 18:05:25 2008 +0100

    Fix toggling when Video is not embedded
    
    Slight modification by jb
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ec0f02a435f1670b671722ae5ccec1f34fcefe9d
Author: Antoine Lejeune <phytos@videolan.org>
Date:   Sat Jul 26 02:58:15 2008 +0200

    Maemo: Add the swscale_nokia770 library
    
    Its interface is close to swscale and the library used part of the
    swscale module code.
    The library was developped by Siarhei Siamashka.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 374571ac06c8bfbf4816cf130637bd20f9c3baf9
Author: Antoine Lejeune <phytos@videolan.org>
Date:   Fri Jun 27 18:55:15 2008 +0200

    A new GUI for Maemo based on Hildon framework
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 4b07d84daa85a9ac984ca8f088b456e9793f588f
Author: Vicente Jimenez Aguilar <googuy@gmail.com>
Date:   Thu Nov 13 15:20:04 2008 +0100

    Misspelling DCCP code
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 8239dd267432fc01273b5b05b1e0c4d94370d88b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 13 02:29:06 2008 +0100

    Correct typo in previous commits.

commit defe773333888b4b951bf823427af30ed1265fa8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 13 02:21:46 2008 +0100

    [Win32] package scripts updates.

commit f7ae34ece159379d8b7e569ce4aa56a86e19963a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 13 01:07:30 2008 +0100

    [Win32] add a MSys configure script.

commit 9d2bf51588e76a0ae6f27d0899d3d64df9d6f16b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 13 01:04:23 2008 +0100

    [Win32] Package: Warn if unix2dos fails, since this can happen a lot on MSys or CYGWIN

commit 044d79f1968037eaba38a67bc13cfadb6b02ddb7
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 12 21:32:55 2008 +0000

    RTP has moved to access/

commit 38c794f39eeb18e0f76c2295aae8f3c9ee6a017e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 12 22:15:27 2008 +0100

    ub.sh: prettified the comments a bit

commit 733996f459a45bf5577590520acc0cc2cd46f947
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 12 20:04:42 2008 +0100

    Fixed output bitrate value + cosmetics.

commit 940c79795a4b59431f74b0df96cbcc14fc1b1b91
Author: David Flynn <davidf@woaf.net>
Date:   Wed Nov 12 09:21:25 2008 +0000

    codec/dirac: Rewrite libdirac(-research) encoding support
    
    libdirac is currently a higher quality (albeit much slower) encoder than
    libschroedinger.  The intention is to port its algorithim to schro and
    depricate the codebase.
    
    A previous patch removes libdirac decoding support in preference
    to the schroedinger module which is designed to be much faster.
    
    This patch corrects previous attempts at doing an encoder module. It
    takes into account:
     - input PTS
     - correctly forming output pts&dts (progressive and field coding modes)
     - gathering dirac data units into encapsulation units
     - encoder options
     - simplified encoder options (block overlap)
     - choosing of suitable parameters from input frame parameters
     - OggDirac compliant stashing of headers in p_extra
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 7c8f1b05e8d2b4aa1717e623eb683337e6f1dced
Author: Ludovic Fauvet <etix@l0cal.com>
Date:   Tue Nov 11 11:37:34 2008 +0100

    Fix a cursor selection bug in the Messages logs (see #2163)
    
    Also introduce a smart selection where the selection is restored after
    text is inserted.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 52193737a575d2e26e7be17cf5ca78f9a063a2b5
Author: Paul Corke <paulc@datatote.co.uk>
Date:   Tue Nov 11 10:05:45 2008 +0000

    httpd:  correctly reads from ufd[]...
    
    ...in the case where there are multiple clients, not all of which are
    waiting to be serviced.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 4ee5170c5d781905a78ed70e3f983b498b133889
Author: Dominique Leuenberger <dominique@leuenberger.net>
Date:   Mon Nov 10 22:48:53 2008 +0100

    Add support for bbc.co.uk iPLayer URLs (LUA Script)
    
    Radio only for the moment
    
    Signed-off-by: Christophe Mutricy <xtophe@videolan.org>

commit 24e636d13505e7e5a04118a152463c140ca22bf3
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 11 20:07:48 2008 +0000

    i18: Translate one more string

commit d7bfe73c7d4dc859202ab87afff74cc758d9d6aa
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 8 01:08:26 2008 +0000

    Sync NEWS

commit 6a0b7bb7097e0851f38cc9f6c2b2062c0fd14e8c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 11 21:49:05 2008 +0100

    Revert "Increased VOUT_IDLE_SLEEP as a proper wait/lock is used."
    
    This reverts commit 4332c070f6eba9288f349ac378392b219a3d7629.
    
    A higher value creates problem with OSD. This will need more
    thinking.

commit b558a0cc74be26a6181114ff1099461d156ff103
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 11 21:16:04 2008 +0100

    Removed es_out_Lock/Unlock.
    
     Demuxer running their own thread sending data to es_out will have to
    properly handle es_out (reset).

commit f2b93f9017bd00f47b420feb85ccac36eeb4a9e1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 11 20:32:20 2008 +0100

    Removed stream immediate.
    
    Normal stream layer should be about the same latency now.

commit f5ba2e366da3a87471c1c998fffc2ebf82c3b94a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 11 20:26:05 2008 +0100

    Removed useless buffering at stream level.
    
    It removed the need of access_t.info.b_prebuffered
    It reduces latency (removing the need for stream immediate)
    It may increase a little the CPU usage but only for demuxer that
    already do too much small stream reads.

commit 4332c070f6eba9288f349ac378392b219a3d7629
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 11 19:40:07 2008 +0100

    Increased VOUT_IDLE_SLEEP as a proper wait/lock is used.
    
     It is still needed as filter change need to be checked and do not use
    this wait/lock (they are about picture fifo).

commit f506f347461641f288a5c0511b0b61bd221c9797
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 11 19:47:05 2008 +0100

    Fix package-macosx-plugin target on MacOS X 10.5 (Leopard).
    
    forward-port [578af5df020a05e7deb7f4b0fdf5b6c5d402814e]
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit b96dff8a8384c896228b8cb1dc8137a7d2c40f65
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 11 17:09:51 2008 +0200

    Modify caching-values in simple-preferences, so new base values are
    100 200 300 750 2500
    
    For http/rtsp caching is doubled, for mms its 10x that (maybe too much on that one).

commit 82674c404707d81843ca67d512f3eb073732a984
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 11 13:06:41 2008 +0200

    Enable ffmpeg aac decoder, seems to work currently.

commit 00e50bafad3a09a276ed4b1f5e06dde792cb0ca0
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Mon Nov 10 19:27:33 2008 +0000

    codec/dirac: remove decoder functionality
    
    The schroedinger project and vlc module are much faster dirac decoders;
    that should be used in preference to libdirac[-research]
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit f1d4df64c430242f395e5aa4db05c092c940d691
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 10 19:07:00 2008 +0100

    Constify es_out_Add es_format_t* argument.

commit a8498883acf47525fdd61515df37b56af99424a1
Author: David Flynn <davidf@woaf.net>
Date:   Sun Nov 9 15:36:17 2008 +0000

    mux/ogg: Enable OggDirac support
    
     - OggDirac support using revised granule_position mapping:
         http://www.diracvideo.org/specification (20081109)
     - Uses p_extra for BOS page
     - Flushes Ogg page after each OggDirac packet
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 326b2d497a6661a94bbd5e0e3d1d9eb03c2019d9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 10 16:40:45 2008 +0100

    [Contrib] GnuTLS update to 2.6.1

commit 76f5ed0b78a36ac8dbcddf304cc211074c9a506d
Author: Sebastien Escudier <sebastien-devel@celeos.eu>
Date:   Fri Nov 7 10:25:26 2008 +0100

    live555.cpp typo
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7c091cbe7a4fcc36218df65f5aa46f92e1a9a37f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 10 13:58:23 2008 +0100

    [Contrib] Dirac update to 1.0.0. Some patches were merged upstream, some are still needed...

commit 8bda7d7287446b0f5b54fe69c07d600cb0bbd1a2
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Nov 9 21:34:43 2008 +0200

    Fix previous commit (untested)

commit acade544006e80a73facb152fa53437e21a99a2f
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Nov 9 21:26:11 2008 +0200

    Improve Win32 poll replacement (and fix #1949)

commit e2fd6417ab45a222a20e6c3e10392654b85bd280
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Nov 9 20:04:38 2008 +0200

    read -> recv for Wins(o|u)ck

commit e63f18a0cac245aa779c3e76fc46ee9bb5bfd336
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Nov 9 19:36:30 2008 +0200

    RTP: try to improve packet re-ordering

commit 40f2e51765f4b1d65283fc5184a33ad28096c613
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Nov 9 14:41:07 2008 +0200

    Move RTP to access/rtp

commit 5b0e367ea7bd4aef9927bd2fe1231ec625a1509c
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Nov 8 17:51:28 2008 +0200

    mmap: fix large file support on 32-bits archs (closes #2188)

commit f3c8f164bfff4e4074d3c6987802a6d64b10705e
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Nov 8 17:43:54 2008 +0200

    mmap: fix debug message formats

commit dfbad7bef1d4421e44fec1fba51cb0d9c371917e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 7 13:40:23 2008 +0100

    [Galaktos] Fix compilation.

commit 7bd1ec999126ed0a1f1b864f7b861242a66438c7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 7 13:12:05 2008 +0100

    Remove unneeded symbols.

commit 59b29b20605efab97ba62c75629cd43053e91b86
Author: Lukas Durfina <lukas.durfina@gmail.com>
Date:   Sat Nov 1 13:23:25 2008 +0100

    libvlc: better audio handling
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1e2f42cbdcaff93a11682a0944d91a388a46733a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 12:29:39 2008 +0100

    Modified demux_vaControlHelper to take bitrate in an int64_t

commit fdf11136ae966181d509cb629635890890fd1ec3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 12:22:43 2008 +0100

    Cleaned up a bit rawvideo demuxer.
    
    Used vlc_fourcc_t.
    Protected a macro.
    Used var_CreateGetNonEmptyString where needed.
    Cosmetics.

commit 68ae0c21f802a0f34315485b3e450b4baa6f8d26
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 11:52:32 2008 +0100

    Do not reject rawvideo without a frame rate but use 25 instead.
    
     The rawvideo stream may not be CFR but has a timestamp for every frame.
     Anyway I prefer that we try to display the stream even with small glitches
    than rejecting it.

commit cf0633ae4b65fe4a636fb7248950ae4af4bfd48a
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Fri Nov 7 08:43:32 2008 +0000

    rawvideo: Fix timestamps & input options
    
    demux:
     - Use accurate timestamps (date_t)
     - Signal frame rate in fmt_out
     - Fix aspect ratio for YUV4MPEG2
     - Reoganise input options to allow sensible overrides
       Ie: extension gussing < yuv4mpeg < cmdline
    
    codec/packetizer:
     - Fix incorrect assumption of 25 fps video
     - Use accurate timestamps (date_t)
     - Copy input format as output format (to preserve frame rate)
     - Set progressive flag per picture
    
    TODO:
     - Have module option for interlaced
     - Detect interlaced in demux for YUV4MPEG2
     - Have codec read set the interlaced flags in the video
     All seems rather tricky for the moment (well, YUV4MPEG2 bit does,
     since the demuxer strips the headers that reveal the interlace
     mode).
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 038ff7b2822ab927762912c130e15781b0f3bb4d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 7 01:49:04 2008 +0100

    [Contribs] Update LAME.

commit 647bac81ba81632cd632ce94bc28ee4e19097783
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 7 01:36:03 2008 +0100

    [Contrib] Update to libpng 1.2.33

commit aacbc118daad941b03272be14c1757b1b883cb34
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 7 01:29:15 2008 +0100

    [Contrib] Theora 1.0.

commit e3fe478bbe1a8566d37d549f997efa7a973f39ba
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 6 20:12:47 2008 +0100

    Update live555 contrib patch

commit 0557b943ad4847383369315155c8d8fd8f790856
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Nov 6 22:34:24 2008 +0200

    Remove thread ID.
    
    Iinvalid on POSIX (pthread_t is not scalar), crashing on Win32

commit 8580c193320de406a1bdf5ee09860933b7661e58
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 5 22:23:11 2008 +0100

    Fixed spatializer compilation.

commit 0430ee7da097e95ed9312c6e98c9fe4455e34114
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 5 22:18:25 2008 +0100

    Fixed goom compilation.

commit d603ab6b7c13f256a26f45696c56027f746b9dde
Author: Joseph Tulou <brezhoneg1@yahoo.fr>
Date:   Wed Nov 5 22:34:59 2008 +0200

    Make x11 event handling optional
    
    Signed-off-b: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 4909d939d435d7930f0e05e8b308d735950368f8
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Nov 5 22:06:36 2008 +0200

    Fix sscanf overflow
    
    Pointed-out-by: Tobias Klein <tk@trapkit.de>

commit 95491aa74fc33d7c3f5183e608ae0d057e1e3c5c
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Nov 4 21:31:17 2008 +0200

    Fix buffer overflow
    
    Pointed-out-by. Tobias Klein <tk@trapkit.de>

commit 337c8691c2e5576e679bbf2e3c4f10306a75a2ae
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 5 21:31:47 2008 +0100

    Allow aout to grab vout_Request calls.
    
     Do not use vout_Request in aout_filter_t anymore but aout_filter_RequestVout.
     They have the same semantic but it will allows to control every vout creation
    from aout.

commit fc22aeaca9bd16f94c4ed10f67a3ff1d8cc5d1a8
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Tue Nov 4 23:51:51 2008 +0000

    Fix allocation of picture_t without full initialization
    
    NB, this highlights some reference counting strangeness.
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 3efe5e8aec56dd2397d2d3def1ce623362181503
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 3 22:22:21 2008 +0100

    Split (virtually) display and demux es_out.

commit fccbbf9786b4d36b79253cfe8447f976ffff547b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 3 20:41:08 2008 +0100

    Convert remaining input_EsOut* to es_out_Control.

commit 2c73cfb4fa5c4fd17b2f70015df25ed171cb890b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 2 21:43:44 2008 +0100

    Moved input_EsOutSetRecord/input_EsOutSetDelay to es_out_Control.

commit b0bcb74cf24e97b0714da3604172f95b090b8009
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 2 19:00:22 2008 +0100

    Moved input_EsOutDecodersIsEmpty to es_out_Control and cleaned its usage.

commit 26a1e9d2458188f6330181650665303f629d0e37
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 2 18:30:17 2008 +0100

    Moved input_EsOutIsBuffering to es_out_Control.

commit 719d408b1e213ad512344f97a4abdc0eace2482d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 2 16:55:02 2008 +0100

    Removed the need of input_EsOutGetFromID.

commit a03e58ee5370c68c707723ebcccda0782b92f176
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 2 16:41:55 2008 +0100

    Fixed ES_OUT_SET_DEFAULT name (added ES_).

commit c2f9cc4472c2db298c263a35176cede8aca42d71
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 2 16:36:19 2008 +0100

    Moved input_EsOutGetWakeup to es_out_Control.

commit d551561daaeb546f7fb328dbf07c07562de3a335
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 2 13:53:01 2008 +0100

    Improved a bit es_out_t generalisation.

commit a7e6be66ee8f4f525506b138f8eb09a490111f84
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 4 23:45:19 2008 +0100

    Cosmetics.

commit 685e2b0d2d0bc6176416a4592c6f30c05aea6a50
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Tue Nov 4 22:21:30 2008 +0000

    Fix parsing of SPS for particular profiles
    
    Should fix some aspect ratio related pain, amongst others.
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 3f7d9fb446c6e14c261d85ac8f93501014fd645e
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Thu Oct 30 11:29:44 2008 +0000

    Fix prototype to be more const
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 5d1d43dcce7268442077145336fe8790e4389900
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 4 22:45:02 2008 +0100

    Fixed useless timestamp discontinuity with sout.

commit 352ed528dc5d531b154565fa5e16fbd7186f6db3
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Nov 4 21:51:32 2008 +0200

    Don't lock the message queue until we need it

commit 48582a55e23166f79b63ebd7a6174dfd2afbafd4
Author: Sebastien Escudier <sebastien-devel@celeos.eu>
Date:   Tue Nov 4 16:08:43 2008 +0100

    fix sdt.h include in dvb access module
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 520b8ffc5b40098537df1b08e24ba0f3afba2692
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Tue Nov 4 14:48:21 2008 +0000

    Fix calculation with uninitialized value
    
    In particular, calculating i_dts and i_length in p_stream.
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit aaee6ea2df72ff0254e4ec82402039bf1ad44b92
Author: David Flynn <davidf@woaf.net>
Date:   Tue Nov 4 14:48:20 2008 +0000

    Fix unpacking of Dirac SeqHdr
    
    Individual flags on overridden interlace coding modes are nolonger
    transmitted.  Just a single uint.
    
    Signed-off-by: David Flynn <davidf@rd.bbc.co.uk>
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 9119f4fae02b845f1661e1ac3f0794c759725ebf
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Tue Nov 4 16:12:58 2008 +0100

    input_DetachSout corrections
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 77b33ced9c4063a601710bc403db5d3139e20999
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 4 15:50:23 2008 +0100

    WinCE: fix includes
    
    Fix includes for WinCE
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit e2c2ece94594b050b6ac8627f000edcc796930d8
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Sun Nov 2 20:01:55 2008 +0100

    WinCE: replace _wmkdir by _mkdir

commit f57c5bdcf9eec8b7ecfe94c53503bb3aaba2e264
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Sun Nov 2 19:59:38 2008 +0100

    add -no-undefined for WinCE

commit d041136e29a08c2e89367455dfae1961d2cdb768
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Sun Nov 2 19:59:05 2008 +0100

    CeGCC headers depend on _WIN32_WINNT

commit 6a34cf948a4c21ff4b543e6ef84e384c7e4c3acf
Author: Tadashi Jokagi <elf2000@users.sourceforge.net>
Date:   Mon Nov 3 23:33:44 2008 +0000

    l10n: Japanese update
    Signed-off-by: Christophe Mutricy <xtophe@videolan.org>

commit 155d38531103b562a68340076889c152e160eaca
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 3 23:32:05 2008 +0000

    Files have been deleted

commit 108850c2e04b7d32ef2539c90eb47167dc49ab79
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 3 20:53:34 2008 +0100

    xspf: both "xmlns" and "xmlns:vlc" are acceptable. (Fix #2260)

commit 1f7257ebb25b9c49bac9c68424705a5c1a2f20ef
Author: Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>
Date:   Sat Nov 1 09:57:10 2008 +0000

    fix build with (at least) libspeex 1.1.12
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 2bdbd381b7507646d6e0179699956085dd18843d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 23 07:10:53 2008 -0700

    [Qt] Privatise what can be privatised in menu class

commit 46ff46aba5a5632de15490d659e2353186178704
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 23 06:47:22 2008 -0700

    [Qt] Put the extended dialog on the left of the Main Interface by default.
    
    Close ticket

commit d72ab39c30f7540596e7ad11556b18ce110ad721
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 2 20:14:16 2008 +0100

    [Qt] Parsing of generic toolbars and auto-creation of those bars.
    
    This introduce a parseAndCreate function that creates all the needed buttons from a QString input.
    This also introduce a next-frame button and the code needed behind it.

commit bc01f89575b94140e2d59a4b1167320ea954d222
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 1 23:16:53 2008 +0100

    [Qt] Implement a kind of rememberance in Open Network Dialog.
    
    The code is suboptimal since it does save more often than when accept() is called. This will be fixed in the future.

commit d28937e87627edb8e65d416aa405d9299dc35ea5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 2 17:56:47 2008 +0100

    Moved VOUT_MIN_DIRECT_PICTURES to src/video_output.

commit 3e356e56b23267a91a9e682cc63115926da77600
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 2 17:50:14 2008 +0100

    Removed check on OPTIMIZE_MEMORY in installed headers.

commit 60bba9e00fb1808dce867e6ba491368ae5899677
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 2 14:49:05 2008 +0100

    QT|bookmarks: use hh:mm:ss as time default format.

commit b6366fc0b0182bd552ccb0276998601ed133f1ec
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 2 13:00:01 2008 +0100

    Remove MALLOC_NULL and use calloc when needed.

commit 12879a4c3b71a9d566a20a73a72430ca44b17e08
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 2 12:40:43 2008 +0100

    Remove MALLOC_(VOID|ERR). (and use calloc instead of malloc+memset)

commit 30b6a950676d59cf110a5ecdfa7798b2311274bf
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 2 12:39:34 2008 +0100

    Use var_CreateGet when needed (and cleaning)

commit d5f2ec0de2c051dc45aed4a24cb13b10938c0c24
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 2 11:36:10 2008 +0100

    Don't use var_CreateGet oly to Create the variable.

commit af6303149338a6b448cb08b440e88d69ab34c7f7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 1 16:22:52 2008 +0100

    Increase the number of video/sub buffer.
    
    Only if OPTIMIZE_MEMORY is not defined.
    If allows better performance at the expense of memory.

commit 007185b1ab1125ec04c9aa5bea1446f802dd5d5f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 1 16:19:52 2008 +0100

    Added lock around es_out for multiple thread access.
    
    It should fix race conditions when using stream demuxer.
    It is a temporary way until I finish a few es_out modification.

commit e34927d31d92030d037294412f1e651601e5e010
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 26 16:20:53 2008 +0100

    Moved out a few defines from vlc_config.h

commit c502ce6e81ae4fb29bb72d07bca717d54e7f7c10
Author: Rolf Ahrenberg <Rolf.Ahrenberg@saunalahti.com>
Date:   Fri Oct 31 14:44:26 2008 +0200

    RTSP authentication with DSS
    
    This patch enables a working RTSP authentication with the Darwin
    streaming server (DSS).
    
    When the VLC is compiled against Live555 streaming media library
    (live.2008.09.02), the authentication fails when both username and
    password are asked via a VLC dialog as the DSS requires authorization
    also for SETUP, PLAY, and TEARDOWN commands and the necessary
    information isn't delivered correctly to the Live555 library. The VLC
    used Live555 interface in such a way, that the authenticator was valid
    only for the DESCRIBE when I debugged the library with vlc-0.9.2. The
    problem still exists in vlc-0.9.5.
    
    Signed-off-by: Rolf Ahrenberg <Rolf.Ahrenberg@saunalahti.fi>
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 08d7a20d7bfda963eb3b71443042165b19b86531
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Nov 1 15:24:51 2008 +0200

    Only check msleep on Linux (seems to depend on GNU ELF extensions)

commit 4dcbda16b38498f4b48c4a746bdae27f8528faa1
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Nov 1 13:23:55 2008 +0200

    Missing include

commit ce9b3ea8e724dc6f36c9a84ccacc56fa354bde60
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 31 23:49:48 2008 +0100

    Fix potential memleak (+cleaning).

commit 4d62902da8765ffcba5d55f1ce8fbd7a1176a9b8
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 31 23:29:04 2008 +0100

    Remove unused macros (or used only one time).

commit 4e626b7f87ea07a7027975e7e760c559458810f2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 31 23:14:21 2008 +0100

    Don't use var_CreateGet just to create variables.

commit 5754275dff94623be34ec22bbf1792635ef2ea41
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 31 22:55:33 2008 +0100

    Typo

commit 088194609ca850c2c8b6e0eaa3cfd0e1f48a4ff3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 31 22:15:34 2008 +0100

    Clean up (and use var_CreateGetString)

commit 77950f05cc5dc7f48a8c8437e17690a89209125d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 31 22:10:57 2008 +0100

    Cleanup and fix a potential memleak.

commit 0237be200bc97f4ddd37c556871137c0f4d449e3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 31 22:10:16 2008 +0100

    Use asprintf instead of malloc+sprintf.

commit d329a269c737c185d19b02597e9f26daa9b77f5e
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 30 23:03:52 2008 +0200

    documentation

commit 5c2490264a2c92be8bdfc58ba988c2cda006165a
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 30 22:59:37 2008 +0200

    Convert host name to locale before IDN is applied

commit aab2abb054990b7cf94f7ef2bd285049d23cb83c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Oct 30 21:18:45 2008 +0100

    Fix potential memleak (CID 270 and 271)

commit 5d974e629ec3380490cf14cd344819debe9b350d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 30 22:08:59 2008 +0200

    Cleanup directory URI encoding

commit 691503a29d3b860b4c4428f316b8f0ef56dd7013
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Oct 30 20:57:30 2008 +0100

    Qt4|Bookmarks: fix memleaks.

commit 7989f86c90d0a65ff82e790a6a88729575a2669f
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 30 21:15:43 2008 +0200

    Remove the Qt4 video widget

commit b95136f6ea88b18b0d05bd8f3b7dc8475ab3f7f9
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 30 21:02:10 2008 +0200

    Remove useless parameter

commit 62fd975c7cba03645c45188bcb784e708bbd473b
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 30 19:53:22 2008 +0200

    Remove write-only value

commit c4aac77c660a12edef25481656b6de760c57b2d5
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 30 19:33:35 2008 +0200

    Fix another small race condition in the Qt4 video window

commit e488bc0f4fbc6480c7fb58bfbf782f7316fccedb
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 30 19:05:16 2008 +0200

    News

commit 19d269a709b0ae2f14de6f38b676a76808bf5e40
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 30 19:05:10 2008 +0200

    Remove Esound plugin

commit dd52499602b0832db66290fe3a8063e5fccdee25
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 30 19:04:47 2008 +0200

    Remove aRts plugin (again)

commit 55bdfd25ccd72dc758b3e331bbc6fc716d59e948
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 30 18:33:40 2008 +0100

    MotionDetect: check for NULLITY at the right place.
    
    Fix CID 234

commit 3dd8af269de3590184cca8fc6fa74ca5b6da9e24
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 30 13:57:27 2008 +0100

    Fix Typo. Patch by Pierre Ynard.

commit b9751c6b4bf933fa5abe92a82b9855ccbf79529e
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Oct 29 22:26:43 2008 +0000

    Typo

commit 6e8667b72dbb0131ee571ed402da0271c18c7799
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 29 22:12:59 2008 +0100

    Qt4/DialogEvent: fix memleak

commit b4adbba8586661abb982e0491d52b2c30138c9c0
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 29 22:01:34 2008 +0100

    Qt/playlist: fix memleak.

commit 15e4aff7192b6c5519c55ba067d15b4ac5812cfc
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 29 21:40:42 2008 +0100

    Qt4 is a big familly, they all want parents (fix memleak)

commit b83cc66fbc6577619361d24c89d57044ffe39873
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 29 21:29:15 2008 +0100

    Recent: don't leak just for fun.

commit 5d085ee8fce3e56a3d590532a744ac203a219256
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 29 19:39:22 2008 +0100

    Use asprintf and check for the return value. (better than malloc+sprintf)

commit a1d4c652d3f7e7d45e76a25d4655786db13dc3af
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 29 22:31:57 2008 +0200

    Use asprintf and use free instead of g_free (fixes #2252)

commit 35d35480c4dab11b13925d4d125eac52274054ad
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 29 22:28:18 2008 +0200

    Unlikely memory leak - fixes #2256

commit 3b73bdb160c97a77560231430938772c68c58bb9
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 29 22:27:10 2008 +0200

    Memory leak - fixes #2255

commit 33f875660884cecf8e955e5239874c0f3035f8b7
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 29 22:19:25 2008 +0200

    Remove never used RTCP code (fixes #2254)

commit 05492281965ed211badf7e1f4c2220be720d3356
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 29 21:59:01 2008 +0200

    Remove most stray semi-colons in module descriptions
    
    Those multi-lines are still to be done (it's going to be fun...)
    See also 5af4cc854bcc7ec083195b41e555dac5988feabb.

commit 25a1b84bd5591bb4574191ed5ad7a96365603d2a
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 29 21:13:56 2008 +0200

    Re-order (no functional changes)

commit b8ad17d647f349aeee1f0f7e5d6dc3b322b6fac9
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 28 22:41:43 2008 +0100

    bookmarks: fix memleaks

commit b1a8a5cc59de6413e75dae49793daa8dc95847d3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 26 23:02:25 2008 +0100

    Clean up coments.

commit de3f8c025b7bcee3d784a8b9c43d6f1fc1bbb62e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 26 22:41:49 2008 +0100

    Use asprintf and check it.

commit c22fcbc172a3687bfa792bfa90bd57792beb3efc
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Oct 28 22:44:19 2008 +0200

    Missing include

commit c26595a84486dc222c6a98699a3c3ec4e3eb093e
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Oct 28 19:29:51 2008 +0200

    Fix flawed logic

commit 6b06966a934c5147cb01858c0cdfd4af827d05df
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Tue Oct 28 18:18:07 2008 +0100

    Fix missing prototype for InterlockedXXcrement64

commit 397a4949116cf332dca73f904740c2768efff015
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Oct 28 14:45:11 2008 +0200

    remove unneeded if for aac-profile
    default aac-profile to low instead of main

commit 761d97cecd69b6126e559bb20069b030a2831e91
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 28 06:47:33 2008 +0100

    [Qt] chmod 644 qt4.*

commit 3bb097d4edcdbc147442741dd8fbe0809874a9f5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 27 20:55:34 2008 -0700

    Fix forgotten include.

commit 87ef957bfa8f7b47735fbad85a0b2636aea14ba2
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 27 19:29:13 2008 +0200

    Force an error when a function prototype is missing
    
    If someone understands the stochastic process whereby GCC decides to
    apply this function or not, please let me know.

commit 8ff1f7b5c43642ac6d9f35f9b67485aed260b4b2
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Oct 27 12:44:19 2008 +0100

    vout_intf: do not vlc_object_release() the cache object since it no more obtained through vlc_object_find

commit 89452115d60f44f8640bfb6ab9299ec01d188423
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 26 19:19:32 2008 +0200

    Format string fix

commit 1a78a1572777a17318146421d2a60b7db2474088
Author: David Flynn <davidf@rd.bbc.co.uk>
Date:   Sun Oct 26 17:33:14 2008 +0100

    [qt4/recents] Remove dependency on qt4.4 for QList::removeOne()
    
    Signed-off-by: Rémi Duraffort <ivoire@videolan.org>

commit d76b77e1a6570980b9bcb19ba495c3e493c519ec
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 26 17:27:10 2008 +0100

    Update NEWS

commit 1cf017bac702c4eff52555e719ffeaf40c353880
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 26 18:23:39 2008 +0200

    syntax error

commit 955442b8c805a40dfcfdba241c90f5906a446195
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 26 17:13:08 2008 +0100

    Add a module to export the playlist in HTML (feature requested on the forum).

commit ebbd98f73d95b5f48d537401874bbb129c020c7e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 24 20:32:42 2008 +0200

    asf: fix compilation warning.

commit 98ca7e9c15351b17e3b6f3acaf07e555a8d26ce4
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 26 18:14:58 2008 +0200

    resolve_xml_special_chars: don't reinvent bsearch()

commit cc23bbdc45f1df1d793d85bcffa08472b20c11f1
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 26 18:00:30 2008 +0200

    Test case for resolve_xml_special_chars

commit 47d358cd4e966200438eeeb732c0e66f2c436482
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 26 17:49:55 2008 +0200

    Simplify entity table a little

commit 3caf6353bb2151f28b89b155727fe59b72827836
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 26 17:31:50 2008 +0200

    resolve_xml_special_chars: add non-breakable space

commit 1e8938de3cfa40814450b42f9d69db49dd269ab8
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 25 03:04:20 2008 +0200

    Fix x86_64 specific compilation warning.

commit de4e4bfc12bf6a342aa72a40b14c2126cbfd214d
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 25 03:01:47 2008 +0200

    Remove warnings.

commit 6409dc01f6295fda18acc3e40ce756a91ec01395
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 25 02:58:29 2008 +0200

    Simplify confusing code.

commit 8dc892540fa38b0c4cb56b984f9a7976be831d00
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 25 15:50:51 2008 +0200

    Win32: fix libass linking.

commit e3a2e4e485c300546b356a63aa7c7ab15c5f3682
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Oct 25 16:08:58 2008 +0300

    str_format_time: do not hard-code buffer length - fix #2242

commit 7f347265b26cd36410caf8dcad596d0d90b9e6e8
Author: Nicolas Chauvet (kwizart) <kwizart@gmail.com>
Date:   Fri Oct 24 16:15:35 2008 +0200

    Add support for libproxy via pkg-config
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 37e7ad9ac0c0f67d7d5b8d4ce63b5734791d6737
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 24 22:45:55 2008 +0100

    Synchronise NEWS

commit 2e640ac4e8e1990d12c7e10358edb19a68de1983
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Sat Oct 25 00:10:52 2008 +0400

    extras/package/macosx: Explain what i did to make universal binary, that
    sacred knowledge shouldnt be forgotten by future generations of VLC
    devs.

commit 9cff8cf11225ccfb6f74624741d83844c76422fd
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Oct 24 14:00:26 2008 +0200

    embedded snapshot: unlock the cache object
    
    It it locked when returning from vlc_object_wait/vlc_cond_wait

commit 60029aef5ccf6ff440472d542ac024ce5cc953ec
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Oct 23 21:51:14 2008 +0100

    Update i18n files

commit 4e797456664930fab817a373c20728e32239de55
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 23 22:00:54 2008 +0200

    Added decoder_New/Delete/Link/UnlinkPicture helpers.

commit f0e63c5df599a87fa05524b15a7ff01da7ecd2ec
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 23 21:46:24 2008 +0200

    Fixed an invalid return.

commit c0e36ecdb6feeb44b20f2a2980c743f787506e3e
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 23 22:59:11 2008 +0300

    missing wakeup

commit 1c963efdd3ab1375a43593dc5c1b9bc30752b74d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 23 22:58:01 2008 +0300

    Another small decoder thread simplification
    
    Conflicts:
    
            src/input/decoder.c

commit 9d4a329f772af97c7b17569a45e45102598488b4
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 23 22:56:28 2008 +0300

    DMO: fix serialization, check for errors in DecOpen...

commit 17485fb47d060788f8cfc1c9f138644a0ade8646
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 23 21:31:23 2008 +0200

    Added decoder_NewAudioBuffer/decoder_DeleteAudioBuffer helpers.

commit 7765d6b8e5272afdfecfa9bbf2c841e87d552cfe
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 23 21:11:21 2008 +0200

    Fixed a comment.

commit f1670436be5d96cea0e5160fb0f020a1be4bac0c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 23 21:09:50 2008 +0200

    Revert "Another small decoder thread simplification"
    
    This reverts commit 3c9681e1683beb1e3c11a3e7cd9f58e9d3738751.
    It breaks DMO/Qt decoding. It can be commited again when a fix
    is found.

commit 0357e2cf82ad87897a43ea3b5a2540aacff504a7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 23 21:08:16 2008 +0200

    Added decoder_NewSubpicture/decoder_DeleteSubpicture helpers.

commit b64ada26f7e25a76c23b759be100d4b76e249b9f
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 23 21:38:40 2008 +0300

    Fix decoder FIFO pacing.

commit 3c9681e1683beb1e3c11a3e7cd9f58e9d3738751
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 23 21:34:15 2008 +0300

    Another small decoder thread simplification

commit 3d98df168373b402f246a9b5702f27cea73fb953
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 23 20:30:35 2008 +0200

    Fixed segfault with decoder_GetInputAttachments/GetDisplayDate/GetDisplayRate.

commit a0bc270c37df7f28c5d9fa2f5070f3c5638a6efc
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 23 19:23:29 2008 +0300

    Fix --disable-vlm --enable-sout

commit e923b2b84a08925b5b5cdd2113063eeaaff3e7bb
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 23 18:27:30 2008 +0300

    Code factorization

commit 7477f3c370d72ccec2c2e540ecdd8fdc03455206
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 23 18:07:13 2008 +0300

    Separate filesystem functions from the rest

commit 7b721c866d73ca48742c78239d348e05bdfaaefb
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Oct 23 16:36:19 2008 +0200

    embedded snapshot: properly lock/unlock the cache object

commit a721dbaf9440d94fb50b7c6d39332690a518990e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 23 00:02:04 2008 +0200

    Define next frame to 'e' hotkey.

commit 7e6d2878952408545c2d9d3b4e7c50a35e40a57a
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Oct 21 23:16:40 2008 +0100

    Fix DTD url

commit 924a7038079083f6a79a223195a87762826c15ec
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 23:59:00 2008 +0300

    directory: do not try to open "-" as it refers to stdin
    
    This removes a silly error message.

commit a2ab6cd559990648dc804c302197860ec5987e25
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 23:46:32 2008 +0300

    block_FifoPace: proper waiting for overflowing queue

commit a2f64f8a853a69dc30d5df100e84792c8c4440b7
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 23:36:37 2008 +0300

    Allow block_FifoPut(fifo,NULL)

commit d8ab9784da042e44627b5cc3c5b2138ff0c5cb76
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 22 22:20:56 2008 +0200

    Cosmetic.

commit b0782ad7dcfd29f942098e3160ced83a9ade6dc7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 22 21:55:06 2008 +0200

    Added "next frame" support.
    
    It will work most of the time.
    Subtitle are not correctly handled.
    It will be ignored if no video.

commit ba75d5221d90168c76fa255eff047ac96724ddd1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 22 00:58:19 2008 +0200

    Fixed system clock phase when changing rate.

commit a996e2cad8e232fc5c914fe3456fbd4951600203
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 21 20:55:47 2008 +0200

    Flush audio/subtitle in next frame.

commit f144379a082a4eb5f446fa1cee64010cf74614df
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 21 20:41:16 2008 +0200

    Added input_DecoderFrameNext (not yet used).

commit 94287dcea213dd7e8e65cc1436f78dd649a15877
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 20 22:39:20 2008 +0200

    Implemented vout_NextPicture.

commit 321e04ca2733320670bada94ae1b12e0e9ceb046
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 23:15:00 2008 +0200

    Added hotkey code for input "frame-next".
    
    No default key is assigned.

commit c136bb81d0235190d837e14da3458c8bd83269ea
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 23:13:29 2008 +0200

    Added control code for "frame-next" variable.
    
    It is ignored.

commit e2fb80c6f3d2bc123690b8439fa47859c892a5ab
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 17 22:07:52 2008 +0200

    Clean up vout picture destruction.

commit 2672302feda7f1573e7187c8ca0f756113a79439
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 16 23:55:58 2008 +0200

    Simplify picture selection in vout.

commit d4980f0bb4d1fccc42214e5d8b2f121ff79cc2c6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 16 23:55:33 2008 +0200

    Fixed display of first frame after seek while paused.

commit 75f55c2781e8883d1832b57c75762e93e38ee247
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 16 22:10:05 2008 +0200

    Store the last displayed picture pointer in vout private structure.

commit c438a0104bf3a549b326c172b39dc5e2d9ab6573
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 16 21:59:19 2008 +0200

    Split vout_internal.h to hide vout_thread_t definition from decoder.

commit 4f460e2ffb86479e88509a2aca86609adeded1e9
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 23:09:27 2008 +0300

    block_FifoWake (deprecated): wake-up _all_ threads, not just one

commit 8209230f34c53150918d8147f02385cdd8ccc4e3
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 22:49:11 2008 +0300

    Do not check for decoder error in the demux thread
    
    That was only an optimization, and it fails thread-safety.
    In any case, a failed decoder will still dequeue (and discard) blocks.

commit 3110258d24150892b6fbff19d5868a004e0c26af
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 22:47:04 2008 +0300

    Small code factorization

commit 02c79d62bc88443be0c1b70fc00be3517bc9b67d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 22 20:29:14 2008 +0200

    Fix potential NULL dereference (CID 27).
    And fix a potential memleak.

commit 5219f5ec7324446fc0c9a7e4d530afa4ae4b96e2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 22 20:16:25 2008 +0200

    Fix compilation of modules/video_filter/imgresample.c

commit 26ddd19665fdf09fbefb765ccbe7951b6f82f26b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 20 18:59:43 2008 +0200

    Don't forgot to unlock the mutex.

commit 7c97b0295e1c279b4ba43c76b40503b8024f3559
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 21:15:48 2008 +0300

    SAP does needs an object, not specifically a stream instance

commit 08ffe836a96b1e2ac944dee4f007a6f819b48ac7
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 21:09:19 2008 +0300

    Add the sout stubs

commit ec525f6973f5e5dd4a7015d002f3e8816be4340e
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 20:47:51 2008 +0300

    Restore -no-undefined on Win32

commit 616fa5c8b34ab3afbfbc14838f0d3f0b187fd7ee
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 20:27:19 2008 +0300

    Simplifications

commit 5d2a5fd0d73dff89aec008576c8c3382521138f9
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 20:24:07 2008 +0300

    VLM: provide stubs for --disable-vlm

commit 081b18a15b97e8a27fbbeceb97eabb3dbdc62390
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 20:04:19 2008 +0300

    Privatize httpd_MsgInit and httpd_MsgClean

commit fa8f48546df5cb3faaa87c3400dd647474514b2b
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 18:26:38 2008 +0300

    Cosmetic fixes

commit c0d37c7c881712e182f03b52d0b00a911cab81ac
Author: Sebastien Escudier <sebastien-devel@celeos.eu>
Date:   Wed Oct 22 11:19:35 2008 +0200

    Use live555 timeout option and reduce waiting time
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit 7bd6af3396320ab00dc7fa646f6d9764099495e8
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 22 17:18:00 2008 +0300

    More verbose ffmpeg encoding failure

commit a66e3c1d44c89d2675523cce1b50c01e2a3c5653
Author: Pavlov Konstantin <thresh@altlinux.ru>
Date:   Wed Oct 22 02:09:36 2008 +0400

    video4linux2: Add libv4l2 support. Fixes #1804.
    
    Based on patches by Nicolas Chauvet and Hans de Goede.

commit 1b1a6a4ef36bfb431359a6a4a1d8a7ce1c907b6f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 21 10:08:13 2008 +0200

    [Contribs] Update libgcrypt to 1.4.3

commit 4c30e1d7dfe4908f0cac8c0862f9cb2aac515e38
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 21 09:51:43 2008 +0200

    [Contribs] libpng update for CVE-2008-3964

commit 79579afe7f4dd0e87162828fe47a305d679d1bf7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 21 09:35:44 2008 +0200

    [Qt] Fix a crash when toggling minimalView when --no-embedded-video.
    
    Close #2194

commit 5e0254ce2fe412264e6c2c278fe6c33637fd9755
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 21 01:36:16 2008 +0200

    [Contribs] Update the patch to deactivate c99 mode in FFmpeg
    
    This should fix linking to faac and mp3lame.

commit 17794b843435b7f8444ad986072275f572bc7ed8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 13:38:23 2008 +0200

    [Fake] Add a missing callback on fake-file-reload
    
    When fake-file-reload is changed, you might want to renew the image.
    Should Close #2230

commit d72aba04bb47269fe1610e777d0099681cdb66f3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 22:50:58 2008 +0200

    [Win32] Fix yet another packaging issue.

commit c0998a10dfc31a7d9e08edb1ae1249ece6796329
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 20 23:18:30 2008 +0300

    Remove dummy embedded window exclusion
    
    Qt4 embedded breakage has nothing to do with X11 afterall.

commit a62521c0ff7366d571b8cd4cc0c700124418b5b1
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 20 23:15:24 2008 +0300

    Simplifications

commit 14e89cbcefbdd8efd03c6d7484d13682ffe67b4e
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 20 22:45:16 2008 +0300

    vlc_mutex_locker: automatic mutex locking for C++

commit 9a38b276e6ddecdd032d5a1f2128530d2e3478ca
Author: Ludovic Fauvet <etix@l0cal.com>
Date:   Mon Oct 20 21:54:27 2008 +0200

    Bug fixed in the "recently played" functionnality
    
    * A connect was called multiple times causing a wrong behaviour in the playlist.
    * playlist_AddInput was replaced by playlist_Add to simplify code.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e925457d4638486c6f841a0db3fee9af5de5e005
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 20 22:25:58 2008 +0300

    Oops, remove dummy code

commit 80c3cdfcd37a21a76db280f1683a76dc26d3ef81
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 20 22:23:51 2008 +0300

    Embedded video still crashes, so disable it - refs #2136.
    
    This is a VLC bug, not Qt4 version dependent.

commit 5253760be29bc5ba22a6c3c4318ae4ec12627611
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 20 21:49:19 2008 +0300

    Remove recursive/deadlocking calls in Qt4 embedded video (refs #2136).
    
    The vout code invokes the Qt4 video widget through the Qt4 window
    submodule. Hence, the video widget cannot call the vout window code.
    This is where the embedded video crashes seem to come from.
    Unfortunately, this commit trades the deadlock (on 1.0) or the crash
    (on 0.9) for an assertion failure.

commit 69dcbfc3404cb1ab2209521d335887a2a5682ac8
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 20 21:40:10 2008 +0300

    Remove debug

commit c80004131574e67fe572bd930f1c8691be691967
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 20 21:23:59 2008 +0300

    Do not use thread cancellation for Qt4 - fix #2225 and #2226

commit 35793c6a8b849fe7494914fa7975df8a1d3eb78b
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 20 21:22:12 2008 +0300

    Cosmetic

commit d6dd14957665c477b7046064da4ac8e3389fa81d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 20 19:44:41 2008 +0300

    (Cosmetic) settings don't belong to the dialog provider

commit 519dca52dc88c1550e092a90c7ccf7ca3d62da54
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 18:00:25 2008 +0200

    [Win32] fix build package.

commit 41b3e1daced948f537c52209a9acdc2ce908687e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 17:03:57 2008 +0200

    [Qt] Win Compilation fix.

commit 9e98e6b5e2b185482cfac334a0be38b8143c4020
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 14:53:34 2008 +0200

    [Qt] small menus changes...

commit 90b84868c716ca32377c18322861200635c5e64d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 13:12:11 2008 +0200

    [Qt] Forgotten file in previous commit.

commit 22168eab8bdf29606b3c64fd216a86f684866d97
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 12:59:57 2008 +0200

    [Qt] Split the QtWinApp to its own file and rename it.

commit 1ec9641c187d5a686d210e4a37758601856ff8c4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 12:15:27 2008 +0200

    [Qt] Various cleaning.

commit 28b5e4835e276fadfa6f69d24ddddca6bf367637
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 02:19:19 2008 +0200

    [Qt] RecentMRLs: Simplification and adding some debug.

commit 190e7875e996423e605e8257b05f66fa562ddd9a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 02:07:29 2008 +0200

    [Qt] remove trailing spaces, set a default filter and add a LONGTEXT

commit 6b468738b8468b1ca799cdda6cd0defbde720920
Author: Ludovic Fauvet <etix@l0cal.com>
Date:   Sun Oct 19 17:37:53 2008 +0200

    New recently played menu.
    
    * Configuration aware to enable/disable (default enabled)
     * Filters available to ignore some patterns (using QRegExp)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d0ed93fe655ea09cf10f0fc31c5bd0f543b3144b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 20 01:46:16 2008 +0200

    [Qt] move some static const int to enum

commit d7f3af847c9260c63576f8744751f2debe03eee8
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 23:12:45 2008 +0300

    Unused variables

commit b08edfb4df4c7693d51946b5bf41f5f77d754ba0
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 23:12:38 2008 +0300

    Fix swscale linking

commit 63ff7505a7b7dc705479eaa93126880fa4c0f074
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 23:09:34 2008 +0300

    Fix avformat compile+link

commit 569824c4545cd5a2124b8c4fd14d8bc9c8ef03bb
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 23:06:27 2008 +0300

    Fix avformat compilation

commit 574d8c93422c82dc95f55e37c02bfa6345bcf456
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 23:06:19 2008 +0300

    Fix warning

commit deeb99dcdebd0a37dfe4975c5cf4326a32703684
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 23:01:29 2008 +0300

    Factorize avcodec chroma table - another 2kb

commit a1f8e0eb1492f7cad3f36aded5c0df3fc56a5e85
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 22:57:37 2008 +0300

    Unused variable

commit 83e6445af76c33e5c697b56b5d82602abb7dd789
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 22:52:48 2008 +0300

    Spare another 2kb

commit 1d35bcd2835dd85f7c28832e52791d1107a6b1be
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 22:49:28 2008 +0300

    Factorize avcodec table - spare about 5kb

commit f70a9052bd0d5613fecc77d8d3f6a01c0f8636c5
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 19:20:56 2008 +0300

    Qt4: restore message dialog
    
    (bug at exit due to more generic problems with #2226 and #2227)

commit 42b58e873a9d91c3a1f2665a01a56525f44313d5
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 17:10:11 2008 +0300

    Do not link plugins against libvlccore explicitly
    
    We really want plugins to resolve their VLC symbols against the already
    loaded LibVLC core, rather than with their own version of it.
    Performance benefit should be neglectible, if any.
    Still, this will "fix" the plugin crash with static LibVLC builds (or
    generate a due link-time error). Anyway, this is one step toward
    supporting any form of static linking again.

commit d859e6b9537af2d7326276f70de25a840f554dc3
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 12:26:23 2008 +0300

    Fix some integer overflows and a stupid memset() invocation

commit 5a9a53f7f1fa311da08d4ddefff074fa1185ed9d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 12:25:29 2008 +0300

    Simply debug

commit 7027d3008aef85f1d31f697efcd4d20501d33919
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 19 12:24:33 2008 +0300

    Fix warning

commit 5b8476c9c735405f5ffc5a4f7686c2e6a30658a9
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Oct 18 22:30:26 2008 +0100

    Add some Mime type to mozilla plugin

commit 26d92b87bba99b5ea2e17b7eaa39c462d65e9133
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Oct 18 22:19:49 2008 +0300

    Fix (yet another) TiVo demux overflow.
    
    Reported by Tobias Klein <tk@trapkit.de>

commit 2132eadea2f89b9662053ef8600fc514493dd0ab
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 18 15:45:05 2008 +0300

    XReparentWindow seems to be needed here to get video on correct screen in
    xinerama setup.

commit d2bbd68d5dca8a1b8cfc68712660d83627cc92a7
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 18 15:43:58 2008 +0300

    Use normal QCloseEvent to signal maininterface to closeup

commit 8ce3a352594cb66830e532acf2d00d17847e3d48
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 18 12:06:30 2008 +0200

    Revert "Try to not confuse between Dolby Surround (2.1) and Dolby Digital (5.1)"
    
    Let's wait for this issue to be statued.
    
    This reverts commit 984fb14a84fdc5af8f0dc9c49928f32d04dc8cbf.

commit b9af47254eb1e543d692a6f1723dc6b2b696991e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 18 12:06:06 2008 +0200

    Revert "Mark "force-dolby-surround" as deprecated"
    
    This reverts commit bbe5c8e4750a35bf3a5f23914c6181ffec916391.

commit f9cfa5ca99550969bdf8dee6771a940135082dfb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 18 11:42:25 2008 +0200

    [Subtitles] Change error message to warning message when fail subtype detection
    
    Because this is really boring when you have some .txt files on the same folder than your movie and they are not subtitles but are auto-detected.

commit 2849bcdd9f5c1359a33b8cea02231dd895cc4235
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 20:07:07 2008 +0200

    [Qt] Fix Network Open Tab
    
    Network Open Tab assumes all rtp/udp addresses are multicast #2221
    Please review.

commit 2e1619c2fbebd91e996c6d7e5ee776e80f22cbaf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 19:49:17 2008 +0200

    [Qt] When opening a VIDEO_TS folder, use dvd:// and not directory://
    
    This should close #2167. But must be checked for extra "/" on windows.

commit 5aeefb99edd9358407ed99a32f24e2e98fc80e61
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 15 21:11:47 2008 +0200

    Unneed warnings.

commit ec8639f0040b867af9afcc2581d67b1eddf676b7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 12:36:35 2008 +0200

    [Qt] delete Qt preferences too when resetting prefs.
    
    Close #2126

commit 8d57a8b8ba764b9a09ada35f7212fc2e9a2c1fbb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 09:52:56 2008 +0200

    [Qt] Fix the header menu popup when you have a header-state saved.

commit bbe5c8e4750a35bf3a5f23914c6181ffec916391
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 17 01:05:25 2008 +0100

    Mark "force-dolby-surround" as deprecated

commit 4addf06a50b8c25c36b14fbbde17f27c8a6e74f6
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 17 01:01:58 2008 +0100

    Update POTFILES.in for new and/or moved files

commit 8c2abad169177dfc64b8688735b7e80ee8b9e607
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 16 12:45:48 2008 +0200

    Unbreak compilation with --disable-sout
    
    The libraries still won't build due to missing symbols though.
    
    Signed-off-by: Christophe Mutricy <xtophe@videolan.org>

commit 256ec29cf0ccafee497ed161449ccfe7178e0b11
Author: Ludovic Fauvet <etix@l0cal.com>
Date:   Thu Oct 16 23:34:35 2008 +0200

    A mouse click in an empty position clear the selection (see #1956)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 39ef9e13a25db2472b360d9e0bd5a4c57cef71b8
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 16 18:37:01 2008 +0300

    Fix automake warning

commit 38e2bdae6565f7bcd875b3cece61ac94327a0e54
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 16 18:36:51 2008 +0300

    Remove unused gethostbyname check

commit b1ea9899b415ce3685e8633c6e45214e3c07e0c6
Author: Scott Lyons <scottalyons@Ringo-2.local>
Date:   Tue Oct 14 20:40:28 2008 -0400

    Provide more item meta data to HTTP RPN.
    
    Working on a few remote-control applications that require more details
    about the files in the playlist and the currently playing file. Also
    fixed the RPN module so that the fields listed as possible arguments
    for vlc_get_meta actually matches the list of fields in the Developer's
    wiki.
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit bb787d967021d26d41e9ae90cbfc4097097a7332
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 15:54:57 2008 +0200

    [Qt] Fix VLM icons.
    
    Close #2186

commit 816aefe8b496c1c46370db694bca592bca532b7a
Author: Lukas Durfina <lukas.durfina@gmail.com>
Date:   Sun Oct 12 16:40:30 2008 +0200

    libvlc: description and count of tracks, titles, chapters and subtitles
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 94757879656bdf7932265e8cae772cb6e18bca11
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 14:57:41 2008 +0200

    [Qt] Remove QTimer wher we can.

commit 631f3415cfe366c2f004898615367edd19c1dfb8
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Oct 16 15:45:23 2008 +0300

    Missed this, connect mediainfo-stats also inputmanager for statsupdate.

commit ebec8934044432bbe1574e8531b39a5038eeb9b7
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Oct 16 15:15:33 2008 +0300

    Allow thread-cancelation in qt4-module, and define cancelation function
    
    Cancelation function emits event to main-interface to shut down. Thanks to
    courmisch for pointing out this possibility.
    
    Should be final issue on ticket #1365 and this commit should fix it

commit 984fb14a84fdc5af8f0dc9c49928f32d04dc8cbf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 14:15:24 2008 +0200

    Try to not confuse between Dolby Surround (2.1) and Dolby Digital (5.1)
    
    Ref #1417

commit a29f9e88bdc93ab753b0677406bf2dd7332de38e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 13:48:18 2008 +0200

    [Qt] Small VLM filename exporting issue.

commit e81263cdbde31f66d58abe21369366ebb4c946c0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 13:11:00 2008 +0200

    [USF] return if calloc fails.
    
    Close CID: 171

commit 38f8e29fd03b6168a273c22eda7829144a20cd77
Author: Sam Hocevar <sam@zoy.org>
Date:   Thu Oct 16 13:06:27 2008 +0200

    Support multiple planes in the vmem driver, courtesy of Pierre Ynard.

commit 51d01bba9204cc9d9ab5b15105948055230ef75f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 12:52:18 2008 +0200

    [Qt] Add the video-on-title in Simple Preferences.
    
    In the complete preferences it is not linked directly to OSD, so users don't find it. Linked to Closed #2207.

commit c2b6026bd73cd164e86f18bc42b388f4d92d8e91
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Oct 16 10:53:38 2008 +0300

    Simplify screen position checking
    
    screenRec.x() and .y() should be directly those offsets needed

commit f83418ee9e536fcb60f3e7652cec7f3db3a7315b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 01:57:03 2008 +0200

    [Contribs] Small FFMPEGCONF cleanup.

commit c7d9a5cdacd1afb15ca73a42dbb48f7407bfb8e9
Author: Edouard Gomez <ed.gomez@free.fr>
Date:   Wed Oct 15 00:04:30 2008 +0200

    dshow: try to improve multithreading code for RAW sample grabbing
    
    # HG changeset patch
    # User Edouard Gomez <ed.gomez@free.fr>
    # Date 1224021637 -7200
    # Node ID 0c4727aa17ba532172cae4aded7d16d70ea4ea53
    # Parent  8e7c3f94407dc1500438237ac6bf3d484bfba742
    dshow: try to improve multithreading code for RAW sample grabbing
    
    This patch tries to address two theoritical problems:
     - The filter capturepin should not lock p_sys->lock. By chance, win32 mt
       locking is recursive by default.
        - Do not lock again, this makes things clearer for poor POSIX coders like
          me.
     - The current code does not try to push samples as fast as it receives them.
       This is caused by the arbitrary msleep call which can differ sample delivery
       with up to 10ms delay. Moreover, only a single sample at a time was processed
       either for audio or for video.
        - Use MT condition instead of sleep so no artificial delay is introduced in
          the delivery chain.
        - Process all available samples at once.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0dd04d073d5f4c653e03064273985ce51cebd43c
Author: Edouard Gomez <ed.gomez@free.fr>
Date:   Wed Oct 15 00:04:27 2008 +0200

    dshow: prevent division by zero
    
    # HG changeset patch
    # User Edouard Gomez <ed.gomez@free.fr>
    # Date 1224021633 -7200
    # Node ID 9564c1736b76c96f37fb85476d36496b3d7955bb
    # Parent  40d5c2186f7fb31e944b5b542b3366bbc420cc0e
    dshow: prevent division by zero
    
    In the DShow capture module, division by zero is possible in
    multiple modulo statements when dealing with granularity values
    returned by capture filters.
    
    Change the code so that:
     - if granularity is zero, then width/height/samplingrate must be
       a perfect match with requested settings.
     - if granularity is non zero, then use the old condition tests.
    
    This fixes real crashes reported by VLC users on different forums.
    
    See:
    http://forum.doom9.org/archive/index.php/t-134655.html
    http://forum.videolan.org/viewtopic.php?f=2&t=37056&p=114065&hilit=blackmagic
    
    Tested with both a Decklink HD Extreme card and a Decklink HD Pro card.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b58e4babd924f66bf2ea5c96812cdeceeb85398c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 01:18:26 2008 +0200

    some THANKS. :D

commit 2229045e62f26bdfeacdcded3064f8d61955cfeb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 01:10:32 2008 +0200

    [x11 vout] Fix x11 fullscreen behaviour. Patch by Raster!
    
    This fix e17, Xfce on my configuration.
    Thanks very much Raster.

commit 4cfee42d9807624eb37a24d7229f48793f7bfd6b
Author: Ludovic Fauvet <etix@l0cal.com>
Date:   Thu Oct 16 00:18:02 2008 +0200

    mouseReleaseEvent was not correctly dispatched under certain circumstance
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 50e9d38ad549b3e08f33340f3ca5f57a4cabe763
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 15 21:44:20 2008 +0200

    macosx: Disable messages for now

commit 9d2b7e0e7a5d1065666dd82ec6eec76a1a8b2985
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 15 20:58:17 2008 +0200

    Removed unused i_matrix_coefficients picture_t field.

commit 816d3cc4b68198d89c28be1e265193b71fedbcaf
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 15 20:53:21 2008 +0200

    Merged vout_DatePicture into vout_DisplayPicture.

commit 96588cbc1429ae8ef78b2d5c1685a856b8a35d0c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 15 20:09:09 2008 +0200

    Added a comment about seek while paused issue.

commit 0e2f21c85dd890e8c07ac6c2bcbb7b68b0ab1f46
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 14 22:52:35 2008 +0200

    Factorized forced vout picture releases.

commit acf420dbd2a8e2dbd82c39d580325708500099d7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 14 22:46:21 2008 +0200

    Improved vout picture locking scheme.

commit 7e8ca640e8ecdbee167688a662f2f15380e584cc
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 14 22:36:10 2008 +0200

    Moved vout helpers out of decoder.c.

commit db7ba95634c3ffe26a661f07676062e8c6b2a72c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 22:15:38 2008 +0200

    Cosmetics.

commit d1ff0bbaaefb5e2eaaa7d4defac744fbba5ecf61
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 21:07:22 2008 +0200

    Fixed doc for vlc_demux.

commit 2a31835fcb1ed93c5aff9081d8a8e1ffef99b691
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 15 20:47:41 2008 +0200

    [Qt] Connect Faster button to FASTER!

commit 924df6a31f525b21fc56fbfc99d07f80e78123d0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 15 20:32:46 2008 +0200

    [Qt] make slower/faster buttons flat by default in FSC.

commit 977910dbcebdcee47b53551bc252d5294d1da80f
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 15 21:31:56 2008 +0300

    Calculate fullscreencotnrollers position only when screen has changed

commit 9a51f390108b2770592886c4e3ea81ae0d64dda5
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 15 21:20:55 2008 +0300

    Calculate fullscreen controllers position on showtime
    
    Take multiple-screens into account when trying to get fullscreen controller
    into center of current physical screen.

commit a0a1a207bfd38f497d490a5b1086a0f0bdd5427d
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 15 20:56:56 2008 +0300

    Calculate position for videowindow to use current screen in xinerama-setup also.
    
    Basicly same as mplayer/libvo/x11_common.c does.

commit 70c75214fa2cac6b5b4775eb627dc7c68825a2fc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 15 18:24:01 2008 +0200

    [Qt] Fix crash when pressed play when input is DYYYYYING.
    
    Close #2196

commit 3f6bd2669b0d9bc258a7a53183029991cec259aa
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 15 19:11:22 2008 +0300

    msg_Unsubscribe: race condition memory leak

commit cf08617d75baea2246e88d2a690a00b35545f788
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Wed Oct 15 18:54:24 2008 +0300

    Alloc memory later, remove non-compilable goto

commit 3e1abbd7d047979120a126875a481d0fab90fb85
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 15 17:37:13 2008 +0200

    messages: we have a vasprintf replacement now, remove the old workarounds.

commit 1d0cbdf2de75be13fdf06bff890b3c2fffe5e9d5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 15 17:41:41 2008 +0200

    [Qt] use screenGeometry instead of screen.

commit 7089382fa70161b29bce0670b6b832916e76d270
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 13 17:58:59 2008 +0200

    libvlc: fix printf warning

commit b8efc4e05c71068c8d409f94287aa4dc61582f21
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 13 17:57:45 2008 +0200

    logger: Mac OS X compile fix

commit 7aca939ab1ed52290efac498101ad4faa6c6e32c
Author: Sebastien Escudier <sebastien-devel@celeos.eu>
Date:   Thu Oct 9 13:46:39 2008 +0200

    live555 timeout prevention thread fixes
    
    Signed-off-by: Rémi Denis-Courmont <rdenis@simphalempin.com>

commit e3db765137abde9ae995e532fa86dda512e59644
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 15 10:30:04 2008 +0200

    Qt4: compile fix.

commit 41ba5dad843d9e15d27a2e389f0c23c61c518c7b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 15 02:09:59 2008 +0200

    Message deactivation in Interface due to new API. Not functionnal change but compiles.

commit 4396baf0e5ccef106522ae9d54ef5cadadb6302b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 15 02:00:55 2008 +0200

    Qt4: Controller Rework.
    
    Introduction of an abstractController, that can:
    - create most of the interface controller widgets
    - execute their actions
    
    All buttons connect themselve to a mapper and a doAction( id_action )
    that centralize everything. The Action could go into a mainActionner, I guess. Opinions?
    
    This cleans a lot the signal and exchanges between MI and Controller,
    between Controller and FSC. The buttons do their own cooking and connect
    directly to THEMIM or to some of the few signals of the Controller
    (inputExist, inputHasVideo, inputCanRecord)
    
    This reworks most of the HACKS of Teletext Buttons and AtoB Buttons
    
    The FSC inherit from AbstractController and not Controller, which remove the b_fscreation HACK.
    
    There will be some regressions, I tried my best to minimize them.
    
    The code is generic enough to be able to customize the toolbars now. HAVE FUN!

commit 08cbd4daf42b33a50cbd924a51218cb837b8d9bf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 9 17:56:45 2008 +0200

    Qt4: kill an uninitialized warning.

commit 7297d0a9df7ef50bdd5164a8a399bdc80d3babc8
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 14 23:16:51 2008 +0200

    Fix compilation (my fault).

commit bfbd38a608a4df61c06c21eee6325e13ff7fedd3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 14 21:16:59 2008 +0200

    Cleaning (don't a message when the system runs out of memory) and fix a potential segfault.

commit 825bf79e9570f0c281c99cbf5d21390e9718b6d2
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Oct 14 23:52:31 2008 +0300

    Fix message leak

commit 96d708c2768aa9ee43b4d48957f8f85c68f016de
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Oct 14 23:35:20 2008 +0300

    Count message references and get rid of the global message ring buffer
    
    Each susbcriber has its own ring buffer already.

commit 0756eecebc41a2751c787466d2d754cfebdf85ab
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Tue Oct 14 22:43:45 2008 +0300

    Compile fix (not functional)
    
    I don't quite understand why Qt4 would subscribe to messages all the
    time rather than only when the dialog is on.

commit e63fffe04f8380e81225b32a0fcb579d57cecb53
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 14 21:00:52 2008 +0200

    Fixed segfault in libmpeg2 when picture allocation failed.
    
    It should close #2195.

commit a396b96cc7981eb6aee5d3fb2b8437147b645d22
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 14 21:01:22 2008 +0200

    Remove uneeded warining (and often impossible to send)

commit 17e8ab51bc2d7a2e12b0dd73064420d6af957851
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 14 20:43:48 2008 +0200

    Cleaning.

commit dec93783572536132403075bf65d62710f4ec7db
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 14 20:41:41 2008 +0200

    notify/xosd: potential memleaks

commit 00d63f8fa96376ac8f2bdee549d1360b4a34e945
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 14 20:38:30 2008 +0200

    Cleaning (potential memleak and uneeded message).

commit 4fb56a1cf8746c51bf5288910607758b39fac9b9
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 14 20:32:47 2008 +0200

    Don't use var_createGet instead of var_create (and remove uneeded goto)

commit 7205ca2b632d748fba5e6128c4949924c9c96b4d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Oct 14 16:24:46 2008 +0200

    (contrib) fix libdvdread-win32.patch

commit e9a1542064776cfb10a40488dc88c4b89ad477e9
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Oct 14 15:03:01 2008 +0200

    (win32) Package extras/contrib/*.dll and strip them.

commit daf7b179352f33a8278f8dfcd60dadaf4227ea10
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 13 16:14:23 2008 +0200

    (contrib) Building zvbi for windows with dynamic pthreadsGC2 dll

commit 612f4f1c721d416b43e04aa8ce072f443dcd477d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Oct 14 15:11:23 2008 +0200

    (win32 nsi) Fix unterminated string.

commit db4901e908e9fc46ff6be0e74c5361e200498a3f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 13 12:20:41 2008 +0200

    (contrib) Do not use --std=c99 for ffmpeg on contrib when crosscompiling to win32.

commit 76aeb5e76d6aad6ad9597a4e5b7b977b961671ad
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 13 11:32:56 2008 +0200

    (contrib) Fix bug in FFMPEGCONF define and disable bzlib usage by ffmpeg for win32.

commit 695c8ce599dad0ff5c0272d82e8221875eec1245
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 13 10:07:29 2008 +0200

    (contrib) Use autoreconf after patching Makefile.{am,in} and configure.{ac,in}.

commit 52360af6d96dc8f663f70331c96fa04af789ff40
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 13 09:47:15 2008 +0200

    Add schroedinger to Fedora contrib and remove some libraries that are available in the distro itself.

commit f30232e4eae5746a8362cb5905b697396a2a1df9
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 13 09:46:20 2008 +0200

    (win32 contrib) Build theora without docs on win32.

commit 7f6b4e76bdc723df95b51395956616d5c91b6671
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 6 16:21:40 2008 +0200

    Don't start the file logger when syslog is specified.
    
    If --syslog is specified on the commandline then vlc loads the logger in file mode first, because --file-logging is the default. This is counter intuitive for users, they expect *only* syslog mode to be active. Note that the logger module can only have one mode active at the sametime, either html, text or syslog.

commit 68d84670dccbe61605676160a27c5042c12cd543
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Tue Oct 14 12:06:05 2008 +0200

    check for fcntl()
    
    win32 has a fcntl header but no fcntl function

commit 1bd36debcfc1e6b570313f9a71cca4af10a530ba
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Sun Oct 12 17:52:09 2008 +0200

    WinCE: can't duplicate a thread handle

commit 558c62166c2d533d21fe009d4c5991161a220127
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Sun Oct 12 17:42:31 2008 +0200

    WinCE intf: use existing vlc functions

commit e4e2ff7fdac6ae709a10490cee5a03f856ea9bd9
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Sat Oct 11 19:03:22 2008 +0200

    WinCE intf: get rid of VLC_OBJECT_MODULE

commit 559e97994711136ba25e2ce7ada7747233e23688
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Sat Oct 11 17:04:59 2008 +0200

    WinCE intf: get rid of i_object_id

commit 9c34d22756769dbca6586ade99e4245e03ad5c1d
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Fri Oct 10 11:37:40 2008 +0200

    WinCE: fix function declaration

commit cd7e38e74d9c1e70a32f6dc40ad9505b4a1fad20
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Fri Oct 10 11:37:00 2008 +0200

    WinCE: build dump and timeshift modules

commit 4c11c09425ddad30d60ac388930826e4f042289a
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Fri Oct 10 11:35:55 2008 +0200

    WinCE: get rid of program startup mess

commit 34c5148963d181b16e76f841cde59094181c6f22
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Fri Oct 10 11:34:50 2008 +0200

    WinCE: macro fix in panoramix module

commit 8cd1e751cb170296afa7a7cf41b401929314d1a2
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Fri Oct 10 11:33:45 2008 +0200

    WinCE: header fix

commit 42245cef2bb350453207a5f1a67997c460dbe71c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 20:35:27 2008 +0200

    Cosmetics.

commit 7b28b05e510f354a6f6c7c16940106b85a34fed4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 20:31:32 2008 +0200

    Cosmetics.

commit 8288876b96261f16d870c74b18516cf322740c22
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 20:27:36 2008 +0200

    Moved stream_Access* to stream.h

commit ea83a25e84bca24d045c34713ce7008ea5ce4e8a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 20:20:54 2008 +0200

    Sanitize input headers (pass 4).

commit 497c80a2f829e6c7158b4839e09ddf09fb18baa8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 20:10:03 2008 +0200

    Sanitize input headers (pass 3).

commit 59091272588c84b7b30aa44f871ca12dd31e5ba9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 19:57:51 2008 +0200

    Sanitize input headers (pass 2).

commit 6db5caeffaab8e61e963a296287ea91f0049be19
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 13 19:52:33 2008 +0200

    Sanitize input headers (pass 1).

commit 0653497b2a7e44b97f52dc486ebe10d72d6eeee9
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 13 19:00:31 2008 +0300

    Decomp: catch 0 write

commit f232b26244f27d4c39cc7efab861e6f969313525
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 13 04:25:16 2008 +0200

    file: Fix compilation on Windows.

commit 1bd5306848a206039baffcf0ff107545d06dca94
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 13 03:51:41 2008 +0200

    contrib: binary contrib uploaded for ppc as well

commit 7bc4afb7ebe2853cc180a3f0977343b2db47acf3
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 13 00:56:23 2008 +0200

    contrib: binary revision raised to 3 now.

commit 38c7f394b9eb86b6d972d865c3cf630a4c574d1f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 13 00:45:30 2008 +0200

    contrib: add gecko-sdk to mac contrib binary package

commit 33a19efb3450a51037fd20bb09c0faad85514ce1
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 13 00:43:32 2008 +0200

    contrib: Fix change_prefix when used on binaries != libraries

commit 8f7056b536e341fe8f07cfec4067e53e93c59708
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 12 23:09:18 2008 +0200

    directory: Add XSPF node-extension support to our directory module.

commit cfcb868669b5497cd096e223b0bf989aefacb3a8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 12 15:18:19 2008 +0200

    directory: close fd before return

commit 17323fb840b2a5b0df955e18355c2a822fab02ef
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 22:43:30 2008 +0300

    Port the libvlc log APIs to the new internal messages API
    
    Note that this API seems broken beyond repair to me.
    It *might* crash. I cannot fix it.

commit afcdaafc5a32cf4e3a6cc812add53ea6afd1bfdf
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 22:41:13 2008 +0300

    logger: use new message API - fixes #1975

commit 9745c4a826770b11f5dcf74fc7b4593203e6958b
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 21:00:46 2008 +0300

    Sanitize/rewrite the message subscription API

commit a9d31e8c1f119eb914491905566053b7e2844d50
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 21:50:35 2008 +0300

    Fix unitialized value

commit 6ea07c2e90f8d1acd116301be8de0f82938c6e6e
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 19:43:31 2008 +0300

    Invent unique pointer values properly

commit c3cc1221caf65094bc4611e71f314f3eb050a797
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 19:25:06 2008 +0300

    logger: don't reinvent stdio, kill a few relocations

commit 83aac07526c9011486e36046bda48e23322e143d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 19:24:13 2008 +0300

    logger: fix file leak

commit 28b9113747582b3e34454c1d8ec150dfec7a624c
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 19:12:09 2008 +0300

    Remove dead functions

commit 1b9a78857e4ad056384561fd49442adba11cd244
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 19:07:08 2008 +0300

    Unused variable

commit f69b6868c2f1fe6a6a65e998748b3238d2975480
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 17:30:30 2008 +0300

    Remove cut&paste crap

commit a39fd6f2212ea3a984d409549bd216b00f3b83e7
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 17:28:38 2008 +0300

    Run RRD in its own thread

commit 3cd159bc1fe27b652af2d8cb702d1c9e0f5ea69d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 17:28:30 2008 +0300

    Cosmetic

commit 902e6ae85be4f261a9b061b2f24299715e4a6e80
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 17:13:10 2008 +0300

    Use setvbuf instead of repeated fflush

commit 0c3523ace4ce111f34eb4297f5a6ae7f6ec8d313
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 17:10:19 2008 +0300

    Fix format - intmax != int64

commit b815d93deb11e0f949705005a7458013527d51ce
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 16:57:31 2008 +0300

    Cosmetic

commit 497f8a003d3e4e758f2a0e2a2c9dc4db36ebb002
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 16:56:43 2008 +0300

    Merge msg bank and queue, remove duplicated lock

commit 9226863d629c0ef4d65dbdefc0c7949522d979e4
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 12 15:31:52 2008 +0300

    revert changes regarding x11 vout from commit 8689e8be211fe01376316a99fefb8c908263f97e
    
    This partly reverts commit 8689e8be211fe01376316a99fefb8c908263f97e.
    Didn't meant to include this change in commit.

commit a45ba22ee6feca5d32662bf433584911b928e7d1
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 15:26:18 2008 +0300

    net_Write: fix polling

commit 8689e8be211fe01376316a99fefb8c908263f97e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 12 14:48:26 2008 +0300

    stats-change variable for statistics/removing stats timer from qt4 interface
    
    - Add stats-change variable for input to inform when statistics are computed
    - Use that variable in qt4 interface to update statistics so no need to loop
      with timer ( ticket #1365)

commit 77a5fef919c5e2668991b9ae6e3e44a9901835e8
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 15:05:59 2008 +0300

    net_Read, net_Write use void pointer for data

commit 918910e2d4c33ca8050ebee1f98b6d3cb5f506de
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 14:10:58 2008 +0300

    Disable mmap by default (works around #2188)

commit d3ab3afe55aaaf9dda782de90ff97f2696738300
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 11:25:40 2008 +0300

    Fix NULL deref (CID#237)

commit 6094cb67f2c5511ced2f818c0abf242c549331a8
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 11:22:23 2008 +0300

    Cleanup MRLParse

commit 28dd999c3041a49b8f0954437e474beeb2325084
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 11:21:05 2008 +0300

    Fix crash from 36e833c3

commit aa765201bb44d6affc5a35c3900579856d5c01f8
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sun Oct 12 11:07:51 2008 +0300

    Memory leak (CID#266)

commit 8ccbbab4fb76dc3a93f2ec7fbbb739ea984626f0
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Oct 11 20:34:41 2008 +0300

    Decomp: vmsplice support

commit b9cf76e892ff21d5b1808c9b52245c872fac67c7
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Oct 11 20:23:54 2008 +0300

    Typos

commit 90ba04f49ebbaccf9efafe93b3975bf18a236418
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Oct 11 20:11:08 2008 +0300

    Set close-on-exec file for file inputs
    
    We don't want to leak descriptors to child PROCESSES (!= threads) such
    as the pseudo-CGI interface. The socket wrappers ahve already been doing
    that for a while. Unfortunately, there are still many "leaks", through
    underlying libraries, opendir(), fopen(), etc. And then, this is not
    thread-safe (we leak if another thread calls fork() between open() and
    fcntl()). This is a well-known limitation in POSIX anyway.

commit e95a471c617ffd3ee00133c29b7878e3069f210a
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Oct 11 20:07:01 2008 +0300

    Decomp: partially fix error handling

commit fab9038a92dbcc434bf75e6790171f4f1d057a99
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Oct 11 18:16:29 2008 +0300

    Decompression demuxer. Supports gzip and bzip2 at this point.
    
    There seems to be pretty awful bugs in stream_Demux or input or
    something though. Sometimes, the input is killed almost immediately.
    Other times (e.g. when trying to STOP), Close() never gets called.

commit e513907407f566f7fa74ce18970bcc1aa2266c18
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Oct 11 18:18:12 2008 +0300

    Allow unspecified demux with stream_DemuxNew().

commit af394f5dda27801134229a01fda3be0a3341a06d
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Sat Oct 11 17:44:10 2008 +0300

    Fix crash

commit e7e8927bd342060b6d95ef0622a308f3b93718d4
Author: Lukas Durfina <lukas.durfina@gmail.com>
Date:   Sat Oct 4 22:00:52 2008 +0200

    libvlc: better title/chapter handling
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@videolan.org>

commit d7fc7b2d4894e27740a2d46cd8aed6791df25e9f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 11 04:57:19 2008 +0200

    ty demux: simplify and fix potential memleak (CID 214)

commit 6f3129f85b8c282c65fdead7878a7b6d8f3bd0fc
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 11 04:44:52 2008 +0200

    contrib: Fix dvdread patch

commit cb2e43a277fe4eec6f7193e2c8865d47190943c0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 11 04:31:01 2008 +0200

    vobsub: Resource leak (CID 215)

commit 471fa3a889f01c9b1f324f0b2fe181b90c894943
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 10 23:39:11 2008 +0200

    Fix potential static array overflow (CID 40 and 192)

commit 6357ef21dad440a183e54e942828cd18d8505b19
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 23:36:12 2008 +0200

    Fix potential segfault and move code (CID 178)

commit bcd40e9ac2e3fd08023eab20961a70cb8db30a72
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 23:29:30 2008 +0200

    This case can't happen so assert.

commit a62d3071c57b8ed4f5af0f82e63d9c1f599bf18a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 23:14:51 2008 +0200

    Clarification (the last case can't happend) (CID 174)

commit a5ad91e7fc1d2050ba0ced5283af9ebb80155e81
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 23:06:09 2008 +0200

    FIx potential segfault (CID 168)

commit 29a15bf072ff5743dc294edf406452512b23675d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 22:54:45 2008 +0200

    Fix potential segfault (CID 158)

commit 2c068533149364d88dd3c48d450b243115b246dd
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 22:49:36 2008 +0200

    Fix potential segfault (CID 252)

commit 64632922f6574576ac9218dfe13d9b63319ca378
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 22:43:36 2008 +0200

    Playlist: Simplification and fix CID 151

commit ca4fadaa0127302479460db145c3e2c8ac0c891f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 22:12:53 2008 +0200

    Remove unused variable.

commit b78bee7a607cc3f20124390478cbefb37e9da910
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 22:07:14 2008 +0200

    Remove stupid test before a free.

commit 356fafa5164defa5ed37f2c6b2e673249e4890f6
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 21:41:54 2008 +0200

    Fix potential buffer overflow (CID 191)

commit eeaa54cf2c5d1dca043b6d655d5786d138b83503
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 21:27:43 2008 +0200

    Don't dereference strrchr without check (CID 185)

commit a408beace67ef9245bf8d81bb59689bd53e7a21e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 10 21:24:32 2008 +0200

    Fixed invalid/useless usage of ES_OUT_RESET_PCR.

commit 426932330da5ef5182008c6331fe504870c57ce8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 10 21:05:38 2008 +0200

    Change ES_OUT_SET_NEXT_DISPLAY_TIME parameters.
    
    It is cleaner but break the ABI.

commit 4d4f76fd38af44ee1bd99bb221c8201b4569c1f9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 10 20:39:24 2008 +0200

    Partially fixed preroll support.

commit 0b2d112a88c3cee1f73b5281b2453537268329a8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 10 19:45:53 2008 +0200

    Do not assert on non 0 divider in aout_DateInit.
    
    A lot of codecs do init it to 0 and fix it later.

commit 089089cac5b8e2b219e811aa695610da863536a2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 10 00:36:49 2008 +0200

    Display first frame after a seek as soon as possible.
    
    It works while paused too.

commit 7bd51629d24f1343fab336d709a8bf80d03da6ae
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 10 00:33:40 2008 +0200

    Prefer new frames over flushed one (vout).

commit 3f7a89044c5732513ab2337bce0dd231b7ade97e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 21:17:11 2008 +0200

    Fix potential memleaks.

commit 74d28b3e26ca08b135ca868f221a2339070c6cd2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 21:08:33 2008 +0200

    Fix potential segfault (don't dereference strrchr directly) CID 35.

commit 78a1fdbcd67c5308f07a0ce3371596fbc7f7eb0c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 20:43:14 2008 +0200

    We use git now...

commit 9e211e0c723545902a2fc38aa2e9a5d7baa4baa5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 10 20:41:25 2008 +0200

    Fix buffer overflow (CID 188)

commit fe7f66314c9446db4664149e8f1ba0c7ce593151
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 10 20:05:44 2008 +0200

    win32 package: German translation by Michi T. with minor changes by myself

commit 87b1084c0914a4374ab0831f3227dacd4f8f8c88
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 10 17:20:01 2008 +0200

    TS demux: Clarify a for() loop.
    
    This will likely fix CID 247, which seems like a false.
    I don't see how PIDClean is called twice here, I think it's a limitation in the Coverity scan logic.

commit 34aef4ada6758f39d5af2300b1ac74acdc0b567c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 10 14:55:49 2008 +0200

    mmap: Correct [cbc1122ac4551505181ea048ca14a5f87041090f]
    
    I accidently change the probe, not the actual mmap() usage.

commit 8dcf947d585d89db6e6b879cc4699d7ca60bb5e4
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 10 14:15:37 2008 +0200

    mmap: Only use MAP_NOCACHE on platforms that support it.
    
    That would be Darwin and some BSDs apparently

commit cbc1122ac4551505181ea048ca14a5f87041090f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 10 14:02:59 2008 +0200

    mmap: open with MAP_NOCACHE
    
    This means that when the machine gets low on memory, this mmap'ed 4GB movie file is the first to be thrown out of the memory again.

commit 4a202532cc8cc0dd86ab76c9e8db5af0d29a9302
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 10 14:01:29 2008 +0200

    mmap: backport fcntl defined fix from [47a7e913b9c0dc31ba931bfac154d109cdb7e924]

commit 47a7e913b9c0dc31ba931bfac154d109cdb7e924
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 10 13:53:08 2008 +0200

    file: Big bug... typo in the define.
    
    The code was never enabled.

commit aa7c7e375e3320cc46ffb1c53d9aedb81c728458
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 10 00:18:44 2008 +0200

    Added vout_Flush .

commit 7ee4309dc0f05c30a172fda51cf05d15668b4608
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 10 00:17:45 2008 +0200

    Fixed spu destruction order.
    
    It should fix a potential segfault when the vout is closed.

commit 76795ad90a0bfa8854517e47102765ac6d92db13
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 9 23:34:34 2008 +0200

    Read frame rate from asf container if presents.
    
    It helps when reconstructing the video pts as asf does not have them :(

commit 9c26b8e2a04468aa4b4a158f072d760a991932db
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 9 23:06:21 2008 +0300

    Enable embedded video with Qt >= 4.3 - hopefully fixes #2136

commit 6124f9823a490a0291e2604cd579b2e0e6c2c42f
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 9 21:01:29 2008 +0300

    assert that audio date divider is non-nul, refs #2169

commit c8a6cbfeb540481ab77dbe170740f11d65c50a06
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 9 19:51:32 2008 +0200

    Removed dead code in spu core (CID 249).

commit 9dd13ebf18681e4ff58af0b52325d12aa1c23d90
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Thu Oct 9 20:49:49 2008 +0300

    Provide replacement for CMSG_LEN and CMSG_SPACE

commit cabfae61494af2baab2673711038cdfbfe9cda58
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 9 19:43:27 2008 +0200

    Added an assert in record module (invalid CID 169).

commit 00c97dd6278e21465d644835836c2782c80dc2a5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 9 19:32:47 2008 +0200

    Fixed possible NULL deference in teletext path (CID 265).

commit 22376246f559b3950a0106211c76c0a2d95b8364
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 9 19:23:40 2008 +0200

    Removed debug leftover (avcodec).

commit f1f583d1f8a57f57e2a95034cd85f64352844102
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 9 01:28:08 2008 +0200

    Included arpa/inet.h for htons/...

commit 8a9bd2d83398fcabb0acdaf0b6a1362c47314594
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 9 18:33:52 2008 +0200

    potential NULL deref (CID 150)

commit b8d34087aec228304fd27d86ed10fc0e462e9522
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 9 18:24:02 2008 +0200

    ts demux: some cosmetics cleanup

commit 264444a1699298ecdf4be399563ef5eb478007e0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 9 18:00:29 2008 +0200

    ts: double free (CID 245)

commit 1674ba7cc496ce3591241f52d7ee3dd3cc93fa6c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 9 16:36:54 2008 +0200

    nuv demux: typo in post-malloc check. (CID 144)

commit 83b477d2cbceb50f136650ea7074461f7c2a9212
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 9 13:44:17 2008 +0200

    nuv demux: NULL dereferencing (CID 37)

commit 95fc63a206e8ce07cbeba338f9092a2741a5ff2a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 9 03:14:08 2008 +0200

    Another typo: SPU_ES mixed up with AUDIO_ES. (CID 250)

commit 413c4eac043600c14f8d52382553f04a5c6980ad
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 9 02:56:49 2008 +0200

    Fix NULL dereference (CID 254)
    
    A typo/copypaste error confusing p_es->p_dec with p_es->p_dec_record

commit 976d4237573d81364722c9b511d0a3dc688ba477
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 9 02:44:14 2008 +0200

    Fix potential memleak (CID 196)
    
    w00t, my first CID fix :D

commit 79aa73967fe632eeaeac23c5c727ca1b0f9ee7e0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 9 01:23:54 2008 +0200

    Fixed a segfault in access directory.

commit 37d45ebb7a3093f01c01972b3196ab45a2b37c3a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 9 01:22:02 2008 +0200

    Cosmetics + A calloc check.

commit 0578a5448821dcd195e7f829201ee02764921e74
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 9 01:21:04 2008 +0200

    Fixed vlc_meta_Merge.
    
    The extra_tags values were not duplicated.

commit 350b1da975a31ab011d04250a3bfbadb2d6e192e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 8 22:58:23 2008 +0200

    Fixed decoder_GetDisplayDate while buffering.

commit 25a8f939f77e511397e5829241691ea8d1eefe8b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 8 22:57:25 2008 +0200

    Improved a bit PCR in asf.

commit 53f3c079b7658feb03fe1fb68bcf47aeccc575d1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 8 22:13:30 2008 +0200

    Obsoleted minimize-threads option.
    
    It is not really needed and was complicating too much decoder code.

commit 4832631e51f377fc2babf32b59965873763d1f4f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 8 21:38:55 2008 +0200

    Fixed a potential deadlock.

commit e5ed591a2e074ca07dd7d34f207834a02552a2f6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 8 21:20:05 2008 +0200

    Implemented buffering manipulation at the es_out level.
    
    It allows faster seek and start up time when the access pace can be controlled.

commit 2b9d081445b117c363df65dc33743fdacebf3d4c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 7 22:54:35 2008 +0200

    Factorize (decoder).

commit 72e6a089af2837c754006219953753e59a66e9b2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 7 22:08:32 2008 +0200

    No functional changes (decoder).

commit d15101ee6a3088a50e3b22c6bb0e73d4960cc156
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 7 20:04:26 2008 +0200

    Cosmetics.

commit 41bacf4a0d33213c28ec34e8f80332d5ae81d367
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 7 20:00:15 2008 +0200

    Protect a few whiles againts possible broken decoder.

commit aa4b437134fac4d57a8b04f91631a283f215d8b1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 7 19:45:45 2008 +0200

    Obsolete auto-adjust-pts-delay.
    
    The implementation design was broken. I will fix it once clock/decoder
    API is more stable.

commit 7eb92928842ba98dedd7803b03a038ab799595eb
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 7 19:27:28 2008 +0200

    Cosmetics (decoder)

commit 20aa3c15801a8639070a87b5bbe3958e1d6654aa
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 7 19:02:52 2008 +0200

    Implemented audio flushing.
    
    It is not perfect as the aout mixer buffers some data too but it is too
    late...

commit f57bfd971653d977aa5fe55333de982954984135
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 6 20:13:24 2008 +0200

    More accurate decoder flush.

commit 71c7fae2a0276220d40e9768fb81377849f9f096
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 6 19:55:55 2008 +0200

    Cosmetics (decoder)

commit dbeba38d3ef98c05957e19d5854f2dbbe2c96910
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 2 21:34:16 2008 +0200

    Added vout flush.

commit 21bb8a7eefb9200fada1e198a57b8be79e296c51
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 2 21:14:37 2008 +0200

    Factorize preroll code and prepare for correct flush.

commit 857a43d119e40d29300d8f802c4e497a67b67ec2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 2 21:02:06 2008 +0200

    Split up DecoderDecode function.
    
    No functionnal changes.

commit 2624f9afd29a7c9b0d6f8092db56bf72adeb4df0
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 8 22:36:17 2008 +0200

    Fix potential memleaks (CID 255)

commit 9ccd884adbfde533830ba5eb3a1e5bb268ac036b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 8 22:26:44 2008 +0200

    Fix potential memleaks (CID 58 and 59)

commit aab61e71d3bc1fc36f2904e2150d4fc949f6af8b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 8 22:19:30 2008 +0200

    Fix potential memleaks (CID 200)

commit cb89f6d527dc6920152c0a4248153bcb79221458
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 8 22:05:46 2008 +0200

    Fix potential memleak (CID 260)

commit 4201cd2b5cd63b434dd7dc0cebab7441964a566b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 8 21:54:28 2008 +0200

    Fix use of unitialised value (CID 262)

commit fc4b7b3c685148fbde7c6569e67b9fb8ccf66e26
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 8 21:51:30 2008 +0200

    Fix potential segfault introduced by myself (CID 263)

commit ae578e67c27fe06d60efb507590d4e52b7a02796
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 8 21:15:06 2008 +0200

    Fixed support for negative module priority.

commit 1f0135f40beac4cef88a398238e1e55cdcf5a268
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 8 20:37:26 2008 +0200

    taglib: Check if a tablig string is !null and !empty before we try to use it.

commit 854095094a8a2898ed35bfeb55e9a75b87e527bd
Author: Sebastien Escudier <sebastien-devel@celeos.eu>
Date:   Fri Oct 3 15:05:57 2008 +0200

    Opening files without extension
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f34d75845e92aba425f9e3b5954c79b5b174684d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 8 01:16:21 2008 +0200

    win32 installer: fix some registry entries for win32
    
    Have a look at the path
      HKEY_CLASSES_ROOT\Applications\vlc.exe\shell\Play\command
    in the registry.
    
    In my registry under Vista 32 EN Business the value is
      C:\Program Files\VideoLAN\VLC\vlc.exe --started-from-file "%1"
    
    Normally, it should read
      "C:\Program Files\VideoLAN\VLC\vlc.exe" --started-from-file "%1"
    
    Windows Explorer accepts both variants but the first one causes problems
    when trying to call that command from self-written programs.
    
    Reported by Stefan <vbtricks  gmx.net>

commit ff026ff6e3090456adad19b4a6c1be63dd83f7b0
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Tue Oct 7 19:41:55 2008 +0200

    WinCE: reintroduce parse_cmdline

commit 400b67361af4cbbf8a72acccad040a84c34b248d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 7 16:06:06 2008 +0200

    mmap: Don't use mmap by default on OS X.
    
    It has little benefits in general, (esp. in our usecase) and huge disadvantages for files on network mounts.
    "Basically, IOKit should be so fast and efficient, that there are few usecases left for mmap() on Darwin."

commit 9d699ba6debbf0c702593b7016cc0f27aa7bc839
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 7 00:42:31 2008 +0200

    sync NEWS with 0.9-bugfix

commit 1e5cb576a6fa7432299c86ac0e42b5a6db5a71dd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 7 00:11:23 2008 +0200

    contrib also needs share/libtool when using the binary package.

commit 229a8957a1aa3cd45e0161075d4eaec3c32d247b
Author: Alexis Ballier <aballier@gentoo.org>
Date:   Mon Oct 6 23:47:20 2008 +0200

    Fix build with x264 build 65
    
    See http://git.videolan.org/gitweb.cgi/x264.git/?a=commit;h=c89bc900a3bf0d4c4c728ad378703970b4f14e18 for more details.

commit e58e4ccd88ab13bd35493abecdcc89ec259cd7ae
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 6 21:10:04 2008 +0200

    Use NULL instead of 0 for pointers.

commit 7d7a42b8b0b04d620804bf408388fb9f59317604
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 6 21:01:54 2008 +0200

    Fix memleak (CID 67) and don't use 0 instead of NULL

commit f2157f9df9e46f7864f67b3163e235e96bcc1185
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 6 20:56:01 2008 +0200

    Fix a lot of memleaks (and CID 68 in the same time).
    Also #undef some local macros.
    Still a lot of potential memleaks.

commit eca65494437dfa2958df5712c6b7fb5ba0668b79
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 6 20:36:20 2008 +0200

    Fix potential segfault (CID 224)

commit 12c5a013667ce1a73e6066e19be2941e93fb8698
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 6 20:29:53 2008 +0200

    dbus: include config.h before anything and remove duplicated #define.

commit 435299ecb48459744bd4bb0b9631bcb06b2cf4b1
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 6 20:29:28 2008 +0200

    Don't redefine true and false.

commit a9e8b98d0a22ac67beb4cc407c715d217f7f05bf
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 6 20:28:54 2008 +0200

    Change LIST of modules.

commit 250591e12a5370eaa936ca6c2e012f7fd2fcf5b1
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 6 20:28:22 2008 +0200

    Fix potential memleak (CID 227)

commit 0cd4a19b15817cac6b2920a25093d1d4f8990454
Author: Rémi Denis-Courmont <rdenis@simphalempin.com>
Date:   Mon Oct 6 18:46:56 2008 +0300

    Fix logic.
    
    We don't need an explicit barrier when setting initialized from
    vlc_mutex_init(). The caller shall synchronize memory after
    vlc_mutex_init() from any thread calling vlc_mutex_lock() anyway,
    since locking an unitialized non-static mutex is undefined.

commit f10b7234e274ae324c400fd56d4efc0a333a5877
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 6 14:59:32 2008 +0200

    ps.c: add a safety net to this while loop.

commit 76003f0e6cd54217619b68537ba73c089c60c8ed
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 2 22:10:52 2008 +0200

    dvdread: minimum value for ps_pkt_size is 6
    (cherry picked from commit b1aa0a1a872627bb6bf6d94fea8145f4b6c3fccd)

commit 602f2d42cdf590cfefea58bc98265c536fa188fb
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Mon Oct 6 12:40:19 2008 +0200

    WinCE: factorize the file access code (and make it work)

commit 272308b2004fac7f4474a80764c20fd5ba5f13c7
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Mon Oct 6 11:12:59 2008 +0200

    WinCE: do an ugly thread cancellation without using QueueUserAPC

commit 01f7daf551f6782abe22a94130b146f5f911547d
Author: Geoffroy Couprie <geo.couprie@gmail.com>
Date:   Mon Oct 6 11:10:16 2008 +0200

    WinCE: compile vlm

commit 5a75b21fac588d9e833ea17fde89443448f4ab16
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 6 10:45:46 2008 +0200

    Repair GnuTLS/win32

commit c34851dcfe096551455a4e7b47f6967b60f248c9
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Oct 5 17:03:37 2008 +0100

    Avoid segfault
    
    Fix #2159

commit f067ff205cc8565caa46a723fd3316aa08ec6213
Author: Daniel Mierswa <impulze@impulze.org>
Date:   Mon Sep 15 01:11:02 2008 +0200

    fix automagic dependency on vcdinfo
    
    when --enable-libcdio was passed to configure, vcdinfo was searched and
